(function() {
	Function.prototype.after = function(fn) {
		var that = this;
		return function() {
			var result = that.apply(this, arguments);
			fn();
			return result;
		}
	}
	Number.prototype.toFixed = function () {
		var accMul = function(arg1, arg2) {
		    var m = 0, s1 = arg1.toString(), s2 = arg2.toString();
	    	if (s1.split(".").length ==2) {
	    		m += s1.split(".")[1].length;	
	    	}
	        if (s2.split(".").length == 2) {
				m += s2.split(".")[1].length;		        	
	        }
		    return Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m);
		}
		var oldFunc = Number.prototype.toFixed;
		return function (n) {
			var v = parseInt(accMul(this, Math.pow(10, n))) / Math.pow(10, n);
			return oldFunc.call(v, n);
		}
	}();
	String.prototype.startsWith = function(str) {
		return this.indexOf(str) == 0;
	}
	requirejs.config({
	});
	requirejs.config({
		urlArgs: "",
		waitSeconds: 60,
		//baseUrl:"../js/",
		paths: {
			flot : "global/jquery.flot.min",
			flot_pie : "global/jquery.flot.pie.min",
			doT: "global/doT",
			JSON: "global/JSON",
			Backbone: "global/backbone",
			jquery: "global/jquery-3.1.1.min",
			ui: "global/hundsun.mobile.ui.min-2.0",
			global: "global/hundsun.mobile.global-2.0",
			chartjs: "global/Chart",
			swiper: "global/idangerous.swiper",
			iscroll5: "global/iscroll5-min",
			wx: "global/jweixin-1.0.0",
			circliful : "global/jquery.circliful.min",
			"iscroll-probe" : "global/iscroll-probe",
			zepto_slider:"global/jquery.range",
			crypto: 'global/crypto-js',
			echart: 'global/echarts.min'
		},
		config: {},
		shim: {
			'swiper': {
				deps: ["jquery"],
				exports: ["Swiper"]
			},
			'touch': {
				deps: ['jquery']
			},
			'ui': {
				deps: ['jquery']
			},
			'global': {
				deps: ['ui']
			},
			'circliful' :  {
				deps : ["jquery"]
			},
			'flot_pie' : {
				deps : ['flot']
			}
		}
	});

	require(['global'], function(global) {
		var dir = location.href.split('/');
		var module = dir[dir.length - 2] + "/" + dir[dir.length - 1].split('.')[0];
		try {
			require([$.hsf.platform()], function(platform) {
				var moduleapi = $.hsf.getModuleAPI(platform);
				$.extend({platform: $.extend(moduleapi, platform.baseapi)});
				if ($("script[load-m='false']").length == 1) {
					global.initComplete();
				} else {
					require([module], function(m) {
						var readyDevice_main = function() {
							if (platform.baseapi.deviceReady) {
								if (m) {
									global.initComplete();
									m.init();
								}
							} else {
								setTimeout(readyDevice_main, 100);
							}
						};
						setTimeout(readyDevice_main, 10);
					});
				}
				$.platform.tongji();
			});
		} catch (e) {
			$.UIPopup(e);
		}
	});
})()