
define(["global", "Backbone"], function(G) {
	return Backbone.View.extend({
		el: "#account-openAcco-new-1",
		$mobile : $("#mobile"),
		$verifyCode : $("#verifyCode"),
		_private : {},
		initialize: function(parent) {
			this.parent = parent;
			this.sandclock = this.sandclock("send-code");
			this.validForm = $.validForm();
			$.checkNullGroup([this.$mobile, this.$verifyCode], this.$el.find(".nextBtn"));
		},
		afterSwitchView: function() {},
		sandclock :  function(id) {
			var counter = 0;
			var $btn = $("#"+id);
			return {
				start : function() {
						var run = function() {
							if (counter == 0) {
								$btn.attr("m-state","").html("获取");
							} else {
								$btn.html("剩余"+(counter--)+"秒");
								setTimeout(run, 1000);
							}
						}
						counter = 60;
						$btn.attr("m-state","disabled").html("剩余"+(counter--)+"秒");
						setTimeout(run, 1000);
				},
				readyStart : function() {
					if (counter == 0) {
						return true;
					} else {
						false;
					}
				}
			}
		},
		sendAuthCode : function(event) {
			if (this.sandclock.readyStart()) {
				$.hsf.startLoading();
				var that = this;
				var mobile = this.$mobile.UITextField("value");
				this.validForm.add("mobile", mobile);
				if (this.validForm.valid()) {
					$.hsf.ajax.app("account/mobile/sendMobileAuthcode", "mobileno="+mobile+"&sendintent=openacco", "sendMobileAuthcodeCallback", function(jsonResult) {
						$.hsf.stopLoading();
						if (jsonResult.successful) {
							that._private.verifyCode = jsonResult.result;
							that.$el.find(".mobileFix").html(mobile.substr(0,3)+"****"+mobile.substr(7,4));
							that.$el.find(".send-msg-notice").show();
							that.sandclock.start();
						} else {
							$.hsf.callFailProcess(jsonResult)
						}
					});
				} else {
					$.hsf.stopLoading();
				}
			}
			return false;
		},
		next : function() {
			var that = this;
			var mobile = this.$mobile.UITextField("value");
			var verifyCode = this.$verifyCode.UITextField("value");
			this.validForm.add("mobile", mobile);
			this.validForm.add("verifyCode", verifyCode, "验证码");
			if (!this._private.verifyCode) {$.UIPopup("请先进行短信验证");return false;}
			if (this.validForm.valid()) {
				var data = "mobileno="+mobile+"&sno="+this._private.verifyCode.sno+"&chkmsg="+verifyCode+"&operdate="+this._private.verifyCode.operdate
				$.hsf.startLoading();
				$.hsf.ajax.app("account/mobile/verifyMobileAuthcode", data, "sendMobileAuthcodeCallback", function(jsonResult) {
					$.hsf.stopLoading();
					if (jsonResult.successful) {
						that.parent.setParam("mobile", mobile);
						$.platform.getCache("logininfo", function (result) {
							if (result) {
								var custtype = result.custtype;
								if (custtype == "1") {
									var idNo = result.certificateno;
									var idType = result.certificatetype;
									var custname = result.custname;
									that.parent.setParam("idNo", idNo).setParam("idType", idType).setParam("custname", custname);
									window.location.hash = "account-openAcco-new-3";
								}else{
									window.location.hash = "account-openAcco-new-2";
								}
							}else{
								$.hsf.ajax.app("account/account/accountinfo","","checkLoginCode",function(jsonResult) {
									if (jsonResult.successful) {
										var custtype = jsonResult.result.custtype;
										$.platform.removeCache("logininfo");
										$.platform.putCache("logininfo", jsonResult.result);
										if(custtype == "1"){
											var idNo = result.result.certificateno;
											var idType = result.result.certificatetype;
											var custname = result.result.custname;
											that.parent.setParam("idNo", idNo).setParam("idType", idType).setParam("custname", custname);
											window.location.hash = "account-openAcco-new-3";
										}else{
											window.location.hash = "account-openAcco-new-2";
										}
									}else{
										window.location.hash = "account-openAcco-new-2";
										//$.hsf.callFailProcess(jsonResult);
									}
								});
							}
						});

					} else {
						$.hsf.callFailProcess(jsonResult);
					}
				});
			}
		},
		events : {
			"tap #send-code" : "sendAuthCode",
			"tap .nextBtn[m-state!='disabled']" : "next"
		}
	});
});