define([], function(){
	window.action = {
		constant : {
			capital: null,
			accoreqserial : null,
			otherserial : null,
			counter:0,
			repeatSeconds: 120
		},
		init:function(){
			action.packForm();
			action.events();
		},
		packForm : function() {
			var ddHtml = "<dd m-type=\"mark\" m-marked=\"\" m-id=\"\" m-selectionstyle=\"yes\"> <div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-padding=\"1 1 1 1\"> <div m-role=\"cell\" m-padding=\"0 1 0 0\" m-valign=\"middle\"> <div class=\"bank-logo\"></div> </div> <div m-role=\"cell\" m-mode=\"y\" m-margin=\"0 0 0 1\" m-valign=\"middle\" m-padding=\"1 0 1 1\"> <div class=\"m-font-big bankname\" m-margin=\"0 0 1 0\"></div> </div> </div> </dd>";
			$.hsf.ajax.app("account/openacco/bankForm", "", "bankForm", function(jsonResult) {
				if (jsonResult.successful) {
					action.constant.result = jsonResult;
					var $bankList = $("#bankList");
					var $dl = $bankList.find("dl");
					for (var index in jsonResult.bankcards) {
						var $ddHtml = $(ddHtml);
						$ddHtml.attr("m-id", index);
						$ddHtml.find(".bankname").html(jsonResult.bankcards[index].bankname);
						$ddHtml.find(".bank-logo").addClass("bank-"+jsonResult.bankcards[index].alias);
						$dl.append($ddHtml);
					}
					$bankList.UITableView("refresh");
					action.selectBankProcess(0);
				}
			});
		},
		getSelectBankcard : function() {
			return action.constant.result.bankcards[action.constant.selectBank];
		},
		events: function() {
			$("#bankcardSelect").bind("tap", function() {
				$("#first, #bankSelect").toggle();
				return false;
			});
			$("#bankSelectBackBtn").bind("tap", function() {
				$("#first, #bankSelect").toggle();
				return false;
			});
			$("#smscodebtn").on("tap", function() {
				action.sendBankAuthcode();
				return false;
			});
			$("#submitBtn").on("tap", function() {
				action.next();
				return false;
			});
			$("#bankList").UITableView("mark", function(result) {
				action.selectBankProcess(result);
				$("#first, #bankSelect").toggle();
				return false;
			});
		},
		selectBankProcess : function(result) {
			$(".selectedBankName").html(action.constant.result.bankcards[result].bankname);
			$(".selectedBankcardIcon").removeAttr("class").addClass("selectedBankcardIcon bank-logo bank-"+action.constant.result.bankcards[result].alias);
			action.constant.capitalmode = action.constant.result.bankcards[result].capitalmode;
			action.constant.bankserial = action.constant.result.bankcards[result].bankserial;
		},
		//银行特殊处理获取验证码
		sendBankAuthcode:function(){
		    var mobile = $("#mobile").UITextField("value").trim();
			var identitytype = $("#identitytype").UISelectField("value").trim();
			var identityno = $("#identityno").UITextField("value");
			var bankacco=$("#bankacco").UITextField("value").trim();
			var customername=$("#custname").UITextField("value").trim();
			var reg = /^(\d{15}|\d{18}|\d{17}[a-zA-Z]{1})$/;
			var handsetReg = /^[0-9]{11}$/;
			if(""==mobile){
				$.UIAlert("请输入手机号码！");
				return false;
			}
			if(!handsetReg.test(mobile)){
				$.UIAlert("请输入11位手机号！");
				return false;
			}
			if(""==identityno){
				$.UIAlert("请输入证件号码！");
				return false;
			}
			if("0"==identitytype&&!reg.test(identityno)){
				$.UIAlert("请输入正确的身份证号码！");
				return false;
			}
			var data = "&mobile="+mobile
					 + "&capitalmode="+action.constant.capitalmode
					 + "&bankacco="+bankacco
					 + "&customername="+customername
					 + "&bankserial="+action.constant.bankserial
					 + "&identitytype="+identitytype
					 + "&identityno="+identityno;
			$.hsf.startLoading("正在获取...");
			$.hsf.ajax.app("account/mobile/fastSendCode", data, "sendbankauthcodeCallback", function(jsonResult) {
				$.hsf.stopLoading();
			    if(jsonResult.successful){
			    	$("#authcode_show").remove();
					$("#authcode").show();
			    	action.constant.accoreqserial=jsonResult.accoreqserial;
			    	action.constant.otherserial="";
					$.UIAlert("手机验证码已发送！请注意查收短信！");
					action.sandclock.start();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},
		next:function(){
			if(!action.validate()){
				return false;
			}
			var bankacco = $.trim($("#bankacco").UITextField("value"));
			var identitytype = $("#identitytype").UISelectField("value").trim();
			var identityno = $("#identityno").UITextField("value");
			var data ="mobileauthcode=" +$("#authcode").UITextField("value").trim()
						+"&capitalmode="+action.constant.capitalmode
						+"&accoreqserial="+((new Date()).valueOf())
						+"&mobile="+$("#mobile").UITextField("value").trim()
						+"&bankserial="+action.constant.bankserial
						+"&bankacco="+bankacco
						+"&customername="+$("#custname").UITextField("value").trim()
						+"&identitytype="+identitytype
						+"&identityno="+identityno
						+"&originalorderid="+action.constant.accoreqserial;
			$.hsf.startLoading("正在验证...");//首先验证手机验证码
			$.hsf.ajax.app("account/bank/fastAuthor", data, "validateSignatureCallback", function(jsonResult) {
				if(jsonResult.successful){
					$.hsf.stopLoading();
					var capitalmode = action.constant.capitalmode;
					var bankserial = action.constant.bankserial;
					var identityno = $("#identityno").UITextField("value").trim();
					var identitytype = $("#identitytype").UISelectField("value");
					var custname = $("#custname").UITextField("value");
					var bankname = action.constant.bankname;//有其他银行则取select框
					var bankacco = $("#bankacco").UITextField("value").trim();
					var detailcapitalmode = "01";
					var mobile = $("#mobile").UITextField("value").trim();
					
					var data = 	"bankacco="+bankacco
							 +	"&bankserial="+bankserial
							 +	"&bankacconame="+custname
							 +	"&detailcapitalmode="+detailcapitalmode
							 +	"&capitalmode="+capitalmode
							 +	"&customerappellation="+custname
							 +	"&identityno="+identityno
							 +	"&identitytype="+identitytype
							 +	"&handset="+mobile
							 +  "&interfacetype=1&detailcaptionmode=01";
					data += "&yinliancdcard="+jsonResult.yinliancdcard;
					$.hsf.hsOpen("account-openAcco-form.html?"+data);
					
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},
		sandclock :  {
			run : function() {
				if (action.constant.counter == 0) {
					$("#smscodebtn").attr("m-state","");
					$("#smscodebtn").html("获取");
				} else {
					$("#smscodebtn").html((action.constant.counter--)+"秒");
					setTimeout("action.sandclock.run()", 1000);
				}
			},
			start : function() {
				action.constant.counter = action.constant.repeatSeconds;
				$("#smscodebtn").attr("m-state","disabled");
				$("#smscodebtn").html((action.constant.counter--)+"秒");
				setTimeout("action.sandclock.run()", 1000);
			}
		},
		validate:function(){//表单验证
			var bankacco = $("#bankacco").UITextField("value").trim();
			var mobile = $("#mobile").UITextField("value").trim();
			var mobileSecurityCode = $("#authcode").UITextField("value").trim();
			var custname = $("#custname").UITextField("value");
			var identityno = $("#identityno").UITextField("value").trim();
			var numReg = /^\d+$/;  
			var mobileReg = /^\d{11}$/;
			
			if(""==bankacco){
				$.UIAlert("请输入银行卡号！");
				return false;
			}
			if(""==custname){
				$.UIAlert("请输入您的真实姓名！");
				return false;
			}
			if(""==identityno){
				$.UIAlert("请输入您的证件号码！");
				return false;
			}
			if(""==mobile){
				$.UIAlert("请输入手机号码！");
				return false;
			}
			if(""==mobileSecurityCode){
				$.UIAlert("请输入手机验证码！");
				return false;
			}
			if(!numReg.test(bankacco)){
				$.UIAlert("银行卡号必须为数字！");
				return false;
			}
			if(!numReg.test(mobile)){
				$.UIAlert("手机号码必须为数字！");
				return false;
			}
			if(!mobileReg.test(mobile)){
				$.UIAlert("手机号码应为11位数字！");
				return false;
			}
			return true;
		}
	};
	return action;
});
