/**
 * Created by apple on 15/6/23.
 */
$('#tip1-btn').click(function() {
    $('#tip1-1').hide();
    $('#tip1').slideToggle();
});
$('#tip1-1-btn').click(function() {
    $('#tip1').hide();
    $('#tip1-1').slideToggle();
});
$('#tip3 .q').click(function() {
    $(this).toggleClass('active');
    $(this).next('.t').slideToggle();
});
$('#tip2-btn').click(function() {
    if ($('#tip2').css('display') == "block") {
        console.log('block');
        $('#tip2').slideUp();
        _src = $('#tip2-btn img').attr('src');
        console.log(_src);
        $('#tip2-btn img').attr('src', _src.replace('p12.png', 'p12_1.png'));
    } else {
        console.log('none');
        $('#tip2').slideDown();
        _src = $('#tip2-btn img').attr('src');
        $('#tip2-btn img').attr('src', _src.replace('p12_1.png', 'p12.png'));
    }
});





define(['echart'], function(echart) {
    var action = {
        constant:{
            adinfocode: $.hsf.hsTools.getParam("adinfocode"),//组合代码
            portfolioshowtype:'',
            incomeratemonth:'',//近一个月收益率
            incomerateyear:'',//近一年收益率
            incomeratetwoyear:'',//近两年收益率
            incomeratethreemonth:'',//近三个月收益率
            incomeratethreeyear:'',//近三年收益率
            incomeratefiveyear:'',//近五年收益率
            incomeratehalfyear:'',//近六个月收益率
            incomerateytd:'',//回测以来收益率
            dateArr:[],//回测走势图时间数据源
            BDataArr:[],//比较基准数据源
            ZDataArr:[],//择时宝走势
        },
        init: function() {
            //
            action.ques();
            action.requestBaodata();
            $("#backID").on('tap',function () {
                $.platform.hsBack();
            });
            $('#ad-top3-button').click(function() {
                //跳转了解择时宝量化模型
                $.platform.hsOpen("ad-info2.html");
            });
            // $('#ad-top9-button').click(function() {
            //     $.platform.hsOpen("bao-buy.html?portfoliocode="+action.constant.adinfocode+'&portfolioshowtype='+"");//
            // });
            $("#tradekonwID").on('tap',function () {
                $.platform.hsOpen("bao-rule.html?portfoliocode="+action.constant.adinfocode+
                    "&portfolioshowtype="+"");
            });
            $("#jumpRecodeID").on('tap',function () {
                $.platform.hsOpen("bao-warehouse-record.html?portfoliocode="+action.constant.adinfocode);
            });
        },
        ques: function() {
            $(".qu-icon").on('click', function(event) {
                $(this).parent().addClass('on');
            });
        },
        events: function() {
            var bcolor = ['#fda8aa', '#f2d452', '#fff']
            var option = {
                tooltip: {
                    trigger: 'axis',
                    // alwaysShowContent: false, //显示
                    enterable: true, //鼠标能进入提示框，为问号做准备
                    show: true,
                    icon: 'rect',
                    // position: [5, -10],
                    // borderColor: "transparent",
                    // backgroundColor: 'transparent',
                    formatter: function(params) {
                        console.log(params);
                        var relVal = params[0].name;
                        for (var i = 0; i < params.length; i++) {
                            relVal += '<div class="circle" ><span style="background:'+params[i].color+'"></span>'+ params[i].seriesName + ' : ' + params[i].value+"%</div>";
                        }
                        return relVal;
                    },
                    textStyle: {
                        fontSize: 8
                    }

                },
                calculable: true,
                grid: {
                    show: true,
                    borderColor: "transparent",
                    backgroundColor: 'transparent',
                    top: '15%',
                    left: '5%',
                    right: '13%',
                    bottom: '10%',
                    containLabel: true
                },
                xAxis: [{
                    type: 'category',
                    axisLine: {
                        show: false,
                        lineStyle: {
                            color: '#999'
                        }
                    },
                    axisTick: {
                        show: false
                    },
                    boundaryGap: false,
                    axisLabel: {
                        formatter: '{value}',
                        textStyle: {
                            color: '#fff'
                        },
                        interval:action.constant.dateArr.length>2?(action.constant.dateArr.length-2):0,
                        showMinLabel: true,
                        showMaxLabel: true
                    },
                    data: action.constant.dateArr
                }],
                yAxis: [{
                    type: 'value',
                    axisTick: {
                        show: false
                    },
                    axisLine: {
                        show: false,
                        lineStyle: {
                            color: '#fff'
                        }
                    },
                    axisLabel: {
                        // formatter: '{value}',
                        formatter: function(value, index) {
                            return value.toFixed(2)+"%";
                        }
                    },
                    splitLine: {
                        lineStyle: {
                            color: '#313d94'
                        }
                    }
                }],
                series: [{
                        name: '组合收益率',
                        type: 'line',
                        symbol: 'none', //不显示点
                        data: action.constant.ZDataArr,
                        itemStyle: {
                            normal: {
                                symbol: 'circle',
                                color: '#fda8aa', //bcolor[0]可以用这个
                                areaStyle: {
                                    //color: '#94C9EC'
                                    color: new echart.graphic.LinearGradient(0, 1, 0, 0, [{
                                        offset: 0,
                                        color: 'rgba(253,168,170,0.1)'
                                    }, {
                                        offset: 1,
                                        color: 'rgba(253,168,170,0.5)'
                                    }]),
                                },
                                lineStyle: {
                                    color: '#fda8aa', //bcolor[0]可以用这个
                                    width: 1.5
                                }
                            }
                        },

                    },
                    {
                        name: '上证指数',
                        type: 'line',
                        symbol: 'none',
                        data: action.constant.BDataArr,
                        itemStyle: {
                            normal: {
                                symbol: 'circle',
                                color: '#f2d452', //bcolor[1]可以用这个
                                width: 5,
                                areaStyle: {
                                    //color: '#94C9EC'
                                    color: new echart.graphic.LinearGradient(0, 1, 0, 0, [{
                                        offset: 0,
                                        color: 'rgba(250,221,131,0.1)'
                                    }, {
                                        offset: 1,
                                        color: 'rgba(250,221,131,0.5)'
                                    }]),
                                },
                                lineStyle: {
                                    color: '#f2d452', //bcolor[1]可以用这个
                                    width: 1.5
                                }
                            }
                        },

                    },

                ]
            }

            var myChart1 = echart.init(document.getElementById('echart1'));
            myChart1.setOption(option);
            // myChart1.dispatchAction({
            //     type: 'showTip',
            //     seriesIndex: 0, //第几条series
            //     dataIndex: 1, //第几个tooltip
            // });

        },
        //请求组合数据
        requestBaodata:function(){
            $.hsf.startLoading();
            var param='portfoliocode='+action.constant.adinfocode+"&portfolioshowtype="+action.constant.portfolioshowtype;//
            $.hsf.ajax.appEncrypt("product/product/combPortfolioInfo", param, "combPortfolioInfo",
                function (jsonResult) {
                    $.hsf.stopLoading();
                    if (jsonResult.successful == true) {
                        var result = jsonResult.result;
                        var data=result.data;
                        var dataList = data.dataList;
                        if (dataList.length==0){
                            return false;
                        }
                        var datamodel= dataList[0];

                        action.constant.incomeratemonth=(100*parseFloat(datamodel.incomeratemonth)).toFixed(2)+"%";//近一个月收益率
                        action.constant.incomeratethreemonth=(100*parseFloat(datamodel.incomeratethreemonth)).toFixed(2)+"%";//近三个月收益率
                        action.constant.incomeratehalfyear=(100*parseFloat(datamodel.incomeratehalfyear)).toFixed(2)+"%";//近六个月收益率
                        action.constant.incomerateyear=(100*parseFloat(datamodel.incomerateyear)).toFixed(2)+"%";//近一年收益率
                        action.constant.incomeratetwoyear=(100*parseFloat(datamodel.incomeratetwoyear)).toFixed(2)+"%";//近俩年收益率
                        action.constant.incomeratethreeyear=(100*parseFloat(datamodel.incomeratethreeyear)).toFixed(2)+"%";//近3年收益率
                        action.constant.incomeratefiveyear=(100*parseFloat(datamodel.incomeratefiveyear)).toFixed(2)+"%";//近5年收益率
                        action.constant.incomerateytd=(100*parseFloat(datamodel.incomerateytd)).toFixed(2)+"%";//回测以来收益率

                        $("#incomerateytdID").html(action.constant.incomerateytd);//成立以来收益

                        var fundList=datamodel.portfolioFundList;
                        for (var i = 0; i < fundList.length; i++) {
                            var model=fundList[i];
                            model.fundratio=(100*parseFloat(model.fundratio)).toFixed(2)+"%";
                            if (i%2==0){
                                model.backColorClass="cur-even";
                            } else {
                                model.backColorClass="";
                            }
                        }
                        $.doTemplate("modelList",fundList);


                        $("#ad-top9-button").on('tap',function () {//买入登录判断

                            if (datamodel.portfoliotradestatus=="0" ||datamodel.portfoliotradestatus=="2") {
                                $.platform.getAppUserInfo(function (ob) {

                                    $.platform.hsbao_buy_Login(function (buyState) {//判断买入 登录银行卡以及实名认证校验 1 校验成功 0失败
                                        if (buyState=="1"){

                                            if (ob.custrisk=="") {
                                                ob.custrisk="1";
                                            }
                                            var portfoliorisklevel=datamodel.portfoliorisklevel.substr(1,1);//组合风险等级
                                            if(parseInt(ob.custrisk)<parseInt(portfoliorisklevel)){
                                                if (ob.custrisk==""||ob.custrisk=="1"){
                                                    $.UIComfirm({html: "该产品的风险等级超出您的风险承受能力，目前暂无法买入，请确认您的风险承受能力", submitText: "我的风险等级", cancelText: "取消"},function(result){
                                                        if (result == "yes") {
                                                            $.platform.hsOpenRisk();
                                                        }
                                                    });
                                                } else {
                                                    //跳转购买地址
                                                    $.platform.hsOpen("bao-buy.html?portfoliocode="+ datamodel.portfoliocode+'&portfolioshowtype='+"");//
                                                }

                                            }else{
                                                //跳转购买地址
                                                $.platform.hsOpen("bao-buy.html?portfoliocode="+ datamodel.portfoliocode+'&portfolioshowtype='+"");
                                            }

                                        } else {
                                            //实名校验失败（原生界面会跳转，这里不用处理）

                                        }

                                    });
                                });
                            }else {
                                $.UIPopup("该产品暂时无法购买！");
                            }
                        });


                        action.requestTrend(action.constant.adinfocode,"6");
                    }else {
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
        },
        requestTrend:function (portfoliocode,datetype) {
            $.hsf.startLoading();
            var param='datetype='+datetype+'&portfoliocode='+portfoliocode;
            $.hsf.ajax.appEncrypt("product/product/incomeRateTrend", param, "incomeRateTrend",
                function (jsonResult){
                    $.hsf.stopLoading();
                    if (jsonResult.successful == true) {
                        var result=jsonResult.result.data;
                        var dataList=result.dataList;
                        if (action.constant.BDataArr.length>0){
                            action.constant.BDataArr.splice(0);
                        }
                        if (action.constant.ZDataArr.length>0){
                            action.constant.ZDataArr.splice(0);
                        }
                        if (action.constant.dateArr.length>0) {
                            action.constant.dateArr.splice(0);
                        }

                        for (var i = 0; i <dataList.length ; i++) {

                            var data=dataList[i];
                            var decline=(parseFloat(data.compdailydecline)*100).toFixed(2);
                            action.constant.BDataArr.push(decline);
                            var str = data.navdate;
                            data.navdate = str = str.substr(0,4)+"-"+str.substr(4,2)+"-"+str.substr(6,2);
                            action.constant.dateArr.push(data.navdate);
                            var dailydecline=(parseFloat(data.dailydecline)*100).toFixed(2);
                            action.constant.ZDataArr.push(dailydecline);
                        }

                        var basestr=action.constant.BDataArr[action.constant.BDataArr.length-1];
                        var baseValue=basestr+"%";
                        $("#baseID").html(baseValue);//业绩比较基准
                        action.events();

                    }else {
                        $.hsf.callFailProcess(jsonResult);
                    }

                });
        },

    };
    return action;
});
