/**
 * Created by apple on 15/6/9.
 */

define([], function() {
	var action = {
		init: function() {
			$.platform.getCache("openId", function(openId) {
				action.openId = openId||"";
				action.getFollowFund();
			});
			$.platform.initPage(action);
		},
		reload : function() {
			action.getFollowFund();
		},
		getFollowFund: function() {
			$.hsf.startLoading();
			$.hsf.ajax.app("weixin/wxzt/myfollow", "openId="+action.openId, "checkLoginCode", function(jsonResult) {
				if (jsonResult.successful) {
					var fundlist = jsonResult.result.followlist;
					var moneyFund = [];
					var otherFund = [];
					if (fundlist.length > 0) {
						$("#nodata").css({"top":top}).hide();
						for (var index in fundlist) {
							if (fundlist[index].fundtype == "2") {
								moneyFund.push(fundlist[index]);
							} else {
								otherFund.push(fundlist[index]);
							}
						}
						$.doTemplate("money-template", moneyFund, "refresh");
						$.doTemplate("other-template", otherFund, "refresh");
					} else {
						$("#money-template, #other-template").remove();
						var top = (document.documentElement.clientHeight - 44-50-200-38)/2;
						$("#nodata").css({"top":top}).show();
					}
					$.hsf.stopLoading();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		}
	};
	return action;
});