/**
 * Created by apple on 15/6/23.
 */

define([],function(){
    var action = {
        portfoliocode : $.hsf.hsTools.getParam("portfoliocode"),//组合代码
        portfolioshowtype : $.hsf.hsTools.getParam("portfolioshowtype"),
        init : function(){
            var _type = $.hsf.hsTools.getParam("type");
            if(_type=="buy"){//显示买入规则
                $(".rule_tab li").eq(0).tap();
            }else if(_type=="sell"){//显示卖出规则
                $(".rule_tab li").eq(1).tap();
            }
            action.events();
            action.getZuheFunds();
        },
        //
        events : function () {

        },
        //获取成分基金
        getZuheFunds : function() {
            $.hsf.startLoading();
            var data = $.formGenerate()
                .add("portfoliocode", action.portfoliocode)//组合代码, 不传查全部
                .add("portfolioshowtype",action.portfolioshowtype);
            $.hsf.ajax.appEncrypt("product/product/combPortfolioInfo", data.generate(), "combPortfolioInfoCallback", function(jsonResult) {
                $.hsf.stopLoading();
                if (jsonResult.successful) {
                    var dataList = jsonResult.result.data.dataList;
                    if(dataList.length>0) {
                        var status = dataList[0].portfoliotradestatus;
                        if(status=="0"){
                            $(".rule_infor").text("正常交易");
                        }else if(status=="1"){
                            $(".rule_infor").text("停止申购");
                        }else if(status=="2"){
                            $(".rule_infor").text("停止赎回");
                        }else if(status=="3"){
                            $(".rule_infor").text("停止交易");
                        }
                        $.doTemplate("fundlist-template", dataList[0].portfolioFundList);
                        $.doTemplate("fundlist2-template", dataList[0].portfolioFundList);

                        var modelList=dataList[0].portfolioFundList;

                        $("#buyTableViewID").on("tap","dd",function () {
                            var index= $(this).attr('m-id');
                            var model=modelList[index];
                            $.platform.hsOpen("trade-new-buy-know.html?fundcode="+model.fundcode);
                        });

                        $("#sellTableViewID").on("tap","dd",function () {
                            var index= $(this).attr('m-id');
                            var model=modelList[index];
                            $.platform.hsOpen("trade-new-buy-know.html?fundcode="+model.fundcode);
                        });
                        // m-href="trade-buy-know.html?fundcode={{=fund.fundcode}}"


                    }
                } else {
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        }
    } ;
    return action;
});
