/**
 * Created by apple on 15/6/16.
 */

define([], function() {
	var action = {
		constant: {},
		init: function() {
			$.platform.getCache("openId", function(openId) {
				action.constant.openId = openId;
			});
			$.checkNullGroup([$("#mobile"), $("#content")], $("#sendBtn"));
			action.events();
		},
		events: function() {
			$("#sendBtn").on("tap", function() {
				var content = $("#content").UITextarea("value");
				var mobile = $("#mobile").UITextField("value");
				var validForm = $.validForm();
				validForm.add("empty", content, "请输入内容")
						.add("script", content, "请输入合法内容")
						.add("mobile", mobile, "请输入正确的电话号码");
				if (validForm.valid()) {
					var form = $.formGenerate();
					form.add("from", "1").add("msgType", "6").add("content", content)
					.add("mobile", mobile).add("openId", action.constant.openId);
					$.hsf.startLoading();
					$.hsf.ajax.app("account/feedback/addfeed", form.generate(), "feedbackCallback", function(jsonResult) {
						if (jsonResult.successful) {
							$.hsf.stopLoading();
							$.UIAlert("感谢您对我们的关注和支持！我们会继续努力哒O(∩_∩)O~", function() {
								$.hsf.hsBack();
							});
						} else {
							$.hsf.callFailProcess(jsonResult);
						};
					});
				}
			});
		}
	};
	return action;
});