/**
 * Created by apple on 15/6/9.
 */

define([],function(){
   var action = {
       constant:{

       },
       init : function(){
	       action.loadUserInfo();
           action.events();
       },
       loadUserInfo : function(){
    	   $.hsf.startLoading();
    	   $.hsf.ajax.app("account/account/accountinfo","","checkLoginCode",function(jsonResult){
    		   if (jsonResult.successful) {
                   var userName = action.constant.custname = jsonResult.result.customerappellation;
                   var certificate = action.constant.identityno =jsonResult.result.idno;
                   var certificateType = action.constant.identityType =jsonResult.result.idtype;
                   $.hsf.stopLoading();
    		   } else {
    			   $.hsf.callFailProcess(jsonResult);
    		   }
    	   });
       },
       events : function(){
           $("#next").on('click',function(){
               var code = $(".mess-code").UITextField("value");
               var mobile = $(".phone").UITextField("value");
               if (mobile.length == 0){
                   $.UIPopup("手机号不能为空!");
                   return false;
               }
               if (code.length == 0){
                   $.UIPopup("验证码不能为空!");
                   return false;
               }
               var data = "idno="+action.constant.identityno+"&idtype="+action.constant.identityType + "&authcode="+code + "&mobile="+ mobile;
               $.hsf.startLoading();
               $.hsf.ajax.app("account/resetpwd/identify",data,"authCallback",function(jsonResult){
                   if (jsonResult.successful){
                	   $("#first").hide();
                	   $("#second").show();
                       $.hsf.stopLoading();
                   }else{
                       $.hsf.stopLoading();
                       $.hsf.callFailProcess(jsonResult);
                   }
               });
               return false;
           });

           $(".recover-text").bind("tap",function(){
                action.getAuthcode();
                return false;
           });
           
           $("#submit").on("tap",function(){
               var pwd = $("#pwd").UITextField("value");
               var rePwd = $("#repwd").UITextField("value");
               if(pwd.length <6 || pwd.length > 8){
                   $.UIPopup("密码长度应该是6-8位！");
                   return false;
               }
               if(action.hasSpace(pwd)){
                   $.UIPopup("密码不能包含空格!");
                   return false;
               }
               if (pwd != rePwd){
                   $.UIPopup("两次输入密码不一样！");
                   return false;
               }else{
            	   var mobile = $(".phone").UITextField("value");
                   var data = "idno="+action.constant.identityno + "&idtype="+action.constant.identityType+
                       "&newpwd="+pwd+"&custname="+action.constant.custname+"&mobile="+mobile;
                   $.hsf.startLoading();
                   $.hsf.ajax.app("account/resetpwd/resetPwd",data,"resetPwdCallback",function(jsonResult){
                       if(jsonResult.successful){
                    	   $.UIAlert("修改成功", function() {
                    		   $.hsf.hsBack();
                    	   });
                           $.hsf.stopLoading();
                       }else{
                           $.hsf.stopLoading();
                           $.hsf.callFailProcess(jsonResult);
                       }
                   });
               }
               return false;
           });
       },
       hasSpace : function(str){
           var arr = str.split(" ");
           if (arr.length != 1){
               return true;
           }else{
               return false;
           }
       },
       getAuthcode : function(){
           var mobile = $(".phone").UITextField("value");

           var reg = /^1\d{10}$/;
           if(!reg.test(mobile)){
               $.UIPopup("手机号码格式不正确!");
               return false;
           }

           $(".remaining-text").removeClass("m-hide");
           $(".count-text1").removeClass("m-hide");
           $(".count-text2").removeClass("m-hide");
           $(".recover-text").addClass("m-hide");
           $("[m-role='UICountdown']").UICountdown({"time":60,"afterStop":function(){
               //$.UIPopup("结束");
               $(".remaining-text").addClass("m-hide");
               $(".recover-text").removeClass("m-hide");
               $(".count-text1").addClass("m-hide");
               $(".count-text2").addClass("m-hide");

               $("[m-role='UICountdown']").UICountdown("reset");
           }});

           $("[m-role='UICountdown']").UICountdown("start");

           var data = "custname="+action.constant.custname + "&mobile="+mobile+
               "&identityno="+action.constant.identityno+"&identitytype="+action.constant.identityType+"&sendintent=reset";
           $.hsf.startLoading();
           $.hsf.ajax.app("account/mobile/sendCode",data,"sendLogincodeCallback",function(jsonResult){
               if(jsonResult.successful){
                   $.hsf.stopLoading();
               }else{
                   $.hsf.callFailProcess(jsonResult);
               }
           });
       }
   } ;
   return action;
});