define([],function(){
    var action = {
        constant : {
            fundcode : $.hsf.hsTools.getParam("fundcode"),
            fundtype : $.hsf.hsTools.getParam("fundtype"),
            init : {1 : false, 3: false, 12: false},
        },
        init : function() {
        	$.doTemplate("table-head-template", action.constant.fundtype);
        	this.requestData(1);
        	this.events();
        },
        requestData : function(queryunit) {
        	var data = "fundcode="+action.constant.fundcode+"&queryunit="+queryunit;
        	$.hsf.startLoading();
        	$.hsf.ajax.app("product/product/queryHisMarket", data, "chartCallback"+queryunit, function(jsonResult) {
                if (jsonResult.successful) {
                	jsonResult.result.fundtype = action.constant.fundtype;
                	$.doTemplate("month"+queryunit+"-template", jsonResult.result);
                	action.constant.init[queryunit] = true;
                  console.log(jsonResult.result)
                	$.hsf.stopLoading();
                }else{
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        },
        events : function() {
        	$("#seg").UISegment("change", function(e) {
        		if (!action.constant.init[e]) {
        			action.requestData(e);
        		}
        	})
        }
    };
    return action;
});