define([], function() {
	var action = {
		constant: {
			fundcode: $.hsf.hsTools.getParam("fundcode")
		},
		init: function() {
			$.hsf.startLoading();
			var data = "fundcode=" + action.constant.fundcode;
			$.hsf.ajax.appEncrypt("product/product/queryManager", data, "mamagerListCallback", function(jsonResult) {
				if (jsonResult.successful) {
					$.doTemplate("template-fund-name", jsonResult.result.data);
					$.doTemplate("template-1", jsonResult.result.data);
					action.events();
					action.managerDown();
					action.managerInfoTitle();
					$("#manager1").show();
					$.hsf.stopLoading();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});

		},
		events: function() {
			$(document).on('tap', ".more-fundmanager-info", function(e) {
				$('#m'+$(this).attr("for")).addClass('fund-manager-text-more');
				$(this).hide();
			});
		},
		managerDown: function() {
			$(".manager-right").click(function(){
                $(this).parent().toggleClass('on');
            });
		},
		managerInfoTitle: function() {
			$(".manager-info-title ul li").click(function(){
                $(".manager-down").removeClass('on')
            });
		}
	};
	return action;
});
