/**
 * Created by apple on 15/6/9.
 */
define([$.hsf.platform()], function(platform) {
    var platformApi = $.hsf.getModuleAPI(platform, "login-view");
    var action = {
        constant: {},
        init: function () {
            action.events();
//            $.platform.initPage&& $.platform.initPage();
            /*$.hsf.Event.addListener("noHandPassword", function (jsresult) {
                $.hsf.hsBack();
            });*/
            $.hsf.Event.addListener("login", function (jsresult) {
                 $.hsf.hsBack();
            });
        },

        events: function () {
            $("#psw-visible").on('tap', function () {
                var self = $(this);
                obj = self.find('.psw-visible-ico'),
                    psw = self.prev().find("input");
                if (obj.hasClass('on')) {
                    obj.removeClass('on');
                    psw.attr("type", "password");
                } else {
                    obj.addClass('on');
                    psw.attr("type", "text");
                }
            });

            $("#next").on("tap", function () {
                var code = $(".mess-code").UITextField("value");
                var mobile = $(".phone").UITextField("value");
                var pwd = $("#pwd").UITextField("value");
//               var rePwd = $("#repwd").UITextField("value");
//               var rePwd = pwd;
                var mobileMatch = /^1\d{10}$/;
                var pwreg = /^\d{6}$/;////纯数字
                if (mobile.length == 0) {
                    $.UIPopup("手机号不能为空!");
                    return false;
                }
                if (mobile.length !=11) {
                    $.UIPopup("请输入11位手机号码!!");
                    return false;
                }

                if (!mobileMatch.test(mobile)) {
                    $.UIPopup("手机号码格式不正确!");
                    return false;
                }

                if(!action.constant.operdate){
                    $.UIPopup("请获取验证码");
                    return false;
                }

                if (pwd.length == 0) {
                    // $("#pwdError").show();
                    $.UIPopup("请输入新密码！");
                    return false;
                }
                if (pwreg.test(pwd) === false) {
                    // $("#pwdError").show();
                    $.UIPopup("请输入6位纯数字密码！");
                    return false;
                }
                if (pwd.length != 6) {
                    $.UIPopup("密码长度应该是6位！");
                    return false;
                }
                if (action.hasSpace(pwd)) {
                    $.UIPopup("密码不能包含空格!");
                    return false;
                }
                if (!action.hasSimple(pwd)) {
                    $.UIPopup("密码过于简单!");
                    return false;
                }
                if (code.length == 0) {
                    $.UIPopup("验证码不能为空!");
                    return false;
                }
                if (code.length != 6) {
                    $.UIPopup("请输入6位验证码!");
                    return false;
                }
                var data = "chkmsg=" + code +
                    "&mobile=" + mobile +
                    "&lpasswd=" + pwd +
                    "&acctfrom=" + "003" +
                    "&sno=" + action.constant.sno +
                    "&operdate=" + action.constant.operdate;
                $.hsf.startLoading();
                $.hsf.ajax.app("account/register/register", data, "registCallback", function (jsonResult) {
                    if (jsonResult.successful) {
                        $.UIPopup("注册成功");
                        action.checkLoginCode();
                        $.hsf.stopLoading();
                    } else {
                        $.hsf.stopLoading();
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
                return false;
            });

            $("#login_btn").bind("tap", function () {
                // var result = {"code": "ETS-5BP00001"}
                // $.hsf.callFailProcess(result);
                $.hsf.innerLogin();
                // return false;
            });

            $(".recover-text").bind("tap", function () {
                action.isBindedUser();
                return false;
            });
        },
        hasSpace: function (str) {
            var arr = str.split(" ");
            if (arr.length != 1) {
                return true;
            } else {
                return false;
            }
        },
        hasSimple: function (str) {
            var dataDictionary = [111111, 000000, 222222, 333333, 444444, 555555, 666666, 777777, 888888, 999999, 012345, 123456, 234567, 345678, 456789, 987654, 876543, 765432, 654321, 543210, 098765];
            for (var index = 0, len = dataDictionary.length; index < len; index++) {
                if (dataDictionary[index] == str) {
                    return false;
                }
            }
            return true;
        },
        isBindedUser: function () {
            var that = this;
            var mobile = $(".phone").UITextField("value");
            var mobileMatch = /^1\d{10}$/;
            if (mobile.length == 0) {
                $.UIPopup("手机号不能为空!");
                return false;
            }
            if (mobile.length !=11) {
                $.UIPopup("请输入11位手机号码!!");
                return false;
            }
            if (!mobileMatch.test(mobile)) {
                $.UIPopup("手机号码格式不正确!");
                return false;
            }
            var data = "&Mobileno=" + mobile + "&accttype=0";
            $.hsf.startLoading();
            $.hsf.ajax.app("account/mobile/queryMobileBindCheck", data, "queryMobileBindCheck", function (jsonResult) {
                $.hsf.stopLoading();
                if (jsonResult.successful) {
                    if (jsonResult.result.userid == "") {
                        that.getAuthcode();
                    } else {
                        $.UIPopup("手机号码已被注册");
                    }
                } else {
                    $.hsf.callFailProcess(jsonResult);
                }
            });
            return false;
        },
        getAuthcode: function () {
            var mobile = $(".phone").UITextField("value");

            var reg = /^1\d{10}$/;
            if (!reg.test(mobile)) {
                $.UIPopup("手机号码格式不正确!");
                return false;
            }
            var code = $(".mess-code").UITextField("value");
            var mobile = $(".phone").UITextField("value");

            var data = "&Mobileno=" + mobile + "&sendintent=toNew";
            $.hsf.startLoading();
            $.hsf.ajax.app("account/mobile/sendMobileAuthcode", data, "sendRegistcodeCallback", function (jsonResult) {
                if (jsonResult.successful) {
                    $.hsf.stopLoading();
                    action.constant.sno = jsonResult.result.sno;
                    action.constant.operdate = jsonResult.result.operdate;

                    $.UIAlert("手机验证码已发送！请注意查收短信！");

                    $(".remaining-text").removeClass("m-hide");
                    $(".count-text1").removeClass("m-hide");
                    $(".count-text2").removeClass("m-hide");
                    $(".recover-text").addClass("m-hide");
                    $("[m-role='UICountdown']").UICountdown({
                        "time": 60, "afterStop": function () {
                            //$.UIPopup("结束");
                            $(".remaining-text").addClass("m-hide");
                            $(".recover-text").removeClass("m-hide");
                            $(".count-text1").addClass("m-hide");
                            $(".count-text2").addClass("m-hide");

                            $("[m-role='UICountdown']").UICountdown("reset");
                        }
                    });
                    $("[m-role='UICountdown']").UICountdown("start");
                } else {

                    $(".remaining-text").removeClass("m-hide");
                    $(".count-text1").removeClass("m-hide");
                    $(".count-text2").removeClass("m-hide");
                    $(".recover-text").addClass("m-hide");
                    $("[m-role='UICountdown']").UICountdown({
                        "time": 60, "afterStop": function () {
                            //$.UIPopup("结束");
                            $(".remaining-text").addClass("m-hide");
                            $(".recover-text").removeClass("m-hide");
                            $(".count-text1").addClass("m-hide");
                            $(".count-text2").addClass("m-hide");

                            $("[m-role='UICountdown']").UICountdown("reset");
                        }
                    });

                    $("[m-role='UICountdown']").UICountdown("start");

                    $.hsf.callFailProcess(jsonResult);
                }
            });
        },
        checkLoginCode: function () {
            var account = $(".phone").UITextField("value");
            var pw = $("#pwd").UITextField("value");
            var verifycode = $("#verifycode").UITextField("value");
            var accttype = "8";
            var accountType = "0";
            var deviceId = "";
            $.platform.getCache("deviceId", function(id) {
                deviceId = id||"";
                var data = "certificatetype=" + accountType
                    + "&certificateno=" + account
                    + "&lpasswd=" + pw
                    + "&channel=" + $.platform.channel
                    + "&bindwx=1"
                    + "&accttype=" + accttype
                    + "&authcode=" + verifycode
                    + "&deviceId=" + deviceId;
                $.hsf.startLoading();
                $.hsf.ajax.app(platformApi.loginUrl, data, "checkLoginCode", action.loginCallback);
            });
        },
        loginCallback: function (jsonResult) {
            $.hsf.stopLoading();
            if (jsonResult && jsonResult.successful) {
                var account = $(".phone").UITextField("value");
                var pw = $("#pwd").UITextField("value");
                var verifycode = $("#verifycode").UITextField("value");
                var accttype = "3";
                var accountType = "0";
                platformApi.loginSuccess(account, accountType, pw, accttype);
                $.platform.removeCache("logininfo");
                $.platform.putCache("logininfo", jsonResult.result);
                $.platform.removeCache("ps");
                $.platform.putCache("ps",  {"value":pw});
                $.hsf.hsBack();
            } else {
                $.hsf.callFailProcess(jsonResult);
            }
            return false;
        }
    };
    return action;
});