/**
 * Created by apple on 15/6/11.
 */

define([], function() {
	var action = {
		originCode : $("#origin-code"),
		newCode : $("#new-code"),
		repeatCode : $("#repeat-code"),
		submitBtn : $("#submit-btn"),
		init: function() {
			$.checkNullGroup([this.originCode, this.newCode, this.repeatCode], this.submitBtn);
			action.events();
		},
		events: function() {
			var t = this;
			this.submitBtn.on("tap", function() {
				if (t.submitBtn.attr("m-state") == "disabled") return;
				var validForm = $.validForm();
				var oldpwd = t.originCode.UITextField("value");
				var newpwd = t.newCode.UITextField("value");
				var repeatpwd = t.repeatCode.UITextField("value");
				validForm.add("empty", oldpwd, "旧密码不能为空")
				if(oldpwd.length!=6){
					$.UIPopup("请输入6位交易密码");
					$.hsf.stopLoading();
					return false;
				};
				validForm.add("strlength", {value:newpwd, size:6}, "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同"); 
	            validForm.add("num", newpwd, "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同"); 
	            validForm.add("notasc4", newpwd, "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同");
	            validForm.add("notrp3", newpwd, "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同");
	            validForm.add("equal", {origin:newpwd, target:repeatpwd}, "新密码不一致");
	            validForm.add("notEqual", {origin:oldpwd, target:repeatpwd}, "新旧密码不能一样");
	            if (validForm.valid()) {
					var f = $.formGenerate().add("pwdtype", "0").add("oldpwd", oldpwd).add("newpwd", newpwd).add("repeatpwd", repeatpwd);
					$.hsf.startLoading();
					$.hsf.ajax.app("account/pwd/modifypwd", f.generate(), "tradepwdCallback", function(jsonResult) {
						if (jsonResult.successful) {
							$.hsf.stopLoading();
							$.UIPopup("修改成功", function() {
								$.hsf.hsBack();
							});
						} else {
							$.hsf.callFailProcess(jsonResult);
						}
					});
				}
			});
		},
	};
	return action;
});