/**
 * Created by apple on 15/5/29.
 */

define(["iscroll-probe", $.hsf.platform()], function(platform) {
	var action = {
		constant:{},
		init : function(){
			$.platform.getCache("openId", function(openId) {
				action.constant.openId = openId||"";
				//action.loadNotify();
			});
			action.initScroll();
			action.initAsset();
		},
		loadAssetlist : function(json) {
			var notifyList = json.result;
			if(notifyList){
				$.doTemplate("renderArea2", notifyList, "refresh");
			}else{ //未配置公告信息时显示图片
				notifyList = {list:[]};
				$.doTemplate("renderArea2", notifyList, "refresh");
			}
			var bodyHeight = document.documentElement.clientHeight;
			var height = (bodyHeight - ($("#renderArea").height()+44+50+200+38))/2;
			$("#empty-div").css({"position":"absolute","left": "0px", "right":"0px", "top":height+"px"});
			this.initScroll();
		},
		switchZZC : function(e) {
			$(".zc-tab").toggleClass("on");
			$(".totalcaptitalSpan").toggle();
		},
		initAsset : function(loading) {
			var that = this;
			$.hsf.startLoading();
			var data = "functionCode=1051&originalId=app";
			$.hsf.ajax.app("wxzt/m", data, "mCallback", function(jsonResult) {
				$.hsf.stopLoading();
				if (jsonResult.successful) {
					var json = JSON.parse(jsonResult.message);
					if (json.errorCode != "error") {
						that.loadAssetlist(json);
					}
					$.hsf.stopLoading();
					var text = "functionCode=1053&wx_username=" + action.constant.openId + "&funcType=2";
					$.hsf.ajax.app("wxzt/m", text, "", function(jsonResult) {
						if (jsonResult.successful) {
							$.platform.triggerSucc && $.platform.triggerSucc();
							$.hsf.stopLoading();
						}
					});
				} else {
					if (that.myScroll) {
						that.myScroll.enable();
						that.myScroll.refresh();
						that.myScroll.scrollTo(0,0, 100);
					}
					that.requestManager.resetTime(that.initAsset);
					$.hsf.callFailProcess(jsonResult);
				}
			});

		},
		afterSwitchView : function() {
			$('body').scrollTop(0);
			if (false == this.requestManager.invoke(this.initAsset)) {
				if(this.myScroll) {
					this.myScroll.refresh();
				} else if (this.renderAreaHeight == 0){
					this.initScroll();
				}
			}
		},
		initScroll : function() {
			var $s = $("#swiperArea");
			var that = this;
			if (this.myScroll) {
				this.myScroll.enable();
				this.myScroll.refresh();
				this.myScroll.scrollTo(0,0,100);
			} else {
				this.renderAreaHeight = $("#renderArea").height();
				if (this.renderAreaHeight == 0) return;
				var scrollTop = this.renderAreaHeight+44-40;
				$("#scroll1").css("top", scrollTop+"px");
				$s.css({"min-height": document.documentElement.clientHeight- 44-scrollTop});
				window.myScroll = this.myScroll = new IScroll("#scroll1", {probeType:1});
				this.myScroll.on('scroll', function() {
					if (parseFloat(this.y) > 45) {
						that.myScroll.refreshFlag = true;
						$(".pullDown").addClass("flip");
						$("#refreshTip").html("释放刷新");
					};
				});
				$("#scroll1").bind("touchmove", function (event) {
					event.preventDefault();
				});
				$("#scroll1").bind("touchend", function (event) {
					if (that.myScroll.refreshFlag) {
						var x = function() {
							setTimeout(function() {
								var scrollY = parseFloat($s.css("transform").split(", ")[5]);
								if (scrollY <= 45 && that.myScroll.disable) {
									$(".pullDown").removeClass("flip").addClass("loading");
									$("#refreshTip").html("正在刷新...");
									$s.css({"webkitTransform":'translate( 0px,' + (scrollY) + 'px) translateZ(0) '});
									that.initAsset(false);
									that.myScroll.refreshFlag = false;
									$.hsf.Event.muteTrigger("pullRefresh");
								} else {
									x();
								}
							}, 10);
						};
						x();
					}
				});
			}
		}
	};
	return action;
});