define([],function(){
    var action = {
        constant:{
			question : null
        },
        init : function() {
        	$.hsf.ajax.html("../pages/risk-test-view.html", function(html) {
				$("body").prepend(html);
				action.initForm(action.events.after(action.popUp));
			});
        },
        initForm : function(func){
            $.hsf.startLoading();
            $.hsf.ajax.app("account/risk/getModifyRiskForm","","riskCallBack", function (jsonResult){
                if(jsonResult.successful){
                    action.constant.question = jsonResult.questionList;
                    $.doTemplate("risk-form", jsonResult, "keepid")
                    $("[m-role='UITableView']").UITableView();
                    func();
                    $.hsf.stopLoading();
                }else{
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        },
        events : function() {
			$("#risk-submit").on('tap', function(){
                var ddMarked = $("#risk-form dd[m-marked='yes']");
                if(ddMarked.length < action.constant.question.length) {
                	var $riskform = $("#risk-form");
                	$riskform.find("dl").each(function(i,n) {
                		var $dl = $(n);
					    if ($dl.find("dd[m-marked='yes']").length == 0) {
					    	$dl.parent().focus();
					    }
					})
					$.UIPopup("请做完风险测评再提交");
                    return false;
                }
                var qnoandanswer = "";
                ddMarked.each(function(){
                    var _self=$(this);
                    var qno = _self.parent().parent().attr("qno");
                    var qanswer = _self.attr("qitemvalue");
                    qnoandanswer += "\""+qno+"\""+":"+"\""+qanswer+"\""+",";
                });
                qnoandanswer = "{"+qnoandanswer.substr(0,qnoandanswer.length-1)+"}";
                var data = "qnoandanswer="+qnoandanswer;
                $.hsf.startLoading();
                $.hsf.ajax.app("account/risk/modifyRisk", data, "risktestCallback", function(jsonResult) {
                    if (jsonResult.successful) {
                        var riskablityStr = jsonResult.riskablilityStr;
                        $("#risktype").html(riskablityStr);
                        $("#risk-first").hide();
                        $("#risk-second").show();
                        $.hsf.stopLoading();
                    } else {
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
                return false;
            });
			$("#completeBtn").bind("tap", function() {
				action.triggerSucc();
			});
        },
        triggerSucc : function() {
			setTimeout(function succ() {
				$.hsf.Event.trigger("risk-test", function() {
					action.popDown();
				});
			}, 100);
		},
		popUp : function() {
			$("#risk-test").bind("webkitAnimationEnd.popup", function() {
				$("div[m-role='page']").not("#risk-test").hide();
				$(this).unbind("webkitAnimationEnd.popup");
			})
			$("#risk-test").show().addClass("pop-up");
		},
		popDown : function() {
			$("div[m-role='page']").not("#risk-test").toggle();
			$("#risk-test").bind("webkitAnimationEnd", function() {
				$("#risk-test").remove();
			})
			.removeClass("pop-up")
			.addClass("pop-down");
		}
    };
    return action;
});