define([], function() {
	window.action = {
		constant :{
			appsheetserialno : $.hsf.hsTools.getParam("appsheetserialno"),
			tradeIcon : {
				"20" : "blue",
				"22" : "blue",
				"98" : "yellow",
				"24" : "yellow",
				"29" : "blue",
				"36" : "purple",
				"37" : "purple",
				"38" : "purple",
				"90" : "pink",
				"93" : "pink",
				"39" : "pink",
				"59" : "pink",
				"60" : "pink",
				"61" : "pink",
				"39" : "pink",
				"53" : "yellow"
			}
		},
		init : function() {
			$.platform.initPage && $.platform.initPage();
			action.applyPackForm();
			$.UIPasswordKeyboard("init", {
				paying: "正在撤单，请稍候...",
				inputComplete : function(pw, succ, fail) {
					var g = $.formGenerate().add("originalappsheetno", action.constant.appsheetserialno)
					.add("transactionaccountid", action.constant.transactionaccountid)
					.add("tpasswd", pw)
					$.hsf.ajax.app("trade/canceltrade/canceltrade", g.generate(), "canceltradeCallback", function(jsonResult) {
						$("#withdrawBtn").remove();
						if (jsonResult.successful) {
							succ();
							$.UIPopup("撤单成功", function() {
								$.platform.triggerSucc && $.platform.triggerSucc(action.constant.appsheetserialno);
								$.hsf.hsBack();
							});
						} else {
							fail(jsonResult.message);
						}
					});
				}
			});
		},
		events : function() {
			$("#withdrawBtn").bind("tap", function() {
				$.UIPasswordKeyboard("show", {});
			});
		},
		applyPackForm : function(func) {
			$.hsf.startLoading();
			$.hsf.ajax.app("query/tradeapply/tradeapply", "appsheetserialno="+action.constant.appsheetserialno+"&pagesize=1&pageno=1", "applyPackFormCallback", func || function(jsonResult) {
				if (jsonResult.successful) {
					var item = jsonResult.result.data[0];
					action.constant.transactionaccountid = item.transactionaccountid;
					action.formatItem(item);
					$.doTemplate("template1", item);
					action.events();
					$.hsf.stopLoading();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},
		formatItem : function(item) {
			function dictValue(key, dict) {
				for (var index in dict) {
					if (index == key) {
						return dict[index];
					}
				}
				return "";
			}
			if (item.applicationamount > 0)
				item.apply = item.applicationamount+"元"
			else if (item.applicationvol > 0) {
				item.apply = item.applicationvol+"份"
			} else {
				item.apply  = "";
			}
			if (item.businesscode == "36" && item.businesskind == "j" && item.tradeway== "06") {
				item.businessstr = "赎回";
				item.fundcode = item.targetfundcode;
				item.fundname = item.targetfundname;
				item.tradeway = "";
			}
			item.confirmflagstr = dictValue(item.confirmflag, {"0":"确认成功", "1":"待确认", "2":"确认失败"});
			item.paystatus = dictValue(item.paystatus, {"00":"未支付", "01":"支付处理中", "02":"支付成功", "03":"支付失败"})
			item.tradeway = dictValue(item.tradeway, {"05":"耀钱包申购基金", "06":"基金赎回到耀钱包", "":""});
			item.businesskind = dictValue(item.businesskind, {"0":"普通业务","2":"耀钱包认购基金","j":"基金赎回到耀钱包", "6":"耀钱包申购基金"})
			if(item.tradeway == "耀钱包申购基金" && item.businesskind == "基金赎回到耀钱包"){
				item.businesskind = "耀钱包申购基金";
			}
			item.businessstr = item.businessstr||item.businesscode;
			item.operdate = $.hsf.hsTools.yyyy_mm_dd(item.operdate);
			item.tradeIconClass = action.constant.tradeIcon[item.businesscode] || "purple";
			item.iconBusinflagstr = item.businessstr.replace("基金","").substr(0,1);
		}
	};
	return action;
});