define(function(require) {
	var action = {
		constant : {
			weeks : {
				"2" : "周一",
				"3" : "周二",
				"4" : "周三",
				"5" : "周四",
				"6" : "周五"
			}
		},
		init : function() {
			action.events();
			action.packForm();
		},
		packForm : function() {
			$.hsf.startLoading();
			$.hsf.ajax.app("valuavgr/fixcharge/protocolList", "", "protocolList", function(jsonResult) {
				$.hsf.stopLoading();
				if (jsonResult.successful) {
					var $avgrList = $("#avgrList");
					var $dl = $("#avgrList").find("dl");
					action.constant.result = jsonResult.protocolList;
					for (var index in jsonResult.protocolList) {
						var $ddHtml = $(action.ddHtml);
						$ddHtml.find(".fundname").html("现金宝");
						$ddHtml.find(".fundcode").html("自动转入");
						$ddHtml.find(".bankacco").html(jsonResult.protocolList[index].bankname);
						$ddHtml.find(".applysum").html(jsonResult.protocolList[index].applysum+"元");
						$ddHtml.find(".dtdate").html(action.formatAvgrDate(jsonResult.protocolList[index].cycleunit, jsonResult.protocolList[index].jyzq, jsonResult.protocolList[index].jyrq));
						$ddHtml.find(".dtlb-pause, .dtlb-modify, .dtlb-del").attr("index", index);
						if (jsonResult.protocolList[index].state == "P") {
							$dd.find("div.dtlb-list").addClass("off");
						}
						if (jsonResult.protocolList[index].state == "H") {
							continue;
						}
						$dl.append($ddHtml);
					} 
					$avgrList.UITableView("refresh");
					
					$(".dtlb-modify").on("tap", function() {
						var _self = $(this);
						var index = _self.attr("index");
						$.hsf.hsOpen("xjb-avgr-modify.html?xyh="+action.constant.result[index].xyh);
						return false;
					});
					
					$(".dtlb-del").on('tap', function() {
						var _self = $(this);
						var index = _self.attr("index");
						var request = "xyh="+action.constant.result[index].xyh+"&xybm="+action.constant.result[index].xybm+"&state=H";
						$.hsf.startLoading();
						$.hsf.ajax.app("valuavgr/fixdeclare/fixDeclareChange", request, "fixDeclareChange", function(jsonResult) {
							$.hsf.stopLoading();
							if (jsonResult.successful) {
								_self.parent().parent().parent().parent().remove();
								 $("#avgrList").UITableView("refresh");
							} else {
								$.hsf.callFailProcess(jsonResult);
							}
						});
					});
					
					$(".dtlb-edit").on('tap', function() {
						var obj = this;
						var dtlbOpt = $(obj).parent().siblings('.dtlb-opt');
						if ($(obj).hasClass('on')) {
							$(obj).removeClass('on').text("编辑");
							dtlbOpt.hide();
						} else {
							$(obj).addClass('on').text("完成");
							dtlbOpt.show();
						};
					});
					$(".dtlb-pause").on('tap', function() {
						var _self = $(this),
						dtlb = $(this).parent().parent().parent().parent();
						if (dtlb.hasClass('off')) {//需要开启
							var index = _self.attr("index");
							var request = "xyh="+action.constant.result[index].xyh+"&xybm="+action.constant.result[index].xybm+"&state=A";
							$.hsf.startLoading();
							$.hsf.ajax.app("valuavgr/fixdeclare/fixDeclareChange", request, "fixDeclareChange", function(jsonResult) {
								$.hsf.stopLoading();
								if (jsonResult.successful) {
									_self.text("暂停");
									dtlb.removeClass('off');
								} else {
									$.hsf.callFailProcess(jsonResult);
								}
							});
						} else {
							var index = _self.attr("index");
							var request = "xyh="+action.constant.result[index].xyh+"&xybm="+action.constant.result[index].xybm+"&state=P";
							$.hsf.startLoading();
							$.hsf.ajax.app("valuavgr/fixdeclare/fixDeclareChange", request, "fixDeclareChange", function(jsonResult) {
								$.hsf.stopLoading();
								if (jsonResult.successful) {
									_self.text("开启");
									dtlb.addClass('off');
								} else {
									$.hsf.callFailProcess(jsonResult);
								}
							});
						}
					});
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},
		formatAvgrDate : function(cycleunit, jyzq, jyrq) {
			if ("0" === cycleunit) {
				jyzq = "每月";
				jyrq = jyrq+"日";
			} else if ("1" === cycleunit) {
				if ("1" === jyzq) {
					jyzq = "每周的";
					jyrq = action.constant.weeks[jyrq];
				} else if ("2" === jyzq) {
					jyzq = "每两周的";
					jyrq = action.constant.weeks[jyrq];
				}
			}
			return jyzq+jyrq;
		},
		events : function() {
		},
		ddHtml : "<dd m-selectionstyle='no'> <div m-role='cell' m-mode='y'  m-layout='fit' class='dtlb-list'> <div m-role='cell' m-mode='x' m-layout='fit' m-valign='middle' class='btm-line'> <div m-role='cell' m-valign='middle' m-margin='0 1 0 1' m-padding='0 0 0 1'> <div class='pydt-ico ico1'></div> </div> <div m-role='cell' m-mode='y' m-layout='fit' m-margin='1 0 1 0'> <div m-role='cell' class='m-color-0 m-font-big m-font-bold'> <span class='fundname'></span> </div> <div m-role='cell' class='m-font-light m-font-small fundcode'></div> </div> <div m-role='cell' class='dtlb-edit' m-align='right' m-valign='middle' m-padding='0 1 0 0' m-margin='0 1 0 0'>编辑</div> </div> <div m-role='cell' m-mode='x' m-padding='1 1 0 1'  m-valign='middle' m-margin='1 1 1 1'> <div m-role='cell' m-valign='middle' class='w30'></div> <div m-role='cell' class='w80'> <span class='dtlb-txt'>银行卡</span> </div> <div m-role='cell'> <span class='bankacco'></span> </div> </div> <div m-role='cell' m-mode='x' m-padding='1 1 0 1'  m-valign='middle' m-margin='0 1 1 1'> <div m-role='cell' m-valign='middle' class='w30'></div> <div m-role='cell' class='w80'> <span class='dtlb-txt'>转入金额</span> </div> <div m-role='cell'> <span class='applysum'></span> </div> </div> <div m-role='cell' m-mode='x' m-padding='1 1 1 1'  m-valign='middle' m-margin='0 1 1 1'> <div m-role='cell' m-valign='middle' class='w30'></div> <div m-role='cell' class='w80'> <span class='dtlb-txt'>转入日期</span> </div> <div m-role='cell'> <span class='dtdate'></span> </div> </div> <div class='dtlb-opt'><div m-role='cell' m-mode='x-equal' m-layout='fit'> <div m-role='cell' m-align='center' class='dtlb-del' m-selectionstyle='yes'>删除</div><div m-role='cell' m-align='center' class='dtlb-modify right-line left-line' m-selectionstyle='yes'>修改</div> </div> </div> </div> </div> </dd>"
	};
	return action;
});