define("global", ['doT','crypto'] ,function(doT,CryptoJS) {
	//只适应页面
	var doc=document;
	var win=window;
	var docEl = doc.documentElement, resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize';
	function recalc(){
		var clientWidth = docEl.clientWidth;
		if (!clientWidth) return;docEl.style.fontSize = 100 * (clientWidth / 750) + 'px';

	}
	if (!doc.addEventListener) return;
	win.addEventListener(resizeEvt, recalc, false);
	recalc();

	$.extend({
		hsf:{
			debug : false,
			isEncryption: true, // 是否加密参数
			projectName: '',
			pwLength : 10,
appShareUrl:"https://ec.epf.com.cn:6451/",
appBaseUrl:"https://ec.epf.com.cn:6451/appServer/",
			fundtypeDict : [{"key":"0", "value":"股票型"},
				{"key":"3", "value":"混合型"},
				{"key":"1", "value":"债券型"},
				{"key":"2", "value":"货币型"},
				{"key":"4", "value":"专户型"},
				{"key":"5", "value":"指数型"},
				{"key":"6", "value":"QDII"}],
			weekDict:{
				"1": "一",
				"2": "二",
				"3": "三",
				"4": "四",
				"5": "五"
			},
			fundriskLevel : {"01":"低风险","03":"中风险","02":"中低风险","04":"中高风险","05":"高风险"},
			xjb : {
				code : "001973",
				name : "耀钱包"
			},
			resultTokenArr:["trade/buy/bankForm.json","trade/sale/saleForm.json","trade/trans/transForm.json","trade/bonus/bonusList.json",
				"trade/valuavgr/protocolList.json","trade/valuavgr/modifyFixDeclareFrom.json","trade/fxiredeem/modifyFixRedeemFrom.json",
				"trade/fxiredeem/protocolList.json","super/moneyIn/moneyInForm.json","super/moneyOut/moneyOutForm.json",
				"trade/combportfolio/redeemPreCheck.json","trade/combportfolio/punishFeeCheck.json"],
			pushTokenArr:["trade/buy/buy.json","trade/sale/sale.json","trade/trans/trans.json","trade/bonus/modifyBonus.json",
				"trade/valuavgr/modifyFixDeclare.json","trade/valuavgr/modifyProtocolStatus.json",
				"trade/fxiredeem/modifyFixRedeem.json","trade/fxiredeem/modifyProtocolStatus",
				"super/moneyIn/moneyIn.json","super/moneyOut/moneyOut.json","trade/combportfolio/buy.json",
				"trade/combportfolio/redeem.json","trade/combportfolio/adjust.json"],
			hsOpen:function(url, para){
				$.platform.hsOpen(url, para);
				return false;
			},
			hsBack:function(url, style, step){
				$.platform.hsBack(url, style, step);
				return false;
			},
			hsOpenHSAppPage:function(para){
				$.platform.hsOpenHSAppPage(para);
				return false;
			},
			Event : (function() {
				var eventList = [];
				var onceEventList = [];
				return {
					addListener : function(key, fn) {
						eventList[key] || (eventList[key] = []);
						eventList[key].push(fn);
						return this;
					},
					addOnceListener : function(key, fn) {
						onceEventList[key] || (onceEventList[key] = []);
						onceEventList[key].push(fn);
						return this;
					},
					process : function(key, afterTriggerFn, obj, refreshIfNoListener) {
						if (eventList[key] || onceEventList[key]) {
							if (eventList[key]) {
								eventList[key].forEach(function(fn) {
									fn.call(this, obj);
								});
							}
							if (onceEventList[key]) {
								onceEventList[key].forEach(function(fn) {
									fn.call(this, obj);
								});
								onceEventList[key] = null;
							}
							typeof afterTriggerFn == "function" && afterTriggerFn.call(this);
						} else {
							if (refreshIfNoListener) {
								window.location.hash = "";
								window.location.reload();
							}
						}
					},
					trigger : function(key, afterTriggerFn, obj) {
						this.process(key, afterTriggerFn, obj, true)
					},
					muteTrigger : function(key, afterTriggerFn, obj) {
						this.process(key, afterTriggerFn, obj, false)
					}
				};
			})(),
			requestManager : function(obj) {
				var manager = [];
				var that = obj;
				return {
					add : function(func, interval) {
						manager[func] = {
							lastRequestTime : 0,
							interval : interval || 60 *30
						};
					},
					invoke: function(func, arg) {
						if (manager[func]) {
							var lastRequestTime = manager[func].lastRequestTime;
							var current = new Date();
							if ((current - lastRequestTime) / 1000 > manager[func].interval) {
								func.call(that, arg);
								manager[func].lastRequestTime = current;
								return true;
							}
						} else {
							console.warn("not found"+func);
						}
						return false;
					},
					resetTime : function(func) {
						if (manager[func]) {
							manager[func].lastRequestTime = 0;
						}
					}
				}
			},
			ajax:{
				html:function(url, callback) {
					var request_temp = $.ajax({
						url : url,
						type : "get",
						timeout : 10000,
					}).done(function(res) {
						callback&&callback.call(this, res);
					}).fail(function(res) {
						var result = {"code":"NETWORK_ERROR", "message": "服务器连接失败"};
						callback&&callback.call(this, result);
					});
					return request_temp;
				},

				 putCache:function(name, jsonResult) {
					 var target = "session";
					 var date = new Date();
					 var storageObject = {y: date.getFullYear(),
						 m: (date.getMonth()+1),
						 d: date.getDate(),
						 h: date.getHours(),
						 r: jsonResult};
					 if (target == "session") {
						 $.hsf.ajax.putSessionStorage(name, JSON.stringify(storageObject));
					 }
					 },
				putSessionStorage:function(key,value){//把数据放到本地存储
					window.sessionStorage.setItem(key,JSON.stringify(value));
					},
				 getCache:function(name, func) {
					 var cacheStr = null;
					 cacheStr = $.hsf.ajax.getSessionStorage(name);
					 if (typeof cacheStr == "string" && cacheStr != "") {
						 var cache = JSON.parse(cacheStr);
						 if (cache) {
						 }
						 func.call(this, cache.r);
					 } else {
						 func.call(this, null);
					 }
				 },
				getSessionStorage:function (key){/*获取本地存储数据*/
					var obj = window.sessionStorage.getItem(key);
					if(obj!=null){
						return JSON.parse(obj);
					}else{
						return null;
					}
					},

				addToken:function(url,params){
					url=url+".json";
					if (!params||params=="") {
						params="";
					}
					var arr=$.hsf.pushTokenArr;
					for (var i = 0; i < arr.length; i++) {
						var urlStr=arr[i];
						if (url==urlStr){
							$.hsf.ajax.getCache("TRADE_TOKEN",function (obj) {
								if (obj&&obj!=""){
									if (params==""){
										params="token="+obj;
									} else {
										params=params+"&token="+obj;
									}
								}
							});
							break;
						}
					}
					return params;
				},
				saveToken:function(url,token){
					if (!token&&token==""){
						return;
					}
					url=url+".json";
					var arr=$.hsf.resultTokenArr;
					arr=arr.concat($.hsf.pushTokenArr);
					for (var i = 0; i < arr.length; i++) {
						var urlStr=arr[i];
						if (url==urlStr){
							$.hsf.ajax.putCache("TRADE_TOKEN",token);
							break;
						}
					}
				},
				app:function(functionNo, data,jsonpname, callback, timeout){
					data=$.hsf.ajax.addToken(functionNo,data);
					var network = $.hsf.network||"succ";
					if (network == "succ") {
						var timestamp=(new Date()).valueOf();
						data+="&timestamp="+timestamp;
						var request_temp = $.ajax({
							url:$.hsf.appBaseUrl+functionNo+".json",
							type:"get",
							dataType : "jsonp",
							jsonp: "jsonpCallback",
							jsonpCallback: jsonpname +"_"+timestamp,
							data:data,
							timeout: timeout * 1000 || 20000
						}).done(function(res){
							$.hsf.ajax.saveToken(functionNo,res.token);
							callback&&callback.call(this, res);
						}).fail(function() {
							var result = {"code":"NETWORK_ERROR", "message": "服务器连接失败"};
							callback&&callback.call(this, result);
						});
						return request_temp;
					} else {
						var result = {"code":"NETWORK_ERROR", "message": "服务器连接失败"};
						callback&&callback.call(this, result);
					}
				},
				appEncrypt:function(functionNo, data,jsonpname, callback, timeout){
					function appencrypt(word){
						var key = CryptoJS.enc.Utf8.parse("0OQn4PlLv951aOax");  //十六位十六进制数作为密钥
						var iv = CryptoJS.enc.Utf8.parse('Hy5k2ILMztwu0e8B'); // 密钥偏移量
						var srcs = CryptoJS.enc.Utf8.parse(word);
						var encrypted = CryptoJS.AES.encrypt(srcs, key, { iv: iv, mode: CryptoJS.mode.CBC, padding: CryptoJS.pad.Pkcs7 });
						var encryptedHexStr = CryptoJS.enc.Hex.parse(encrypted.ciphertext.toString());
						var encryptedBase64Str = CryptoJS.enc.Base64.stringify(encryptedHexStr);
						encryptedBase64Str = encryptedBase64Str.replace(/\+/g, "*").replace(/\//g, "-")
							.replace(/=/g, ".").replace(/\\n/g, "");
						return encryptedBase64Str;
					}

					data=$.hsf.ajax.addToken(functionNo,data);
					var param=data;
					var clientid= window.clientid;
						// console.log("clientid1"+clientid);
                    if (!!clientid && clientid !="null" && clientid !="") {
                    	// console.log("clientid2"+clientid);
                    	param=param+"&clientid="+clientid;

                    	if ($.hsf.platform() == "platform/weixinapi"){
                    		param=param+"&acceptmethod=5";

                    	}else if ($.hsf.platform() == "platform/iosapi") {

                    		param=param+"&acceptmethod=4";
                    	}else  if ($.hsf.platform() =="platform/androidapi"){
                    		param=param+"&acceptmethod=4";
           				}else  if ($.hsf.platform() =="platform/pcapi"){
							param=param+"&acceptmethod=5";
						}
           				// console.log("functionNo = "+functionNo+";data1 = "+param);
                    	if ($.hsf.isEncryption) {
                    	    param = '_p=' + appencrypt(param);
                    	}

                    	// console.log("functionNo = "+functionNo+";data2 = "+param);

                    	$.hsf.ajaxRequest(functionNo,jsonpname,param,callback,timeout);
                    }
                    else {
                    $.platform.getAppUserInfo(function (ob) {

                    						if (ob){//原生获取clientid
                                                // console.log("clientid3"+ob.clientid);
												if (ob!=""){
													param=param+"&clientid="+ob.clientid;
													window.clientid = ob.clientid;
												}
                    						}

                    						if ($.hsf.platform() == "platform/weixinapi"){
                    							param=param+"&acceptmethod=5";

                    						}else if ($.hsf.platform() == "platform/iosapi") {

                    							param=param+"&acceptmethod=4";
                    						}else  if ($.hsf.platform() =="platform/androidapi"){
                    							param=param+"&acceptmethod=4";
                    						}else  if ($.hsf.platform() =="platform/pcapi"){
												param=param+"&acceptmethod=5";
											}
                    						// console.log("functionNo = "+functionNo+";data3 = "+param);
                    						if ($.hsf.isEncryption) {
                    							param = '_p=' + appencrypt(param);
                    						}
                    						// console.log("functionNo = "+functionNo+";data4 = "+param);

                    						$.hsf.ajaxRequest(functionNo,jsonpname,param,callback,timeout);

                    					});
                    }
				}
			},
			ajaxRequest:function(functionNo,jsonpname, data,callback,timeout){
				var network = $.hsf.network||"succ";
				if (network == "succ") {
					var timestamp=(new Date()).valueOf();
					data+="&timestamp="+timestamp;
					var request_temp = $.ajax({
						url:$.hsf.appBaseUrl+functionNo+".json",
						type:"get",
						dataType : "jsonp",
						jsonp: "jsonpCallback",
						jsonpCallback: jsonpname+"_"+timestamp,
						data:data,
						timeout: timeout * 1000 || 20000
					}).done(function(res){
						$.hsf.ajax.saveToken(functionNo,res.token);
						callback&&callback.call(this, res);
					}).fail(function() {
						var result = {"code":"NETWORK_ERROR", "message": "服务器连接失败"};
						callback&&callback.call(this, result);
					});
					return request_temp;
				} else {
					var result = {"code":"NETWORK_ERROR", "message": "服务器连接失败"};
					callback&&callback.call(this, result);
				}

			},
			loadingLock : [],
			startLoading: function(message){/*加载loading*/
				(null==message||""==message) && (message = "正在加载...");
				if ($.UILoading) {
					this.loadingLock.push("");
					if (this.loadingLock.length > 0) {
						$.UILoading("show",message)
					}
				};
			},
			stopLoading:function(){/*停止loading*/
				if (this.loadingLock.length <= 1) {
					$.UILoading && $.UILoading("hide");
					this.loadingLock = [];
				} else {
					this.loadingLock.pop();
					this.stopLoading();
				}
			},
			innerLogin : function(func) {
				$.hsf.loginProxy(func, {disableHistoryBack: true});
			},
			loginProxy : function(func, opt) {
				var checkLoginNotExist = function() {
					return document.getElementById("login") == null;
				}
				var login = function() {
					if (checkLoginNotExist()) {//内外两次判断可能会优化减少一次连接
						$.hsf.ajax.html("../pages/login-view.html", function(html) {
							if (checkLoginNotExist()) {//如果login界面已经弹出则不加载
								$("body").prepend(html);
								require(["pages/login-view"], function(m) {
									m.init();
									opt && opt.disableHistoryBack && m.disableHistoryBack();
								})
							} else {
								return;
							}
						});
					}
				};
				var loginBinded = function() {
					if (checkLoginNotExist()) {
						$.hsf.ajax.html("../pages/login-binded-view.html", function(html) {
							if (checkLoginNotExist()) {
								$("body").prepend(html);
								require(["pages/login-binded-view"], function(m) {
									m.init();
									opt && opt.disableHistoryBack && m.disableHistoryBack();
								})
							} else {
								return;
							}
						});
					}
				};
				if ($.hsf.platform() == "platform/weixinapi") {
					$.hsf.ajax.app("account/weixinlogin/islogin", "", "loginCallback", function(jsonResult) {
						if (jsonResult.successful) {
							if (jsonResult.isBinded == "0") {
								if(jsonResult.isLogin=="0") {
									setTimeout(login, 100);
								}
							} else if (jsonResult.isBinded == "1") {
								setTimeout(loginBinded, 100);
							}
						} else if (jsonResult.code == "APP-5BP0012") {
							$.UIAlert("您的请求的页面已过期。请返回微信", function() {
								require(["wx"], function(wx) {
									typeof wx != "undefined" && wx.closeWindow();
								})
							});
						}
						func && setTimeout(func,350);
					});
				} else {
					login();
					func && setTimeout(func,350);
				}
			},
			riskTestProxy : function() {
				require(["pages/risk-test-view"], function(m) {
					m.init();
				});
			},
			autoLogin : function() {
				require(["pages/login-view"], function(m) {
					m.autoLogin();
				})
			},
			callFailProcess:function(jsonResult, func){/*服务调用失败操作*/
				$.hsf.stopLoading();
				if(jsonResult && jsonResult.code) {

					if ("99999999" == jsonResult.code) {
						$.UIPopup("交易正在处理中，稍后可在交易申请记录中查询", function() {
						});
					}

					if ("NETWORK_ERROR" == jsonResult.code) {//长时间未登录
						$.UIPopup(jsonResult.message, function() {
							//$.hsf.hsBack();
						});
					}
					if ("ETS-5BP00001" == jsonResult.code) {//长时间未登录
						$.hsf.Event.addOnceListener("autoLoginFail", function() {
							$.hsf.loginProxy(func);
						});
						$.hsf.autoLogin();
					}else if("ETS-5BA00014" == jsonResult.code){
						$.UIConfirm("您暂未绑定银行卡，现在立刻绑定，享受购基0费率！", function(o){
							if (o == "yes") {
								$.hsf.hsOpen("account-openAcco-gdbdx.html");
							}else{
								$.hsf.hsBack();
							}
						});
					} else {
						if ("ETS-5BS0011" == jsonResult.code) {
							$.UIPopup("没有记录");
						} else if (jsonResult.code == "ETS-5BP0010") {
							$.UIAlert("您需要做风险调查", function() {
								$.hsf.riskTestProxy();
							});
						} else {
							$.UIPopup({"html":jsonResult.message,"timer": $.hsf.popupMs})
						}
						func && func();
					}
				} else {
					func && func();
					if (jsonResult.message) {
						$.UIPopup(jsonResult.message);
					} else {
						$.UIPopup("查询出错");
					}
				}
			},
			platform : function() {
				if ($.hsf.debug) {
					this.platform = function() {
						return 'platform/pcapi';
					}
					return this.platform();
				}
				var ua = window.navigator.userAgent.toLowerCase();
				if(ua.match(/MicroMessenger/i) == 'micromessenger'){
					this.platform = function() {
						return 'platform/weixinapi';
					}
				} else if(ua.match(/weibo/i) == 'weibo') {
					this.platform = function() {
						return 'platform/pcapi';
					}
				} else if(window.navigator.userAgent.match(/(iPhone|iPod|iPad)/)){
					this.platform = function() {
						return 'platform/iosapi';
					}
				}else if(window.navigator.userAgent.match(/(Android)/)){
					this.platform = function() {
						return 'platform/androidapi';
					}
				} else {
					this.platform = function() {
						return 'platform/pcapi';
					}
				}
				return this.platform();
			},
			matchWx : function() {
				return $.hsf.platform() == "platform/weixinapi";
			},
			matchPc : function() {
				return $.hsf.platform() == "platform/pcapi";
			},
            matchNative: function() {
                return $.hsf.platform() == "platform/androidapi" || $.hsf.platform() == "platform/iosapi";
            },
			getModuleAPI : function(platform, moduleName) {
				var moduleApi;
				if (moduleName) {
					moduleApi = platform.api[moduleName];
				} else {
					var dir = location.href.split('/');
					moduleApi = platform.api[dir[dir.length - 1].split('.')[0]];
				}
				return $.extend(moduleApi, platform.baseapi)
			},//js工具类
			hsTools:{
				parseLocationSearch:function() {//解析本地url为对象
					var queryObject = {};
					var locationSearch = decodeURI(window.location.search);
					if(locationSearch!='') {
						var pairs = locationSearch.substring(1).split('&');
						for(var i in pairs) {
							var pair = pairs[i];
							var keyAndValue = pair.split('=');
							var key = keyAndValue[0];
							var value = keyAndValue[1];
							queryObject[key] = value;
						}
					}
					return queryObject;
				},
				getParam: function(paramName) {
					var reg = new RegExp("(^|&)" + paramName + "=([^&]*)(&|$)", "i");
					var r = window.location.search.substr(1).match(reg);
					if (r != null) {
						return decodeURI(r[2]);
					}  else {
						return null;
					}
				},
				recoveryMoney : function(val) {
					return val.toString().replace(/,/g,'');
				},
				formatMoney:function (val) {
					if (val) {
						var arrayVal=val.toString().replace(/,/g,'');
						arrayVal=arrayVal.split(".");
						var num = (arrayVal[0])?arrayVal[0].toString():'',
							cent = (typeof arrayVal[1] !="undefined")?"."+arrayVal[1]:"",
							moneyNum='',
							result = '';

						cent=cent.substr(0,3);

						while (num.length > 3) {
							moneyNum = ',' + num.slice(-3) + moneyNum;
							num = num.slice(0, num.length - 3);
						}
						if (num) { result = num + moneyNum+cent; }
						return result;
					} else {
						return "";
					}

				},
				chineseNum : function (val) {
					var maxDec = 2;
					// 验证输入金额数值或数值字符串：
					val = val.toString().replace(/,/g, "");
					val = val.replace(/^0+/, ""); // 金额数值转字符、移除逗号、移除前导零
					if (val == "") {
						return "零元整";
					} // （错误：金额为空！）
					else if (isNaN(val)) {
						return "错误：金额不是合法的数值！";
					}
					var minus = ""; // 负数的符号“-”的大写：“负”字。可自定义字符，如“（负）”。
					var CN_SYMBOL = ""; // 币种名称（如“人民币”，默认空）
					if (val.length > 1) {
						if (val.indexOf('-') == 0) {
							val = val.replace("-", "");
							minus = "负";
						} // 处理负数符号“-”
						if (val.indexOf('+') == 0) {
							val = val.replace("+", "");
						} // 处理前导正数符号“+”（无实际意义）
					}
					// 变量定义：
					var vInt = "";
					var vDec = ""; // 字符串：金额的整数部分、小数部分
					var resAIW; // 字符串：要输出的结果
					var parts; // 数组（整数部分.小数部分），length=1时则仅为整数。
					var digits,
						radices,
						bigRadices,
						decimals; // 数组：数字（0~9——零~玖）；基（十进制记数系统中每个数字位的基是10——拾,佰,仟）；大基（万,亿,兆,京,垓,杼,穰,沟,涧,正）；辅币（元以下，角/分/厘/毫/丝）。
					var zeroCount; // 零计数
					var i,
						p,
						d; // 循环因子；前一位数字；当前位数字。
					var quotient,
						modulus; // 整数部分计算用：商数、模数。
					// 金额数值转换为字符，分割整数部分和小数部分：整数、小数分开来搞（小数部分有可能四舍五入后对整数部分有进位）。
					var NoneDecLen = (typeof(maxDec) == "undefined" || maxDec == null || Number(maxDec) < 0 || Number(maxDec) > 5); // 是否未指定有效小数位（true/false）
					parts = val.split('.'); // 数组赋值：（整数部分.小数部分），Array的length=1则仅为整数。
					if (parts.length > 1) {
						vInt = parts[0];
						vDec = parts[1]; // 变量赋值：金额的整数部分、小数部分
						if (NoneDecLen) {
							maxDec = vDec.length > 5 ? 5 : vDec.length;
						} // 未指定有效小数位参数值时，自动取实际小数位长但不超5。
						var rDec = Number("0." + vDec);
						rDec *= Math.pow(10, maxDec);
						rDec = Math.round(Math.abs(rDec));
						rDec /= Math.pow(10, maxDec); // 小数四舍五入
						var aIntDec = rDec.toString().split('.');
						if (Number(aIntDec[0]) == 1) {
							vInt = (Number(vInt) + 1).toString();
						} // 小数部分四舍五入后有可能向整数部分的个位进位（值1）
						if (aIntDec.length > 1) {
							vDec = aIntDec[1];
						} else {
							vDec = "";
						}
					} else {
						vInt = val;
						vDec = "";
						if (NoneDecLen) {
							maxDec = 0;
						}
					}
					if (vInt.length > 44) {
						return "错误：金额值太大了！整数位长【" + vInt.length.toString() + "】超过了上限——44位/千正/10^43（注：1正=1万涧=1亿亿亿亿亿，10^40）！";
					}
					// 准备各字符数组 Prepare the characters corresponding to the digits:
					digits = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖"); // 零~玖
					radices = new Array("", "拾", "佰", "仟"); // 拾,佰,仟
					bigRadices = new Array("", "万", "亿", "兆", "京", "垓", "杼", "穰", "沟", "涧", "正"); // 万,亿,兆,京,垓,杼,穰,沟,涧,正
					decimals = new Array("角", "分", "厘", "毫", "丝"); // 角/分/厘/毫/丝
					resAIW = ""; // 开始处理
					// 处理整数部分（如果有）
					if (Number(vInt) > 0) {
						zeroCount = 0;
						for (i = 0; i < vInt.length; i++) {
							p = vInt.length - i - 1;
							d = vInt.substr(i, 1);
							quotient = p / 4;
							modulus = p % 4;
							if (d == "0") {
								zeroCount++;
							} else {
								if (zeroCount > 0) {
									resAIW += digits[0];
								}
								zeroCount = 0;
								resAIW += digits[Number(d)] + radices[modulus];
							}
							if (modulus == 0 && zeroCount < 4) {
								resAIW += bigRadices[quotient];
							}
						}
						resAIW += "元";
					}
					// 处理小数部分（如果有）
					for (i = 0; i < vDec.length; i++) {
						d = vDec.substr(i, 1);
						if (d != "0") {
							resAIW += digits[Number(d)] + decimals[i];
						}
					}
					// 处理结果
					if (resAIW == "") {
						resAIW = "零" + "元";
					} // 零元
					if (vDec == "") {
						resAIW += "整";
					} // ...元整
					resAIW = CN_SYMBOL + minus + resAIW; // 人民币/负......元角分/整
					return resAIW;
				},
				getLength : function(str){
					var realLength = 0, len = str.length, charCode = -1;
					for (var i = 0; i < len; i++) {
						charCode = str.charCodeAt(i);
						if (charCode >= 0 && charCode <= 128) realLength += 1;
						else realLength += 2;
					}
					return realLength;
				},
				dateToch : function(d) {
					var darray = (d||" - - ").split("-");
					return darray[0]+"年"+darray[1]+"月"+darray[2]+"日";
				},
				dateToch2 : function(d) {
					d = $.hsf.hsTools.yyyy_mm_dd(d);
					var darray = (d||" - - ").split("-");
					return darray[0]+"年"+darray[1]+"月"+darray[2]+"日";
				},
				dayOfWeek : function(yyyymmdd) {
					if (typeof yyyymmdd == "string") {
						var dayInt = (new Date(yyyymmdd.substr(0,4), parseInt(yyyymmdd.substr(4,2))-1, yyyymmdd.substr(6,2))).getDay();
						var day = action.constant.day[dayInt];
						return day;
					} else {
						return yyyymmdd;
					}
				},
				//获取当前的格式化日期
				getNowFormatDate:function() {
					var date = new Date();
					var seperator1 = "-";
					var seperator2 = ":";
					var month = date.getMonth() + 1;
					var strDate = date.getDate();
					var strHour = date.getHours();
					var strMinute = date.getMinutes();
					var strSeconds = date.getSeconds();
					if (month >= 1 && month <= 9) {
						month = "0" + month;
					}
					if (strDate >= 0 && strDate <= 9) {
						strDate = "0" + strDate;
					}
					if (strHour >=0 && strHour <=9){
						strHour = "0"+strHour;
					}
					if (strMinute >=0 && strMinute <=9){
						strMinute = "0"+strMinute;
					}
					if (strSeconds >=0 && strSeconds <=9){
						strSeconds = "0"+strSeconds;
					}
					var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate
						+ " " + strHour + seperator2 + strMinute
						+ seperator2 + strSeconds;
					return currentdate;
				},
				//获取当前日期
				getCurrentDay : function() {
					var now = new Date();
					var myyear = now.getFullYear();
					var mymonth = now.getMonth() + 1;
					var myweekday = now.getDate();
					if(mymonth < 10){
						mymonth = "0" + mymonth;
					}
					if(myweekday < 10){
						myweekday = "0" + myweekday;
					}
					return (myyear+""+mymonth + "" + myweekday);
				},
				getBirthdayFromIdCard : function(idCard) {
					var birthday = "";
					if(idCard != null && idCard != ""){
						if(idCard.length == 15){
							birthday = "19"+idCard.substr(6,6);
						} else if(idCard.length == 18){
							birthday = idCard.substr(6,8);
						}
						// birthday = birthday.replace(/(.{4})(.{2})/,"$1-$2-");
					}
					return birthday;
				},
				mm_dd : function(yyyymmdd) {
					if (typeof yyyymmdd == "string") {
						return yyyymmdd.substr(4,2)+"-"+yyyymmdd.substr(6,2);
					} else {
						return yyyymmdd;
					}
				},
				yyyy_mm_dd : function(yyyymmdd) {
					if (typeof yyyymmdd == "string") {
						return yyyymmdd.substr(0,4)+"-"+yyyymmdd.substr(4,2)+"-"+yyyymmdd.substr(6,2);
					} else {
						return yyyymmdd;
					}
				},
				maskCardCenter : function(str) {
					if (str.length > 8) {
						return str.substr(0,4)+" **** **** "+str.substr(str.length-4,4);
					} else {
						return str
					}
				},
				maskCardHead : function(str) {
					return str ? (str.length > 4 ? str.substr(str.length-4,4) : str) : "";
				},
				maskMobile : function(str) {
					return str ? (str.substr(0, 3) + "****" + str.substr(7, 4)) : "";
				},
				defaultNull : function(str, defaultStr) {
					return str ? str : defaultStr;
				},
				decimal2 : function(x){
					var f = parseFloat(x);
					if (isNaN(f)) {
						return "--"
					} else {
						return parseFloat(x).toFixed(2);
					}
				},
				decimal4 : function(x){
					var f = parseFloat(x);
					if (isNaN(f)) {
						return "--"
					} else {
						return parseFloat(x).toFixed(4);
					}
				},
				accurateMul : function(arg1, arg2) {
					var m = 0, s1 = arg1.toString(), s2 = arg2.toString();
					if (s1.split(".").length ==2) {
						m += s1.split(".")[1].length;
					}
					if (s2.split(".").length == 2) {
						m += s2.split(".")[1].length;
					}
					return Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m);
				}
			}
		},
		/**
		 *
		 */
		doTemplate : (function() {
			var cache = [];
			return function(id, data, mode) {
				var $obj = $("#"+id);
				if (mode == "repeat") {
					var html = doT.template($obj.text(), undefined).call(this, data);
					$obj.before(html);
				} else if (mode == "keepid") {
					var html = doT.template($obj.text(), undefined).call(this, data);
					html = "<div id='"+id+"'>" + html +"</div>";
					$obj.after(html).remove();
				} else if (mode == "refresh") {
					if (cache[id]) {
						var current_$obj = $obj;
						$obj = cache[id];
						var html = doT.template($obj.text(), undefined).call(this, data);
						html = "<div id='"+id+"'>" + html +"</div>"
						current_$obj.replaceWith(html);
					} else {
						cache[id] = $obj;
						var html = doT.template($obj.text(), undefined).call(this, data);
						html = "<div id='"+id+"'>" + html +"</div>";
						$obj.after(html).remove();
					}
				} else if (mode == "recover") {
					var parent = $("#"+id).parent();
					parent.empty().append(cache[id]);
				} else {
					var html = doT.template($obj.text(), undefined).call(this, data);
					$obj.after(html).remove();
				}
			}
		})(),
		validForm : function() {
			var reg = {empty : {rule : /^[\s\S]+$/, desc : ""},
				mobile : {rule :/^1\d{10}$/, desc : "手机号码"},
				num : {rule:/^\d+$/, desc : ""},
				notasc4 : {rule: {test: function(value) {
					if (/0123|1234|2345|3456|4567|5678|6789|9876|8765|7654|6543|5432|4321|3210/.test(value)) {
						return false;
					} else {
						return true;
					}
				}}, desc : ""
				},
				notrp3 : {rule: {test: function(value) {
					if (/([0-9])*([0-9])\2{2}([0-9])*/g.test(value)) {
						return false;
					} else {
						return true;
					}
				}}, desc : ""
				},
				word : {rule : /^[a-zA-Z0-9]+$/},
				zip : {rule:/^[0-9]{6}$/, desc: "邮编"},
				email : {rule : /^(\w)+(\.\w+)*@(\w)+((\.\w{2,3}){1,3})$/, desc:"email"},
				script : {rule : {test : function(value) {
					return !(/<script[^>]*>.*<\/script>/i.test(value));
				}}, desc:""},
				strlength : {rule : {test : function(value) {
					if (value.size) {
						if (value.value.length == value.size) {
							return true;
						} else {
							return false;
						}
					} else {
						if (value.value.length >= value.min && value.value.length <= value.max) {
							return true;
						} else {
							return false;
						}
					}
				}}, desc : ""},
				cerfiticate : {rule: {test : function(value) {console.log(value);
					var cerfiticate18 = /^((11|12|13|14|15|21|22|23|31|32|33|34|35|36|37|41|42|43|44|45|46|50|51|52|53|54|61|62|63|64|65|71|81|82|91)\d{4})((((19|20)(([02468][048])|([13579][26]))0229))|((20[0-9][0-9])|(19[0-9][0-9]))((((0[1-9])|(1[0-2]))((0[1-9])|(1\d)|(2[0-8])))|((((0[1,3-9])|(1[0-2]))(29|30))|(((0[13578])|(1[02]))31))))((\d{3}(x|X))|(\d{4}))$/;
					return cerfiticate18.test(value);
				}}, desc : "18位身份证"},
				equal : {rule : {test : function(value) {
					if (value.origin != value.target) {
						return false;
					}
					return true;
				}}, desc : ""},
				notEqual : {rule : {test : function(value) {
					if (value.origin == value.target) {
						return false;
					}
					return true;
				}}, desc : ""},
				more : {rule : {test : function(value) {
					if (parseFloat(value.origin) > parseFloat(value.target)) {
						return true;
					}
				}}},
				less : {rule : {test : function(value) {
					if (parseFloat(value.origin) < parseFloat(value.target)) {
						return true;
					}
				}}},
				moreEqual : {rule : {test : function(value) {
					if (parseFloat(value.origin) >= parseFloat(value.target)) {
						return true;
					}
				}}},
				lessEqual : {rule : {test : function(value) {
					if (parseFloat(value.origin) <= parseFloat(value.target)) {
						return true;
					}
				}}}
			};

			var validQueue = [];
			function valid(type, value, desc) {
				if (reg[type]) {
					if (value && reg[type].rule.test(value)) {
						return true;
					} else {
						if (desc) {
							$.UIPopup(desc);
						} else if (reg[type].desc) {
							$.UIPopup("请输入正确的"+reg[type].desc);
						}
						return false;
					}
				}
			}
			return {
				add : function(reg, value, desc) {
					validQueue.push({reg: reg, value: value, desc: desc});
					return this;
				},
				valid : function() {
					for (var index in validQueue) {
						if (false == valid(validQueue[index].reg, validQueue[index].value, validQueue[index].desc)) {
							validQueue = [];
							return false;
						}
					}
					validQueue = [];
					return true;
				}
			}
		},
		checkNullGroup : function(inputUI, button) {
			for (var i in inputUI) {
				if (typeof inputUI[i] == "function") {
					continue;
				} else {
					var check = function() {
						for (var ii in inputUI) {
							if (typeof inputUI[ii] == "object") {
								if (inputUI[ii].attr("m-role") == "UITextField") {
									if (inputUI[ii].UITextField("value") == "") {
										button.attr("m-state", "disabled");
										return;
									} else {
										if (inputUI[ii].attr("m-type") == "number" ) {
											var value = parseFloat(inputUI[ii].UITextField("value"));
											var min = Math.max(parseFloat(inputUI[ii].attr("m-min")), 0);
											var max = Math.min(parseFloat(inputUI[ii].attr("m-max")), 99999999999999999999999999999);
											if (isNaN(value) || value == 0 || value < min || value > max) {
												button.attr("m-state", "disabled");
												return;
											}
										}
									}
								} else if (inputUI[ii].attr("m-role") == "UITableView" && inputUI[ii].UITableView("marked").length == 0) {
									button.attr("m-state", "disabled");
									return;
								} else if (inputUI[i].attr("m-role") == "UITextarea") {
									if (inputUI[i].UITextarea("value") =="") {
										button.attr("m-state", "disabled");
										return;
									}
								} else if (inputUI[ii].attr("m-role") == "UIDateField") {
									if (inputUI[i].UIDateField("value") =="") {
										button.attr("m-state", "disabled");
										return;
									}
								}
							} else if (typeof inputUI[ii] == "function" && inputUI() !== true) {
								button.attr("m-state", "disabled");
								return;
							}
						}
						button.removeAttr("m-state");
					}
					if (inputUI[i].attr("m-role") == "UITextField") {
						inputUI[i].UITextField("change", function() {
							check();
						});
					} else if (inputUI[i].attr("m-role") == "UITableView") {
						inputUI[i].UITableView("mark", function() {
							check();
						});
					} else if (inputUI[i].attr("m-role") == "UITextarea") {
						inputUI[i].UITextarea("change", function() {
							check();
						});
					} else if (inputUI[i].attr("m-role") == "UIDateField") {
						inputUI[i].UIDateField("change", function() {
							check();
						});
					}
					check();
				}
			}
		},
		formGenerate : function() {
			var data = [];
			return {
				add : function(key, value) {
					data.push({key:key, value:value});
					return this;
				},
				addObj : function(obj) {
					for (var index in obj) {
						data.push({key:index, value : obj[index]});
					}
					return this;
				},
				generate : function() {
					var str = data[0].key+"="+data[0].value;
					for (var i = 1; i<data.length; i++) {
						str +="&"+data[i].key+"="+data[i].value;
					}
					data = [];
					return str;
				}
			}
		},
		formatNum :function(str) {//3位一逗
			var newStr = "";
			var count = 0;
			var symbol="";

			if (parseFloat(str)<0){
				symbol=str.substr(0,1);
				str=str.substr(1,str.length-1);
			}

// 当数字是整数
			if (str.indexOf(".") == -1) {
				for (var i = str.length - 1; i >= 0; i--) {
					if (count % 3 == 0 && count != 0) {
						newStr = str.charAt(i) + "," + newStr;
					} else {
						newStr = str.charAt(i) + newStr;
					}
					count++;
				}
				str = newStr + ".00"; //自动补小数点后两位
				return symbol+str;
			}
// 当数字带有小数
			else {
				for (var i = str.indexOf(".") - 1; i >= 0; i--) {
					if (count % 3 == 0 && count != 0) {
						newStr = str.charAt(i) + "," + newStr;
					} else {
						newStr = str.charAt(i) + newStr; //逐个字符相接起来
					}
					count++;
				}
				str = newStr + (str + "00").substr((str + "00").indexOf("."), 3);
				return symbol+ str;
			}
		},
		bone : function(startView, opt) {
			require(["Backbone"], function() {
				var defaultOpt = {manageTitle: true};
				defaultOpt = $.extend(defaultOpt, opt);
				var indexModel = new (Backbone.Model.extend({
					defaults : {
						viewFoucusId :null
					}
				}))();
				var indexView = new (Backbone.View.extend({
					el : "[m-role='page']",
					model : indexModel,
					viewCache : {},
					currentView : null,
					initPublic : function(initParam) {
						this._public = (function(t) {
							var navigateLock = false;
							var backLock = false;
							var param = initParam;
							var that = t;
							return {
								lockNavigate : function() {
									navigateLock = true;
								},
								unlockNavigate : function() {
									navigateLock = false;
								},
								getNavigateLock : function() {
									return navigateLock;
								},
								setParam : function(key, value) {
									param[key] = value;
									return this;
								},
								getParam : function(key) {
									return param[key];
								},
								getAll : function() {
									return param;
								},
								finish : function() {
									if ($.hsf.matchWx() || $.hsf.matchPc()) {
										backLock = true;
										var i = setInterval(function() {
											history.back();
										}, 100);
									} else {
										$.hsf.hsBack("", "finish");
									}
								},
								getBackLock : function() {
									return backLock;
								},
								changeTitle : function(txt) {
									that.changeTitleCenter(txt);
								},
								getActiveView : function() {
									return that.currentView;
								}
							}
						})(this)
					},
					initialize : function() {
						this.model = indexModel;
						this.$navbar = $("[m-role='UINavigationBar']");
						this.$titleLeftBtn = $("[m-role='left']");
						this.$titleCenter = $("[m-role='title']");
						this.$titleRightBtn = $("[m-role='right']");
						this.listenTo(this.model, 'change:viewFocusId', this.loadView);
						this.initPublic(opt&&opt.param||{});
					},
					loadView : function(model, viewName) {
						if (!this.viewCache[viewName]) {
							var _that = this;
							require(["pages/"+viewName], function(View) {
								require([$.hsf.platform()], function(platform) {//prepare view platformapi
									var platformApi = $.hsf.getModuleAPI(platform, viewName);
									var viewService = new View(_that._public, platformApi);
									_that.viewCache[viewName] = viewService;
									switchView.call(_that, viewName);
								});
							}, function (err) {
								var failedId = err.requireModules && err.requireModules[0];
								requirejs.undef(failedId);
							});
						} else {
							switchView.call(this, viewName);
						}
						function switchView(viewName) {
							defaultOpt.manageTitle && this.changeTitle(this.viewCache[viewName].title);
							$(".view-active").removeClass("view-active");
							$("#"+viewName).addClass("view-active");
							this.$el.find("[m-id='"+viewName+"']").addClass("active").siblings().removeClass("active");
							this.viewCache[viewName].afterSwitchView && this.viewCache[viewName].afterSwitchView();
							this.currentView = viewName;
						}
					},
					changeTitle : function(titleObj) {
						var title =  {
							center : {
								text : ""
							},
							right : {
								show : false,
								text : ""
							},
							left : {
								show : true
							},
							border : {
								show : true
							}
						};
						var titleOfView = $.extend(true, {}, title, titleObj);
						if (titleOfView.left.show) {
							this.$titleLeftBtn.contents().show();
						} else {
							this.$titleLeftBtn.contents().hide();
						}
						if (titleOfView.center.text != "") {
							this.changeTitleCenter(titleOfView.center.text);
						}
						if (titleOfView.right.show) {
							if (titleOfView.right.text) {
								var btn = this.$titleRightBtn.find("[m-role='UIButton']");
								btn.html(titleOfView.right.text);
								btn.attr("m-href", titleOfView.right.url);
								this.$titleRightBtn.contents().show();
							}
						} else {
							this.$titleRightBtn.contents().hide();
						}
						titleOfView.border.show ? this.$navbar.removeClass("no-border-btm") :
							this.$navbar.addClass("no-border-btm");
					},
					changeTitleCenter : function(title) {
						this.$titleCenter.html(title);
					},
					events : {
						"tap .tab-link" : "navigate",
						"tap .finishAndBack" : "finish"
					},
					navigate : function(e) {
						var that = $(e.currentTarget);
						var href = that.attr("m-id");
						if (this.model.get("viewFocusId") == href) {
							return;
						} else {
							if (!this._public.getNavigateLock()) {
								href && Backbone.history.navigate(href, true);
							}
						}
						return false;
					},
					finish : function(e) {
						this._public.finish();
					}
				}))();
				var GRoute = new (Backbone.Router.extend({
					routes: {
						":viewPath" : "all",
						"" : "all"
					},
					all: function(viewPath) {
						if (false == indexView._public.getBackLock()) {
							if (viewPath) {
								indexModel.set({"viewFocusId": viewPath});
							} else {
								indexModel.set({"viewFocusId": startView});
							}
						}
					}
				}))();
				Backbone.history.start();
			});
			return {init : function(){}};
		},
		sandclock: function(id) {
			var counter = 0;
			var $btn = $("#" + id);
			return {
				start: function() {
					var run = function() {
						if (counter == 0) {
							$btn.attr("m-state", "").html("获取");
						} else {
							$btn.html("剩余" + (counter--) + "秒");
							setTimeout(run, 1000);
						}
					}
					counter = 60;
					$btn.attr("m-state", "disabled").html("剩余" + (counter--) + "秒");
					setTimeout(run, 1000);
				},
				reset : function() {
					counter = 0;
					$btn.attr("m-state","").html("获取");
				},
				readyStart: function() {
					if (counter == 0) {
						return true;
					} else {
						false;
					}
				}
			}
		},
		updownColor : function(value) {
			return (parseFloat(value) > 0) ? "fund-up" : "fund-down";
		}
	});

	var cmd = {
		initComplete: function() {
			setTimeout(function(){
				$("title").html($.hsf.projectName);
			},200);
			$(document).on("tap.mhref2","div[m-role='UIButton']:not([m-href])",function(e){
				$("input").blur();
				return false;
			});
			$(document).on("tap.mhref","[m-href]",function(e){
				var $this = $(this);
				var parentNode = this.parentNode;
				if ($this.attr("m-state") == "disabled") {
					return false;
				}
				if ((parentNode && parentNode.getAttribute("m-role") === "left") || $this.hasClass("back")) {
					$.hsf.hsBack(this.getAttribute("m-href"));
					return false;
				} else if($this.hasClass("finish")) {
					$.hsf.hsBack(this.getAttribute("m-href"), "finish", this.getAttribute("step"));
					return false;
				} else {
					$.hsf.hsOpen(this.getAttribute("m-href"));
					e.stopPropagation && e.stopPropagation();
					return false;
				}
			});

			var searchUrl= window.location.href;

			if (searchUrl.indexOf("bao-")>-1 || searchUrl.indexOf("yao-wallet")>-1|| searchUrl.indexOf("trade-new-buy-know")>-1){

			}else {
				$("[m-role='UINavigationBar']").append("<div class='UINavigationBarAdv'>"
					+ "<div m-role='cell' class='adImg'></div>"
					+ "<div m-role='cell' class='adText'>上官方App体验更多功能和福利</div>"
					+ "<div m-role='cell' class='adButton' m-href='http://www.epf.com.cn/minisite/20160614/download/index.html'></div>"
					+ "</div>")
			}

		}
	};
	return cmd;
})
