define(["global", "Backbone"], function(G) {
	return Backbone.View.extend({
		el : "#account-openAcco-4",
		_private : {},
		validForm : $.validForm(),
		initialize: function(parent) {
			this.parent = parent;
			this.validForm = $.validForm();
		},
		afterSwitchView: function() {
			var custbelongto = this.getCustbelongto();
			$.doTemplate("login-pw-template", custbelongto, "refresh");
			$("[m-role='UITextField']").UITextField();
			$("[m-role='UISwitch']").UISwitch();
			this.$el.find("[m-role='UITextField']").UITextField("clear");
			if (custbelongto != "1") {
				this.$loginPsw = $("#login-psw");
				this.$loginRepeatPsw = $("#login-repeat-psw");
				$.checkNullGroup([this.$loginPsw, this.$loginRepeatPsw], $("#nextBtn4"));
			}
			$(document).off("tap.nextBtn4");
			this.uiEvent();
		},
		getCustbelongto : function() {
			return this.parent.getParam("custbelongto");
		},
		next : function() {
			if (this.getCustbelongto() == "1") {
				this.parent.setParam("lpasswd", "");
            	window.location.hash = "account-openAcco-5";
			} else {
				var loginPsw = this.$loginPsw.UITextField("value"),
                loginRepeatPsw = this.$loginRepeatPsw.UITextField("value");
	            this.validForm.add("num", loginPsw,"请输入6位数字密码");
	            this.validForm.add("strlength", {value:loginPsw, size: 6},"请输入6位数字密码");
	            this.validForm.add("equal", {origin:loginPsw, target:loginRepeatPsw}, "密码不一致");
	            if (this.validForm.valid()) {
	            	this.parent.setParam("lpasswd", loginPsw);
	            	window.location.hash = "account-openAcco-5";
	            }
			}
		},
		uiEvent : function() {
			var that = this;
			$("#change-psw-visiable").UISwitch("change", function(value) {
                if (value == 1) {
                    $("#login-psw").find('input').attr("type", 'text');
                } else {
                    $("#login-psw").find('input').attr("type", 'password');
                }
            });
            $("#change-repeatpsw-visiable").UISwitch("change", function(value) {
                if (value == 1) {
                    $("#login-repeat-psw").find('input').attr("type", 'text');
                } else {
                    $("#login-repeat-psw").find('input').attr("type", 'password');
                }
            });
            $(document).on("tap.nextBtn4", "#nextBtn4[m-state!='disabled']", function() {
            	that.next();
            });
		},
	});
});