define(["global", "Backbone"], function(G) {
	return Backbone.View.extend({
		el : "#account-openAcco-5",
		$payPsw :$("#pay-psw"),
		$payRepeatPsw : $("#pay-repeat-psw"),
		_private : {},
		validForm : $.validForm(),
		initialize: function(parent) {
			this.parent = parent;
			this.uiEvent();
			this.validForm = $.validForm();
			$.checkNullGroup([this.$payRepeatPsw, this.$payPsw], $("#nextBtn5"));
		},
		afterSwitchView: function() {
			this.$el.find("[m-role='UITextField']").UITextField("clear");
		},
		next : function() {
			var payPsw = this.$payPsw.UITextField("value"),
                payRepeatPsw = this.$payRepeatPsw.UITextField("value"),
                that = this;
            this.validForm.add("strlength", {value: payPsw, size: 6} , "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同");
            this.validForm.add("num", payPsw, "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同"); 
            this.validForm.add("notasc4", payPsw, "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同");
	        this.validForm.add("notrp3", payPsw, "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同");
            this.validForm.add("equal", {origin:payPsw, target:payRepeatPsw}, "密码不一致");
            if (this.validForm.valid()) {
            var mobile = this.parent.getParam("mobile");
			var certificatetype = this.parent.getParam("idType");
			var certificateno = this.parent.getParam("idNo");
			var depositacct = this.parent.getParam("cardNo");
			var custname = this.parent.getParam("custname");
			var lpasswd = this.parent.getParam("lpasswd");
			var tpasswd = payRepeatPsw;
			var channelid = this.parent.getParam("channelid");
			var bankname = this.parent.getParam("bankname");
			var channelname = this.parent.getParam("channelname");
			var data = "mobileno="+mobile+"&certificatetype="+certificatetype
						+"&certificateno="+certificateno
						+"&depositacct="+depositacct
						+"&custname="+custname
						+"&lpasswd="+lpasswd
						+"&tpasswd="+tpasswd
						+"&channelid="+channelid
						+"&channelname="+channelname
						+"&bankname="+bankname
						+"&postcode=000000"
						+"&custrisk=1"
						+"&address=-";
				$.hsf.startLoading();
            	$.hsf.ajax.app("account/openacco/openacco", data, "openaccoCallback", function(jsonResult) {
					$.hsf.stopLoading();
					if (jsonResult.successful) {
						that.parent.setParam("tpasswd", tpasswd);
						that.registerBinding();
					} else {
						$.hsf.callFailProcess(jsonResult)
					}
				});
            }
		},
        registerBinding: function () {
            var that = this;
            var mobile = this.parent.getParam("mobile");
            $.platform.getCache("ps", function (result) {
                if(result){
                    var pw = result.value;
                    $.platform.getCache("logininfo", function (result) {
                        if (result) {
                            var certificatetype = that.parent.getParam("idType");
                            var certificateno = that.parent.getParam("idNo");
                            var mobileno = that.parent.getParam("mobileno");
                            var userid = result.userid;
                            var data = "certificatetype=" + certificatetype +
                                "&certificateno=" + certificateno +
                                "&mobile=" + mobile +
                                "&mobileno=" + mobileno +
                                "&acctfrom=" + "003" +
                                "&lpasswd=" + pw +
                                "&custtype=" + result.custtype +
                                "&userid=" + userid;
                            $.hsf.startLoading();
                            $.hsf.ajax.app("account/register/registerBindingWithNoAuthcode", data, "registerBinding", function (jsonResult) {
                                $.hsf.stopLoading();
                                if (jsonResult.successful) {
                                    window.location.hash = "account-openAcco-6";
                                } else {
                                    window.location.hash = "account-openAcco-6";
                                }
                            });
                        }
                    });
                }else{

                }

            });

        },
		events : {
			"tap #nextBtn5[m-state!='disabled']" : "next",
		},
		uiEvent : function() {
			var that = this;
			$("#change-paypsw-visiable").UISwitch("change", function(value) {
                if (value == 1) {
                	that.$payPsw.find('input').attr("type", 'text');
                } else {
                    that.$payPsw.find('input').attr("type", 'password');
                }
            });
            $("#change-repeatpaypsw-visiable").UISwitch("change", function(value) {
                if (value == 1) {
                    that.$payRepeatPsw.find('input').attr("type", 'text');
                } else {
                    that.$payRepeatPsw.find('input').attr("type", 'password');
                }
            });
		},
	});
});