define(["global", "Backbone", $.hsf.platform()], function(G, B, platform) {
	return Backbone.View.extend({
		title : {
			left : {
				show : false
			}
		},
		el : "#account-openAcco-6",
		_private : {},
		initialize: function(parent, platformApi) {
			var that = this;
			$.platform.getCache("deviceId", function(deviceId) {
				that.parent = parent;
				that.platformApi = platformApi;
				that.formGenerate = $.formGenerate();
				that._private.deviceId = deviceId;
			});
		},
		afterSwitchView: function() {},
		login : function() {
            var that = this;
            $.platform.getCache("ps", function(result) {
                if (result) {
                    var idNo = that.parent.getParam("idNo");
                    var idType = that.parent.getParam("idType");
                    var pw = result.value;
                    var g = that.formGenerate;
                    var loginApi = $.hsf.getModuleAPI(platform, "login-view");
                    g.add("ischeck", "0");
                    g.add("certificatetype", idType);
                    g.add("certificateno", idNo);
                    g.add("lpasswd", pw);
                    g.add("channel", that.platformApi.channel);
                    g.add("accttype", "1");
                    g.add("bindwx", "1");
                    g.add("deviceId", that._private.deviceId);
                    $.hsf.startLoading();
                    $.hsf.ajax.app(loginApi.loginUrl, g.generate(), "checkLoginCode", function(jsonResult) {
                        if (jsonResult && jsonResult.successful) {
                            $.platform.removeCache("logininfo");
                            $.platform.putCache("logininfo", jsonResult.result);
                        }else{
                            $.platform.removeCache("logininfo");
                        }
                        $.platform.triggerRefresh&&$.platform.triggerRefresh();
                        $(".finishAndBack").trigger('tap');
                        $.hsf.stopLoading();
                        return false;
                    });
				}else{

                }
            });

		},
		events : {
			"tap #loginBtn" : "login"
		}
	});
});