define(["global", "Backbone",$.hsf.platform()], function(G, B, platform) {
	return Backbone.View.extend({
		el : "#account-openAcco-new-5",
		$payPsw :$("#pay-psw"),
		$payRepeatPsw : $("#pay-repeat-psw"),
		_private : {},
		validForm : $.validForm(),
		initialize: function(parent,platformApi) {
			this.parent = parent;
			this.uiEvent();
			this.validForm = $.validForm();
			$.checkNullGroup([this.$payRepeatPsw, this.$payPsw], $("#nextBtn5"));
		},
		afterSwitchView: function() {
			this.$el.find("[m-role='UITextField']").UITextField("clear");
		},
		next : function() {
			var payPsw = this.$payPsw.UITextField("value"),
                payRepeatPsw = this.$payRepeatPsw.UITextField("value"),
                that = this;
            that.validForm.add("strlength", {value: payPsw, size: 6} , "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同");
            that.validForm.add("num", payPsw, "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同");
            that.validForm.add("notasc4", payPsw, "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同");
            that.validForm.add("notrp3", payPsw, "请输入6位数字密码，相邻4位不能连续且相邻3位不能相同");
            that.validForm.add("equal", {origin:payPsw, target:payRepeatPsw}, "密码不一致");
            if (that.validForm.valid()) {
            var mobile = that.parent.getParam("mobile");
            // mobile = "18817688799";
			var certificatetype = that.parent.getParam("idType");
			var certificateno = that.parent.getParam("idNo");
			var depositacct = that.parent.getParam("cardNo");
			var custname = that.parent.getParam("custname");
			// var lpasswd = this.parent.getParam("lpasswd");
			// lpasswd="123123"
			var tpasswd = payRepeatPsw;
			var channelid = that.parent.getParam("channelid");
			var bankname = that.parent.getParam("bankname");
			var channelname = that.parent.getParam("channelname");
			var userid = that.parent.getParam("userid");
				if(certificatetype==null|| certificateno==null||custname==null){
					$.UIAlert("输入超时，请返回重新认证", function() {
						$.hsf.hsOpen("index.html#setting");
					});
					$.hsf.stopLoading();
					return false;
				}
			var data = "mobileno="+mobile+"&certificatetype="+certificatetype
						+"&certificateno="+certificateno
						+"&depositacct="+depositacct
						+"&custname="+custname
						// +"&lpasswd="+lpasswd
						+"&tpasswd="+tpasswd
						+"&channelid="+channelid
						+"&channelname="+channelname
						+"&bankname="+bankname
						+"&postcode=000000"
						+"&custrisk=1"
						+"&address=-"
						+"&vailddate=23591231"
                		+"&userid="+userid;
				$.hsf.startLoading();
            	// $.hsf.ajax.app("account/openacco/openacco", data, "openaccoCallback", function(jsonResult) {
				$.hsf.ajax.app("account/openacco/openFundAcco", data, "openaccoCallback", function(jsonResult) {
					$.hsf.stopLoading();
					if (jsonResult.successful) {
						// that.login();
						that.parent.setParam("tpasswd", tpasswd);
                        window.location.hash = "account-openAcco-new-6";
                        // hsf.hsBack(null, "finish", 6);
					} else {
						$.hsf.callFailProcess(jsonResult)
					}
				});
            }
		},
		events : {
			"tap #nextBtn5[m-state!='disabled']" : "next",
		},
		uiEvent : function() {
			var that = this;
			$("#change-paypsw-visiable").UISwitch("change", function(value) {
                if (value == 1) {
                	that.$payPsw.find('input').attr("type", 'text');
                } else {
                    that.$payPsw.find('input').attr("type", 'password');
                }
            });
            $("#change-repeatpaypsw-visiable").UISwitch("change", function(value) {
                if (value == 1) {
                    that.$payRepeatPsw.find('input').attr("type", 'text');
                } else {
                    that.$payRepeatPsw.find('input').attr("type", 'password');
                }
            });
		},
	});
});