define(function(require) {
	var action = {
		init: function() {
			//action.packForm();
			//action.packMoneyForm();
			action.initRequestForm();
			$.platform.initPage&&$.platform.initPage();
		},
		packMoneyFormCallback : function(jsonResult){
			if (jsonResult.successful) {
				if (jsonResult.result.data && jsonResult.result.data.length > 0) {
					$("#modifyBtn").show();
					var data = [];
					for(var index in jsonResult.result.data){
						if(jsonResult.result.data[index].codeoftargetfund.trim()){
							data.push(jsonResult.result.data[index]);
						}
					}
					$.doTemplate("avgr-money", data);
					$("[m-role='UISwitch']").UISwitch();
				}
			}else {
				$.hsf.callFailProcess(jsonResult);
			}
		},
		initRequestForm: function() {
			var that = this;
			$.hsf.startLoading();
			/*$.when(action.packForm()).done(function(r1) {
				$.hsf.stopLoading();
				console.log(r1);
				if(!r1.result.data || r1.result.data.length == 0){
					var top = (document.documentElement.clientHeight - 44-50-200-38)/2;
					$("#nodata").css({"top":top}).show();
				}else{
					action.packFormCallback(r1);
					action.events();
				}
			});*/
			$.when(action.packForm(), action.packMoneyForm()).done(function(r1, r2) {
				$.hsf.stopLoading();
				if((!r1[0].result.data || r1[0].result.data.length == 0) && (!r2[0].result.data || r2[0].result.data.length == 0)){
					var top = (document.documentElement.clientHeight - 44-50-200-38)/2;
					$("#nodata").css({"top":top}).show();
				}else{
					action.packFormCallback(r1[0]);
					action.packMoneyFormCallback(r2[0]);
					action.events();
				}
			}).always(function() {
				$.hsf.stopLoading();
			});
		},
		packForm: function() {
			return $.hsf.ajax.app("trade/valuavgr/protocolList", "", "protocolListCallback", function(jsonResult) {});
		},
		packMoneyForm: function(func) {
			return $.hsf.ajax.app("trade/fxiredeem/protocolList", "", "protocolListCallback", func || function(jsonResult) {});
		},
		packFormCallback: function(jsonResult) {
			if (jsonResult.successful) {
				if (jsonResult.result.data && jsonResult.result.data.length > 0) {
					$("#modifyBtn").show();
					$.doTemplate("avgr-template", jsonResult.result.data);
					$("[m-role='UISwitch']").UISwitch();
				}
				$.hsf.stopLoading();
			} else {
				$.hsf.callFailProcess(jsonResult);
			}
		},
		events: function() {
			var $right = $("[m-role='right']");
			var toggleTimes = 0;
			$right.bind("tap", function() {
				$(".dtlb-opt").toggle();
				$right.find("div[m-role='UIButton']").html(toggleTimes%2 ==0 ?"完成": "编辑");
				toggleTimes ++;
			});
			$(document).on("tap", ".del-btn", function() {
				var data = $(this).attr("data").split("|");
				var transactionaccountid = data[0];
				var buyplanno = data[1];
				var flag = data[2];
				var payingTxt = "正在删除协议";
				var value = 2;
				changeState(transactionaccountid, buyplanno, payingTxt, value, flag, function() {
					$("#a_"+buyplanno).removeClass("pause").addClass("off").find(".statusBtn,.dtlb-opt").remove();
					$.UIPopup("协议已终止");
				}, function() {});
			});
			$("[m-role='UISwitch']").UISwitch("change", function(value) {
				var $this = $(this);
				var data = $this.attr("data").split("|");
				var transactionaccountid = data[0];
				var buyplanno = data[1];
				var flag = data[2];
				var payingTxt = value == "0" ? "正在暂停协议" : "正在重新启动协议";
				changeState(transactionaccountid, buyplanno, payingTxt, value, flag, function(){
					$("#a_"+buyplanno).toggleClass("pause");
				}, function() {
					$this.UISwitch("state", value == "0" ?"on":"off", "stopEvent");
				});
			});
			function changeState(transactionaccountid, buyplanno, payingTxt, value, flag, nextFunc, cancelFunc) {
				$.UIPasswordKeyboard("init", {
    				paying : payingTxt+"...",
					inputComplete : function(pw, succ, fail) {
						if(flag == "sellplanno"){
							var f = $.formGenerate().add("tpasswd", pw).add("transactionaccountid", transactionaccountid).add("sellplanno", buyplanno).add("operway", value);
							$.hsf.startLoading();
							$.hsf.ajax.app("trade/fxiredeem/modifyProtocolStatus", f.generate(), "fixDeclareChange", function(jsonResult) {
								if (jsonResult.successful) {
									succ();
									nextFunc();
								} else {
									fail(jsonResult.message);
								}
								$.hsf.stopLoading();
							});
						}else{
							var f = $.formGenerate().add("tpasswd", pw).add("transactionaccountid", transactionaccountid).add("buyplanno", buyplanno).add("operway", value);
							$.hsf.startLoading();
							$.hsf.ajax.app("trade/valuavgr/modifyProtocolStatus", f.generate(), "fixDeclareChange", function(jsonResult) {
								if (jsonResult.successful) {
									succ();
									nextFunc();
								} else {
									fail(jsonResult.message);
								}
								$.hsf.stopLoading();
							});
						}
					},
					cancel : function() {
						cancelFunc();
					}
				});
    			$.UIPasswordKeyboard("show", {key: payingTxt, value:""});
			}
		}
	};
	return action;
});