/**
 * Created by apple on 15/6/23.
 */

define([],function(){
   var action = {
       constant:{
           portfoliocode :$.hsf.hsTools.getParam("portfoliocode") ,//
           portfolioname: $.hsf.hsTools.getParam("portfolioname"),
           dataList:[],
           buyList:[],
           saleList:[],
           repositoryList:[],
           bonusList:[]

       },
       init : function(){
            action.events();
            action.requestTradeData();
       },
       events : function () {
           $("#SegmentID").on('tap','li',function () {
               var indexStr=$(this).attr('m-id');
               if (indexStr=="seg_1") {
                   var ddl=action.constant.dataList;
                   $.doTemplate("dataListID",ddl,"refresh");
               }
               else if (indexStr=="seg_2") {
                   $.doTemplate("dataListID2",action.constant.buyList,"refresh");
               }
               else if (indexStr=="seg_3") {
                   $.doTemplate("dataListID3",action.constant.saleList,"refresh");
               }
               else if (indexStr=="seg_4") {
                   $.doTemplate("dataListID4",action.constant.repositoryList,"refresh");
               }
               else if (indexStr=="seg_5") {
                   $.doTemplate("dataListID5",action.constant.bonusList,"refresh");
               }
           })

       },
       requestTradeData:function () {
           $.hsf.startLoading();
           this.formGenerate = $.formGenerate();
           var g = this.formGenerate.add("portfoliocode",action.constant.portfoliocode?action.constant.portfoliocode:"");
           //.
           //            add("pageno","1").add("pagesize","1000")
           $.hsf.ajax.appEncrypt("query/combportfolio/tradeApply",g.generate(),
               "tradeApply",function (jsonResult) {
                   $.hsf.stopLoading();
               if (jsonResult.successful==true){
                   var result =jsonResult.result;
                   var data=result.data;
                   var dataList=data.dataList;
                   for (var i = 0; i < dataList.length; i++) {
                       var  model=dataList[i];
                       if (model.portfolioname==undefined){
                           model.portfolioname="";
                       }
                       model.applicationamount=$.formatNum( model.applicationamount);
                       if (model.status=="04"||model.status=="05"){//过滤4，5状态
                           continue;
                       }

                       switch (model.status) {
                           case "00":
                           case "02":
                           case "06":
                               model.nowStatus="待确认";
                               model.nowStatusColor="orange";
                               break;
                           case "01":
                               model.nowStatus="处理中";
                               model.nowStatusColor="orange";
                               break;
                           case "07":
                               model.nowStatus="确认成功";
                               model.nowStatusColor="4d";
                               break;
                           case "08":
                               model.nowStatus="确认失败";
                               model.nowStatusColor="orange";
                               break;
                           case "09":
                               model.nowStatus="确认成功";
                               model.nowStatusColor="4d";
                               break;
                       }


                       if (model.businesscode=="0D2") {//调仓
                           model.businesscodeStr="调仓";
                           model.titleColor="orange";

                           model.tradeMoneyStatus="";//交易的金额或者比例或者为空，根据当前交易状态以及交易类型

                       }
                       if (model.businesscode=="022") {
                           model.businesscodeStr="买入";
                           model.titleColor="orange";

                           if (model.nowStatus=="待确认"||model.nowStatus=="处理中") {
                               //申请金额
                               model.tradeMoneyStatus=model.applicationamount+"元";//交易的金额或者比例或者为空，根据当前交易状态以及交易类型
                           }else if (model.nowStatus=="确认成功") {
                               //确认金额
                               model.tradeMoneyStatus=$.formatNum(model.confirmedamount)+"元";

                           }else if (model.nowStatus=="确认失败") {
                               //申请金额
                               model.tradeMoneyStatus=$.formatNum(model.confirmedamount)+"元";
                           }
                       }
                       if (model.businesscode=="024") {
                           model.businesscodeStr="卖出";
                           model.titleColor="orange";

                           if (model.nowStatus=="待确认"||model.nowStatus=="处理中") {
                               //赎回比例
                               var redeempercent=(parseFloat(model.redeempercent)*100).toString();
                               model.tradeMoneyStatus=parseFloat(redeempercent).toFixed(2)+"%";

                           }else if (model.nowStatus=="确认成功") {
                               //确认金额
                               model.tradeMoneyStatus=$.formatNum(model.confirmedamount)+"元";

                           }else if (model.nowStatus=="确认失败") {
                               //赎回比例
                               var redeempercent=(parseFloat(model.redeempercent)*100).toString();
                               model.tradeMoneyStatus=parseFloat(redeempercent).toFixed(2)+"%";

                           }
                       }
                       var str = model.operdate;
                       model.dayLineTime = str = str.substr(4,2)+"-"+str.substr(6,2)+" "+model.transactiontime;
                       action.constant.dataList.push(model);
                   }
               }
               else {
                   $.hsf.callFailProcess(jsonResult);
               }
               action.requestBonusData();

           });
       },
       requestBonusData:function () {
           $.hsf.startLoading();
           this.formGenerate=$.formGenerate();
           var g=this.formGenerate.add("portfoliocode",action.constant.portfoliocode?action.constant.portfoliocode:"");
           // add("pageno","1").add("pagesize","1000");
           $.hsf.ajax.appEncrypt("query/combportfolio/combBonus",g.generate(),"combBonus",function (jsonResult) {
               $.hsf.stopLoading();
               if (jsonResult.successful==true){

                   var result =jsonResult.result;
                   var data=result.data;
                   var dataList=data.dataList;
                   for (var i = 0; i < dataList.length; i++) {
                       var  model=dataList[i];
                       if (model.portfolioname==undefined){
                           model.portfolioname="";
                       }
                       model.applicationamount=$.formatNum( model.confirmedamount);
                       model.businesscodeStr="分红";
                       model.titleColor="orange";
                       model.tradeMoneyStatus=$.formatNum(model.confirmedvol)+"份";
                       var str = model.transactioncfmdate;
                       model.dayLineTime = str = str.substr(4,2)+"-"+str.substr(6,2);
                       model.operdate= model.transactioncfmdate;


                       for (var j = 0; j <action.constant.dataList.length ; j++) {
                           var allModel=action.constant.dataList[j];
                           if (parseFloat(model.operdate)>parseFloat(allModel.operdate)){
                               action.constant.dataList.splice(j,0,model);
                               break;
                           }
                       }

                   }

                   // action.constant.dataList=action.constant.dataList.concat(dataList);

                   //将分红数据按时间大小插入到总的数据源中
                   // for (var i = 0; i < dataList.length; i++) {
                   //     var bounceModel=dataList[i];
                   //     for (var j = 0; j <action.constant.dataList.length ; j++) {
                   //         var allModel=action.constant.dataList[j];
                   //         if (parseInt(bounceModel.transactioncfmdate)>parseInt(allModel.transactiondate)){
                   //             action.constant.dataList.splice(j,0,bounceModel);
                   //         }
                   //     }
                   //
                   // }

                   // action.constant.dataList= action.constant.dataList.sort(function (a, b) { return b.transactiondate-a.transactiondate });
                   var  modelList=action.constant.dataList;
                   for (var i = 0; i <  modelList.length; i++) {
                       var model=modelList[i];

                       if (model.businesscode=="022"){

                           action.constant.buyList.push(model);
                       }else if (model.businesscode=="024"){
                           action.constant.saleList.push(model);
                       }else if (model.businesscode=="0D2"){
                           action.constant.repositoryList.push(model);
                       }else if (model.businesscodeStr="分红"){
                           model.nowStatus="确认成功";
                           model.nowStatusColor="4d";
                           action.constant.bonusList.push(model);
                       }


                   }
                   $.doTemplate("dataListID",action.constant.dataList);
                   $.doTemplate("dataListID2",action.constant.buyList);
                   $.doTemplate("dataListID3",action.constant.saleList);
                   $.doTemplate("dataListID4",action.constant.repositoryList);
                   $.doTemplate("dataListID5",action.constant.bonusList);

                   $("#tableTradeID1").on('tap','dd',function () {
                       var index = $(this).attr('m-id');
                       var data=action.constant.dataList[index];
                       var status=data.status;
                       if (!data.status) {
                           status="";
                       }
                       var businesscode=data.businesscode;
                       if (!data.businesscode) {
                           businesscode="";
                           $.platform.putCache("BONUSLIST",data);
                       }

                       $.platform.hsOpen("bao-deal-result.html?appsheetserialno="
                           +data.appsheetserialno+"&custno="+data.custno+
                           "&status="+status+"&businesscode="+businesscode+"&bankname="+data.bankname+
                           "&depositacct="+data.depositacct+"&portfolioname="+data.portfolioname);
                   });

                   $("#tableTradeID2").on('tap','dd',function () {
                       var index = $(this).attr('m-id');
                       var data=action.constant.buyList[index];
                       var status=data.status;
                       if (!data.status) {
                           status="";
                       }
                       var businesscode=data.businesscode;
                       if (!data.businesscode) {
                           businesscode="";
                       }

                       $.platform.hsOpen("bao-deal-result.html?appsheetserialno="
                           +data.appsheetserialno+"&custno="+data.custno+
                           "&status="+status+"&businesscode="+businesscode+"&bankname="+
                           data.bankname+"&depositacct="+data.depositacct+
                           "&portfolioname="+data.portfolioname);
                   });
                   $("#tableTradeID3").on('tap','dd',function () {
                       var index = $(this).attr('m-id');
                       var data=action.constant.saleList[index];
                       var status=data.status;
                       if (!data.status) {
                           status="";
                       }
                       var businesscode=data.businesscode;
                       if (!data.businesscode) {
                           businesscode="";
                       }

                       $.platform.hsOpen("bao-deal-result.html?appsheetserialno="
                           +data.appsheetserialno+"&custno="+data.custno+
                           "&status="+status+"&businesscode="+businesscode+
                           "&bankname="+data.bankname+"&depositacct="+
                           data.depositacct+"&portfolioname="+data.portfolioname);
                   });
                   $("#tableTradeID4").on('tap','dd',function () {
                       var index = $(this).attr('m-id');
                       var data=action.constant.repositoryList[index];
                       var status=data.status;
                       if (!data.status) {
                           status="";
                       }
                       var businesscode=data.businesscode;
                       if (!data.businesscode) {
                           businesscode="";
                       }

                       $.platform.hsOpen("bao-deal-result.html?appsheetserialno="
                           +data.appsheetserialno+"&custno="+data.custno+
                           "&status="+status+"&businesscode="+businesscode+
                           "&bankname="+data.bankname+"&depositacct="+
                           data.depositacct+"&portfolioname="+data.portfolioname);
                   });
                   $("#tableTradeID5").on('tap','dd',function () {
                       var index = $(this).attr('m-id');
                       var data=action.constant.bonusList[index];
                       var status=data.status;
                       if (!data.status) {
                           status="";
                       }
                       var businesscode=data.businesscode;
                       if (!data.businesscode) {
                           businesscode="";
                           $.platform.putCache("BONUSLIST",data);
                       }

                       $.platform.hsOpen("bao-deal-result.html?appsheetserialno="
                           +data.appsheetserialno+"&custno="+data.custno+
                           "&status="+status+"&businesscode="+
                           businesscode+"&bankname="+data.bankname+"&depositacct="+
                           data.depositacct+"&portfolioname="+data.portfolioname);
                   });
               }
               else {
                   $.hsf.callFailProcess(jsonResult);
               }
           })

       }
   } ;
    return action;
});
