/**
 * Created by apple on 15/6/23.
 */

define([],function(){
   var action = {
       constant:{
           appsheetserialno : $.hsf.hsTools.getParam("appsheetserialno"),
           portfolioname: $.hsf.hsTools.getParam("portfolioname"),
           custno:$.hsf.hsTools.getParam("custno"),
           status:$.hsf.hsTools.getParam("status"),
           businesscode:$.hsf.hsTools.getParam("businesscode"),
           bankname:$.hsf.hsTools.getParam("bankname"),
           depositacct:$.hsf.hsTools.getParam("depositacct")
       },
       init : function(){
           $("#bounsSuccessID").hide();
           $("#buyMoneyID").hide();
           $("#buyShareID").hide();
           $("#repositoryID").hide();

           $("#fundNameID").html(action.constant.portfolioname);

           action.events();

          var businesscode=action.constant.businesscode;

           if (businesscode=="022"){
               $("#typeID").html("申购");
           } else if (businesscode=="024"){
               $("#typeID").html("赎回");
               $("#successSateID").html("卖出份额确认");
           } else if (businesscode=="0D2") {
               $("#typeID").html("");//调仓
           }else {
               $("#typeID").html("分红");
               $("#successSateID").html("红利发放成功");

               $("#bankInfoID").hide();
           }

           if (!action.constant.depositacct ||action.constant.depositacct==""||
               action.constant.depositacct=="undefined"){
               $("#bankInfoID").html("");
           }else {
               $("#bankInfoID").html(action.constant.bankname+"(尾号" +
                   action.constant.depositacct.substr(action.constant.depositacct.length-4,4)+")");//底部的银行卡号和名字
           }


            if (businesscode=="022"||businesscode=="024"||businesscode=="0D2"){
                switch (action.constant.status) {
                    case "00":
                    case "02":
                    case "06":{
                        $("#tradeStateID").html("待确认");
                    }
                        break;
                    case "01":
                        $("#tradeStateID").html("处理中");
                        break;
                    case "07":
                    {
                        $("#tradeStateID").html("确认成功");
                        $("#successLineID").removeClass("result-line-wait");
                        $("#successLineID").addClass("result-line-success");

                        $("#successPointID").removeClass("result-wait");
                        $("#successPointID").addClass("result-success");
                    }
                        break;
                    case "08":
                        $("#tradeStateID").html("确认失败");
                        break;
                    case "09":
                    {
                        $("#tradeStateID").html("确认成功");
                        $("#successLineID").removeClass("result-line-wait");
                        $("#successLineID").addClass("result-line-success");

                        $("#successPointID").removeClass("result-wait");
                        $("#successPointID").addClass("result-success");
                    }
                        break;
                }

                action.requestDetail();

            }
           else {// 分红

                $.platform.getCache("BONUSLIST",function (model) {

                    $("#successLineID").removeClass("result-line-wait");
                    $("#successLineID").addClass("result-line-success");

                    $("#successPointID").removeClass("result-wait");
                    $("#successPointID").addClass("result-success");

                    $("#tradeStateID").html("确认成功");

                    $("#sucStateID").html("红利发放成功");
                    $("#sucConfirmedamountID").html($.formatNum(model.confirmedvol)+"份");//分红数据
                    if (model.defdividendmethod=="0"){
                        $("#workTypeID").html("红利转投");
                    } else {
                        $("#workTypeID").html("现金分红");
                    }
                    var str=model.transactioncfmdate;
                    str=str.substr(4,2)+"-"+str.substr(6,2);
                    $("#transactioncfmdateID").html(str);//交易日期

                    $("#confirmedamountID").html($.formatNum(model.confirmedamount)+"元");//确认金额
                    $("#confirmedvolID").html($.formatNum(model.confirmedvol)+"份");//确认份额

                    model.confirmedvol=$.formatNum(model.confirmedvol);
                    $.doTemplate("boundDataID",model);

                    //交易确认时间 (底部)
                    $("#sucTimeID").html(str+"（以基金公司确认为准）");
                });
            }
       },
       events : function () {
           //设置状态的显示与否
           $(".trade_state_div").on('tap',function () {

               var classStr=$(".slide-icon").attr("class");

               var businesscode =action.constant.businesscode;

               if (classStr.indexOf(" on")>0) {
                   $(".slide-icon").removeClass("on");
                   $("#simpleStateID").show();

                   if (businesscode=="022"){
                       $("#buyMoneyID").hide();

                   } else if (businesscode=="024"){
                       $("#buyShareID").hide();

                   } else if (businesscode=="0D2") {
                       $("#repositoryID").hide();
                   }else {
                       $("#bounsSuccessID").hide();
                   }
               }else {
                   $(".slide-icon").addClass("on");
                   $("#simpleStateID").hide();

                  if (businesscode=="022"){
                      $("#buyMoneyID").show();

                  } else if (businesscode=="024"){
                      $("#buyShareID").show();

                  } else if (businesscode=="0D2") {
                      $("#repositoryID").show();
                  }else {
                      $("#bounsSuccessID").show();
                  }

               }
           })
       },
       //请求交易详情数据
       requestDetail:function () {
           $.hsf.startLoading();
           var formGenerate=$.formGenerate();
           var g=formGenerate.add("portfolioappsheetno",this.constant.appsheetserialno).
           add("custno","100091921");
           $.hsf.ajax.appEncrypt("query/combportfolio/tradeApplyDetail",g.generate(),"tradeApplyDetail",function (jsonResult) {
               $.hsf.stopLoading();
               if (jsonResult.successful==true){

                   var result=jsonResult.result;
                   var data=result.data;
                   var dataList=data.dataList;

                   if (dataList.length==0){
                       return;
                   }


                   if (action.constant.businesscode=="022"){
                       $("#workTypeID").html("申购");

                       var sumMoney=0; //确认金额
                       var sumCharge=0; //手续费
                       var applySumMoney=0;//申请金额
                       for (var i = 0; i <dataList.length; i++) {
                           var model=dataList[i];
                           sumMoney=sumMoney+parseFloat(model.confirmedamount);
                           sumCharge=sumCharge+parseFloat(model.charge);
                           applySumMoney=applySumMoney+parseFloat(model.applicationamount);
                       }

                           $("#sucConfirmedamountID").html($.formatNum(applySumMoney.toFixed(2))+"元");//申请 金额
                           $("#chargeID").html($.formatNum(sumCharge.toFixed(2))+"元");//手续费
                           $("#confirmedamountID").html($.formatNum(sumMoney.toFixed(2))+"元");//确认金额

                       if ($("#tradeStateID").html()=="确认成功"){
                           $("#sucStateID").html("申购成功");
                       }else if ($("#tradeStateID").html()=="确认失败"){
                           $("#sucStateID").html("申购失败");
                       }

                   } else if (action.constant.businesscode=="024"){
                       $("#workTypeID").html("赎回");
                       if ($("#tradeStateID").html()=="确认成功"){
                           $("#sucStateID").html("赎回成功");
                       }else if ($("#tradeStateID").html()=="确认失败"){
                           $("#sucStateID").html("赎回失败");
                       }

                       var sumMoney=0;//确认金额
                       var sumCharge=0;//手续费
                       var applySumMoney=0;//申请金额
                       for (var i = 0; i <dataList.length; i++) {
                           var model=dataList[i];
                           sumMoney=sumMoney+parseFloat(model.confirmedamount);
                           sumCharge=sumCharge+parseFloat(model.charge);
                           applySumMoney=applySumMoney+parseFloat(model.applicationvol);
                       }
                       $("#sucConfirmedamountID").html($.formatNum(applySumMoney.toFixed(2))+"份");//申请份额 金额
                       $("#chargeID").html($.formatNum(sumCharge.toFixed(2))+"元");//手续费
                       $("#confirmedamountID").html($.formatNum(sumMoney.toFixed(2))+"元");//确认金额


                       $("#payTypeID").html("赎回至");
                       $("#yaoPayID").html("耀钱包");


                   }
                   else if (action.constant.businesscode=="0D2") {
                       $("#workTypeID").html("调仓");
                       if ($("#tradeStateID").html()=="确认成功"){
                           $("#sucStateID").html("调仓成功");
                       }else if ($("#tradeStateID").html()=="确认失败"){
                           $("#sucStateID").html("调仓失败");
                       }
                       var sumMoney=0;//确认金额
                       var sumCharge=0;//手续费
                       var applySumMoney=0;//申请金额
                       for (var i = 0; i <dataList.length; i++) {
                           var model=dataList[i];
                           sumMoney=sumMoney+parseFloat(model.confirmedamount);
                           sumCharge=sumCharge+parseFloat(model.charge);
                           applySumMoney=applySumMoney+parseFloat(model.applicationvol);
                           var  orirate =parseFloat(model.orirate) ;//调仓前
                           var newrate=parseFloat(model.newrate);//调仓后

                           if (model.newrate==model.orirate) {
                               model.arrowState="balance";
                           }else if (orirate>newrate) {
                               model.arrowState="down";
                           }else {
                               model.arrowState="up";
                           }
                           model.orirateStr= (orirate*100).toFixed(2)+"%";
                           model.newrateStr= (newrate*100).toFixed(2)+"%";
                       }


                       $("#sucConfirmedamountID").html("");//申请份额 金额 $.formatNum(applySumMoney.toFixed(2))+"份"
                       $("#chargeID").html($.formatNum(sumCharge.toFixed(2))+"元");//手续费
                       $("#confirmedamountID").html($.formatNum(sumMoney.toFixed(2))+"元");//确认金额
                   }

                   if($("#tradeStateID").html()!="确认成功"){
                       // $("#sucConfirmedamountID").html("--");//申请 金额
                       $("#chargeID").html("--");//手续费
                       $("#confirmedamountID").html("--");//确认金额
                   }else {
                       $("#tradeStateID").attr("class","m-font-14 font-color-4d");//确认成功修改颜色
                   }

                   if($("#tradeStateID").html()=="确认失败"){
                       $("#failedHideID").hide();//隐藏头部下方的显示
                       $("#tradeLineStateID").hide();//隐藏头部勾选线
                       $("#tradeIconStateID").attr("class","result-failed");//显示失败的icon
                   }

                   for (var i = 0; i <dataList.length ; i++) {
                       var dataModel=dataList[i];
                       dataModel.applicationamount=$.formatNum(dataModel.applicationamount);
                       dataModel.confirmedvol=$.formatNum(dataModel.confirmedvol);
                   }

                   $.doTemplate("dataListID",dataList);
                   $.doTemplate("saleListID",dataList);
                   $.doTemplate("repositoryList",dataList);
                   var model=dataList[0];
                   // //下单发生日期+时间
                   var str=model.operdate;
                   str=str.substr(4,2)+"-"+str.substr(6,2);
                   $("#transactioncfmdateID").html(str+" "+model.transactiontime);

                   //交易确认时间
                   var dateStr=model.transactioncfmdate;
                   if (typeof dateStr == "undefined" || dateStr == null || dateStr == ""){
                       $("#sucTimeID").html("(以基金公司确认为准)");
                   } else {
                       dateStr=dateStr.substr(4,2)+"-"+dateStr.substr(6,2);
                       $("#sucTimeID").html(dateStr+"（以基金公司确认为准）");
                   }

               }
               else {
                   $.hsf.callFailProcess(jsonResult);
               }
           })
       }
   } ;
    return action;
});
