/**
 * Created by apple on 15/6/23.
 * jiansl
 */

define([],function(){
   var action = {
       portfoliocode : $.hsf.hsTools.getParam("portfoliocode"),//组合代码
       portfolioshowtype : $.hsf.hsTools.getParam("portfolioshowtype"),//组合类型
       portfolioname:'',//组合name
       transactionaccountid : "",//交易账号
       redeemflag : 0,//是否全部卖出
       allPercent : 100,//全部卖出比例，点全部按钮时，由于精度问题allPercent>=maxPercent
       maxPercent : 100,//最大卖出比例，因为保留整数，所以全部卖出时取值会不一样
       fundList : [],//成份基金
       redeempercent : 0,//卖出比例值
       percent:'',//记录上一次的输入的值
       redeemforceflag : 0,//惩罚性费率强制赎回标志，强制传1 否则传0
       ipw : 0,//密码输入个数，等于6的时候自动提交
       init : function(){
           action.getAssetData();
           action.requestShareData();
           action.events();
           $("#tradeRuleID").on('tap',function () {
               $.platform.hsOpen("bao-rule.html?type=sell&portfoliocode="+
                   action.portfoliocode+"&portfolioshowtype="+action.portfolioshowtype);
           });
       },
       events : function () {
           //全部按钮
           $("#sellAll").bind("tap",function(){
               $("#redeempercent").UITextField("value", action.maxPercent);
               action.changePercent();
           });
           //输入框
           //$("#redeempercent").UITextField("change", function (){
           $("#redeempercent").find("input").on('input', function (){
               action.changePercent();
           });

           $("#redeempercent").find("input").on('blur', function () {
               var percent = $("#redeempercent").UITextField("value");
               if (percent==""){
                   $("#normalTip").show();
                   $("#otherTip").hide();
                   $(".sell-detail").hide();//卖出详情
                   $("#sellShareText").text("--");
                   action.percent="";
               }
           });



           //卖出按钮
           $("#sellBtn").bind("tap",function(){
               var percent = $("#redeempercent").UITextField("value");
               if(null==percent || ""==percent){
                   $.UIPopup("请输入卖出比例");
                   return false;
               }else if(parseFloat(percent) == action.maxPercent) {//最大卖出比例，可能小于1
                   action.redeemflag = 1;
                   action.redeempercent = parseInt(percent)/100;
                   action.redeemPreCheck();
               }else if (parseFloat(percent) < 1 || parseFloat(percent) > action.maxPercent) {//范围外的卖出比例
                   $.UIPopup("本次允许卖出范围1%~"+action.maxPercent+"%");
                   return false;
               }else{//范围内的卖出比例
                   action.redeemflag = 0;
                   action.redeempercent = parseInt(percent)/100;
                   action.redeemPreCheck();
               }
           });
           //忘记密码
           $(".forget-psd").bind("tap",function(){
               $.platform.hsOpenForgetpassword();
           });
           //完成按钮
           $("#goBack").bind("tap",function(){
               $.hsf.hsBack();
           });
           //关闭密码浮层
           $(".psd_close").click(function(){
               $(".psd_box").hide();
               action.clearPw();
           });
           //密码阴影显示/隐藏
           $(".xiaq_tb").click(function(){
               $(".numb_box").slideUp(500);
           });
           $(".mm_box").click(function(){
               $(".numb_box").slideDown(500);
           });
           //密码键盘事件
           $(".nub_ggg li .zf_num").on('touchstart',function(){
               if(action.ipw<6){
                   $(".mm_box li").eq(action.ipw).addClass("mmdd");
                   $(".mm_box li").eq(action.ipw).attr("data",$(this).text());
                   action.ipw++;
                   if (action.ipw==6) {
                       setTimeout(function(){
                           var data = "";
                           $(".mm_box li").each(function(){
                               data += $(this).attr("data");
                           });
                           /*$(".psd-hold").hide();
                           $(".psd-no").show();*/
                           action.redeem(data);//执行卖出
                       },100);
                   }
               }
           });
           $(".nub_ggg li .zf_del").on('touchstart',function(){
               if(action.ipw>0){
                   action.ipw--;
                   $(".mm_box li").eq(action.ipw).removeClass("mmdd");
                   $(".mm_box li").eq(action.ipw).attr("data","");
               }
           });
           $(".nub_ggg li .zf_empty").click(function(){
               action.clearPw();
           });
       },
       //清空密码
       clearPw : function(){
           $(".mm_box li").removeClass("mmdd");
           $(".mm_box li").attr("data","");
           action.ipw = 0;
       },
       //分享请求
       requestShareData:function(){
           var form=$.formGenerate();
           // @{@"functionCode":@"1047",@"originalId":@"app",@"adsGroup":@"home"};
           var g=form.add("functionCode","1047").add("originalId","app").add("adsGroup","combinationShare");

           $.hsf.ajax.app("wxzt/m",g.generate(),"wxzt",function (jsonResult) {
               if (jsonResult.successful==true){

                   var message=jsonResult.message;
                   var model=JSON.parse(message);
                   var result=model.result;
                   var data=result.list[0];

                   var filename=data.filename;//分享标题
                   var pic_url=data.pic_url;//分享图标
                   var  url=data.url;//分享内容;

                   $("#shareID").on('tap',function () {
                       var shareURL="http://ec.epf.com.cn/radio/pages/bao-share.html?portfoliocode="+action.portfoliocode;
                       $.platform.share(filename,pic_url,shareURL,url);
                   });

               }
           });
       },
       //获取资产及成份基金数据
       getAssetData : function(){
           var that = this;
           $.platform.getCache("assetData",function(asset){
               if (asset) {
                   var dataList = asset.result.data.dataList;
                   if(dataList.length>0) {
                       that.initForm(dataList[0]);
                   }
               }else{
                   $.hsf.startLoading();
                   var data = $.formGenerate()
                       .add("portfoliocode", action.portfoliocode)//组合代码, 不传查全部
                       .add("portfolioshowtype",action.portfolioshowtype);
                   $.hsf.ajax.appEncrypt("query/combportfolio/combAsset", data.generate(), "combAssetCallback", function(jsonResult) {
                       $.hsf.stopLoading();
                       if (jsonResult.successful) {
                           var dataList = jsonResult.result.data.dataList;
                           if(dataList.length>0) {
                               that.initForm(dataList[0]);
                               var model=dataList[0];
                              action.portfolioname= model.portfolioname;
                           }

                           action.getWorkdate(0);
                       } else {
                           $.hsf.callFailProcess(jsonResult);
                       }
                   });
               }
           });
       },
       //处理数据
       initForm : function(assetData){
           action.transactionaccountid = assetData.transactionaccountid;//交易账号
           $("#portfolioname").text(assetData.portfolioname);
           action.fundList = assetData.detaiList;
           for(i in action.fundList){
               action.fundList[i].maxPercent = parseFloat(action.fundList[i].availableshare)/parseFloat(action.fundList[i].totalshare);// 可用份额/总份额
               action.fundList[i].totalshareStr=$.formatNum(action.fundList[i].totalshare);
           }
           action.fundList.sort(function(a,b){//从小到大排序
               return a.maxPercent - b.maxPercent;
           });

           if(action.fundList[0].maxPercent==0){
               $.UIAlert({html: "目前可卖出资产为0，买入确认日或调仓确认日无法卖出的哦", buttonText: "我知道了"}, function(){
                   $.hsf.hsBack();
               });
               return false;
           }
           if(assetData.canredeem != '1'){//组合内的某只基金在暂停卖出期间，暂时无法卖出哦
               $.UIAlert({html: "组合内的某只基金在暂停卖出期间，暂时无法卖出哦", buttonText: "我知道了"}, function(){
                   $.hsf.hsBack();
               });
               return false;
           }
           action.allPercent = action.fundList[0].maxPercent*100;//全部赎回比例，N位小数
           action.maxPercent = parseFloat(action.fundList[0].maxPercent*100).toFixed(1);//取第一个（最小的比例）
           if(action.maxPercent<1){//可卖出比例小于1时
               $("#redeempercent").UITextField("value", action.maxPercent);
               $("#otherTip").text("可卖出比例为"+action.maxPercent+"，须全部卖出");
           }else{//可卖出比例小于1时必须是整数
               action.maxPercent = parseInt(action.maxPercent);
               $("#redeempercent").UITextField("placeholder", "卖出范围1%~"+action.maxPercent+"%");
               $("#otherTip").text("本次允许卖出范围1%~"+action.maxPercent+"%");
           }
       },
       //处理输入框数据
       changePercent : function(){
           var percent = $("#redeempercent").UITextField("value");

           if (percent=="0"){//不能0开头
               $("#redeempercent").UITextField("value","");
               action.percent="";
               $("#sellShareText").text("--");
               return;
           }
           // $("#redeempercent").UITextField("value",value);

           var moneyPay=action.percent;
           var leng=moneyPay.length;

           if (percent==""&&leng==1){ //当只剩最后一个数据
               $("#redeempercent").UITextField("value","");
               action.percent=percent;
               $("#sellShareText").text("--");

               $("#normalTip").show();
               $("#otherTip").hide();
               $(".sell-detail").hide();//卖出详情

               return;
           }

           if (percent==""){
               $("#redeempercent").UITextField("value",action.percent);

               return;
           }

           if (percent.indexOf(".")>-1) {

               $("#redeempercent").UITextField("value",percent.substr(0,percent.length-2));
               action.percent= percent.substr(0,percent.length-2);
               return;
           }

           if(percent.length>3){
               $("#redeempercent").UITextField("value",action.percent);
               return;
           }


           if(percent && null!=percent && ""!=percent){
               // if(percent.length>3){//解决数据库type=numer时，maxlength不生效的问题
               //     $("#redeempercent").UITextField("value",percent.substring(0,3));
               //     return;
               // }


               if(parseFloat(percent) == action.maxPercent){//输入的比例等于最大卖出比例则赎回全部
                   $("#normalTip").show();
                   $("#otherTip").hide();
                   for(var i in action.fundList){//计算每只基金的卖出份额
                       action.fundList[i].sellShare = $.formatNum((parseFloat(action.fundList[i].totalshare) * action.allPercent / 100).toFixed(2));
                   }
                   $.doTemplate("fundList-template", action.fundList, "refresh");//成份基金卖出比例数据

                   $(".sell-detail").show();//卖出详情
                   $("#sellShareText").text(percent);//左下角的卖出比例
               }else {
                   if (parseFloat(percent) < 1 || parseFloat(percent) > action.maxPercent) {
                       if(action.maxPercent <= 1){//最大比例<=1时全部赎回
                           $("#redeempercent").UITextField("value", action.maxPercent);
                       }else {
                           $("#otherTip").show();
                           $("#normalTip").hide();
                           $(".sell-detail").hide();//卖出详情
                           $("#sellShareText").text("--");
                       }
                   } else {
                       $("#normalTip").show();
                       $("#otherTip").hide();
                       for (var j in action.fundList) {//计算每只基金的卖出份额
                           action.fundList[j].sellShare = $.formatNum((parseFloat(action.fundList[j].totalshare) * percent / 100).toFixed(2));
                       }

                       $.doTemplate("fundList-template", action.fundList, "refresh");//成份基金卖出比例数据
                       $(".sell-detail").show();//卖出详情
                       $("#sellShareText").text(percent);//左下角的卖出比例
                   }
               }


               action.percent=percent;


           }else{
               $("#normalTip").show();
               $("#otherTip").hide();
               $(".sell-detail").hide();//卖出详情
               $("#sellShareText").text("--");
           }
       },
       //下个工作日
       getWorkdate : function(offset){
//           $.hsf.startLoading();
           var data = $.formGenerate()
               .add("offsetflag", offset);
           $.hsf.ajax.appEncrypt("common/common/workdate", data.generate(), "workdateCallback", function(jsonResult) {
//               $.hsf.stopLoading();
               if (jsonResult.successful) {
                   var workdate = $.hsf.hsTools.yyyy_mm_dd(jsonResult.workDate);
                   var _day = new Date(workdate).getDay(), weekText = "";
                   switch (_day) {
                       case 0: weekText = "星期日"; break;
                       case 1: weekText = "星期一"; break;
                       case 2: weekText = "星期二"; break;
                       case 3: weekText = "星期三"; break;
                       case 4: weekText = "星期四"; break;
                       case 5: weekText = "星期五"; break;
                       case 6: weekText = "星期六"; break;
                   }
                   if(offset==0){
                       $("#workdate1").text(workdate+"("+weekText+")");
                       action.getWorkdate(1);
                   }else if(offset==1){
                       $("#workdate2").text(workdate+"("+weekText+")");
                   }
               } else {
                   $.hsf.callFailProcess(jsonResult);
               }
           });
       },
       //赎回预检查
       redeemPreCheck : function(){
           $.hsf.startLoading();
           var data = $.formGenerate()
               .add("portfoliocode", action.portfoliocode)//组合代码
               .add("transactionaccountid",action.transactionaccountid)//交易账号
               .add("redeemflag", action.redeemflag).////全部赎回传1，否则传0
               add("redeempercent",action.redeempercent);//赎回比例值
           // if(action.redeemflag==0){
           //     data.add("redeempercent",action.redeempercent);//赎回比例值
           // }
           $.hsf.ajax.appEncrypt("trade/combportfolio/redeemPreCheck", data.generate(), "redeemPreCheckCallback", function(jsonResult) {
               $.hsf.stopLoading();
               if (jsonResult.successful) {
                   if(jsonResult.result.data.dataList.length>0){
                       if(jsonResult.result.data.dataList[0].confirmcode=="0001"){
                           $.UIComfirm({html: "本次卖出可能会收取1.5%的赎回费（买入确认或者调仓确认后7天内卖出可能收取1.5%赎回费）", submitText: "继续操作", cancelText: "取消"},function(result){
                               if (result == "yes") {
                                   action.redeemforceflag = 1;
                                   $(".psd_box").show();//显示密码层
                               }
                           });
                       }else{
                           $.UIAlert({html: jsonResult.result.data.dataList[0].confirmmsg, buttonText: "我知道了"}, function(){});
                       }
                   }else{
                       action.redeemforceflag = 0;
                       $(".psd_box").show();//显示密码层
                   }
               } else {
                   $.hsf.callFailProcess(jsonResult);
               }
           });
       },
       //组合赎回
       redeem : function(pw){
           $.hsf.startLoading();
           var data = $.formGenerate()
               .add("tradepassword", pw)
               .add("portfoliocode", action.portfoliocode)//组合代码
               .add("transactionaccountid",action.transactionaccountid)//交易账号
               .add("redeemtype",1)//组合赎回方式，0赎回到银行卡，1赎回到其他基金
               .add("targetfundcode",$.hsf.xjb.code)//目标基金代码，组合赎回方式为 1时必填
               .add("redeemforceflag",action.redeemforceflag)//惩罚性费率强制赎回标志，强制传1 否则传0
               .add("largeredemptionflag",1)//巨额赎回标志 0-取消 1-顺延
               .add("redeemflag", action.redeemflag)//全部赎回传1，否则传0
               .add("redeempercent",action.redeempercent);//赎回比例值;
           // if(action.redeemflag==0){
           //     data.add("redeempercent",action.redeempercent);//赎回比例值
           // }
           $.hsf.ajax.appEncrypt("trade/combportfolio/redeem", data.generate(), "redeemCallback", function(jsonResult) {
               $.hsf.stopLoading();
               action.clearPw();//清空密码
               if (jsonResult.successful) {
                   $(".psd_box").hide();//隐藏密码层
                   $("#bao-sell-1").hide();
                   $("#bao-sell-2").show();

                   $("#tradeDetaileID").on('tap',function () {//跳转交易详情页
                       $.platform.hsOpen("bao-deal-detail.html?portfoliocode="+
                           action.portfoliocode+"&portfolioname="+action.portfolioname);
                   });
                   $("#tradeSuccessfID").html("完成");
                   $("#tradeSuccessfID").on("tap",function () {
                       $.platform.hsBack();
                   });
                   $("#titleID").html("交易结果");
                   $("#goBackID").hide();

                   if ($.hsf.platform() == "platform/weixinapi"){
                       $("#shareID").hide();

                   }else if ($.hsf.platform() == "platform/pcapi") {
                       $("#shareID").hide();
                   }

               } else {
                   $.hsf.callFailProcess(jsonResult);
               }
           });
       }
   } ;
    return action;
});
