/**
 * Created by apple on 15/6/23.
 */

define([],function(){
   var action = {
       constant:{
           portfoliocode : $.hsf.hsTools.getParam("portfoliocode"),
           transactionaccountid:$.hsf.hsTools.getParam("transactionaccountid"),
           totalprofit:$.hsf.hsTools.getParam("totalprofit")
       },
       init : function(){
            action.events();
            action.requestData();
       },
       events : function () {
           if (parseFloat(action.constant.totalprofit)<0){
               $("#totalprofitID").attr("class","m-font-25 font-color-green");
               $("#totalprofitID").html(action.constant.totalprofit);
           }else {
               $("#totalprofitID").html("+"+action.constant.totalprofit);
           }

       },
       //收益明细获取
       requestData:function () {
           $.hsf.startLoading();
           var portfcode=action.constant.portfoliocode;
           var  params="portfoliocode="+ portfcode+"&transactionaccountid="+action.constant.transactionaccountid+ "&pageno=1&pagesize=1000";
           $.hsf.ajax.appEncrypt("query/combportfolio/combProfitinfo",params,"combProfitinfo",function (jsonResult) {
               if (jsonResult.successful == true) {
                   $.hsf.stopLoading();
                   var result=jsonResult.result.data;
                   var dataList=result.dataList;

                   var maxValue=0;
                   for (var i = 0; i < dataList.length; i++) {
                       var data=dataList[i];
                       if (maxValue<Math.abs(parseFloat(data.portfolioincome))){
                           maxValue=Math.abs(parseFloat(data.portfolioincome));
                       }
                   }

                   for (var i = 0; i < dataList.length; i++) {
                       var data=dataList[i];
                       if (parseFloat(data.portfolioincome)>0){
                           data.colorState="up";
                           data.portfolioincome="+"+$.formatNum(data.portfolioincome);
                       } else if (parseFloat(data.portfolioincome)<0) {
                           data.colorState="down";
                           data.portfolioincome=$.formatNum(data.portfolioincome);
                       }else {
                           data.colorState="balance";
                           data.portfolioincome=$.formatNum(data.portfolioincome);
                       }

                       var width= Math.abs(parseFloat(data.portfolioincome));
                       if (maxValue==0){
                           data.width="width:"+50+"%";
                       }else {
                           data.width="width:"+100*(width+maxValue)/(maxValue*2)+"%";
                       }

                       var str = data.incomedate;
                       data.incomedate = str = str.substr(0,4)+"-"+str.substr(4,2)+"-"+str.substr(6,2);


                   }

                   $.doTemplate("dataListID",dataList);
               }
               else {
                   $.hsf.callFailProcess(jsonResult);
               }
           });
       }
   } ;
    return action;
});
