/**
 * Created by apple on 15/6/23.
 */
function reloadData(){//资产界面需要重新刷新界面(原生调用)
  if (action.constant.totalprofit.length>0) {
     action.constant.refresh="yes";//设置刷新状态
    action.requestBaodata();
  }
}

define(['echart'],function(echart){
   window.action = {
       constant : {
         portfoliocode: $.hsf.hsTools.getParam("portfoliocode"),//组合代码
         portfolioshowtype:$.hsf.hsTools.getParam("portfolioshowtype"),//组合类型
         portfoliotradestatus:null,//是否允许买入，卖出的状态
         optionpieValue1:null,//饼状图权益
         optionpieValue2:null,//饼状图固收
         fundList:[],//基金列表
         portfolioname:'',//产品名称
         totalprofit:null,//累计收益
         canredeem:null,//能否赎回 0不能赎回 1能赎回
         portfoliorisklevel:null,//风险等级
         dateArr:[],//回测走势图时间数据源
         BDataArr:[],//比较基准数据源
         ZDataArr:[],//择时宝走势
         incomeratemonth:'',//近一个月收益率
         incomerateyear:'',//近一年收益率
         incomeratetwoyear:'',//近两年收益率
         incomeratethreemonth:'',//近三个月收益率
         incomeratethreeyear:'',//近三年收益率
         incomeratefiveyear:'',//近五年收益率
         incomeratehalfyear:'',//近六个月收益率
         incomerateytd:'',//回测以来收益率
         refresh:"false"//是否刷新状态
       },
       init : function(){

         $("#damountViewID").hide();//隐藏在途资产数据
         $("#damountLineD").hide();//隐藏在途资产下方的线
         $(".bao-warm").hide();//隐藏调仓入口

         $("#fundDetailID").off().on('tap',function () {
           $.platform.hsOpen("ad-info.html?adinfocode="+action.constant.portfoliocode);
         });

         action.requestBaodata();
         action.tab();


       },

     events : function () {
       var option = {
         grid:{
           top:'10%',
           left: '5%',
           right: '10%',
           bottom: '15%',
           containLabel: true
         },
         xAxis: {
           type: 'category',
           boundaryGap: false,
           data:action.constant.dateArr ,//['2017-12-08','2017-12-09','2017-12-10','2017-12-11','2017-12-12']
           splitLine:{show: false},//去除网格线
           axisLabel : {//坐标轴刻度标签的相关设置。
             show: true,
             interval:action.constant.dateArr.length>2?(action.constant.dateArr.length-2):0,
             textStyle: {
               color: 'rgb(172,179,191)',
               fontSize:10
             }
           },
           axisPointer: {
             snap: true,
             lineStyle: {
               color: 'yellow',
               width: 1
             },
             label: {
               show: true,
               backgroundColor:' #fff',
               color:'#000'
             },
             handle: {
               show: true,
               color: '#004E52',
               opacity:0
             }
           },
           "axisLine":{       //y轴
             "show":false
           },
           "axisTick":{       //y轴刻度线
             "show":false
           }
         },
         tooltip: {
           trigger: 'axis',
           axisPointer: {
             lineStyle : {
               color : '#237af9',
               width:1
             }
           }
         },
         yAxis: {
           type: 'value',
           splitLine:{
             show: true,
             lineStyle:{
               type:'dashed',
               color:'#F7F7F7'
             }
             },//去除网格线
           axisLabel: {
             show: true,
             interval: 'auto',
             formatter: function(params){
               return params.toFixed(2)+"%";
             },
             textStyle: {
               color: 'rgb(172,179,191)',
               fontSize:10
             }
           },
           "axisLine":{       //y轴
             "show":false
           },
           "axisTick":{       //y轴刻度线
             "show":false
           }
         },
         series: [
           {
             name:  action.constant.portfolioname,
             data: action.constant.ZDataArr,//[820, 932, 901, 934, 1290, 1330, 1320]
             type: 'line',
             symbol:'circle',
             symbolSize:4,
             itemStyle : {
               normal : {
                 color:'#237af9',
                 // areaStyle : {
                 //   type : 'default',
                 //   //渐变色实现
                 //   color : '#e4efff'
                 // },
                 lineStyle : {  //线的颜色
                   color : '#237af9'
                 }
               }
             },
             areaStyle : {}
           },{
             name: '上证指数',
             type: 'line',
             symbol:'circle',
             symbolSize: 4,   //拐点圆的大小
             data:action.constant.BDataArr ,//[800, 300, 500, 800, 300, 600, 500]
             smooth: false,   //关键点，为true是不支持虚线的，实线就用true
             itemStyle: {
               normal: {
                 color:'#ff870c',
                 lineStyle: {
                   width: 1,
                   type: 'solid',  //'dotted'虚线 'solid'实线
                   color: '#ff870c'  //折线条的颜色
                 }
               }
             }
           }]
       };
       //初始化echarts实例
       var myChart = echart.init(document.getElementById('chartmain'));
       //使用制定的配置项和数据显示图表
       myChart.setOption(option);
        action.requestCommend(); //讨论区
     },
     tab:function (){
       $('.chart-infor-time-item').on('tap',function (){
         $(this).addClass('on').siblings().removeClass('on')
       })},
     setOptionpie:function(){
       var optionpie = {
         tooltip: {
           trigger: 'item',
           formatter: "{a} <br/>{b}: {d}%"
         },
         legend: {
           data:[]
         },
         series: [
           {
             name:'资产配置比例',
             type:'pie',
             radius: ['50%', '70%'],
             labelLine:{
               normal:{
                 length:15
               }
             },
             label: {
               normal: {
                 formatter: '{d}%\n {b}',
                 textStyle: {
                   color: '#4d4d4d',
                   fontSize:12
                 },
               }
             },
             data:[
               {value:action.constant.optionpieValue1, name:'权益',itemStyle:{
                   normal:{
                     color: new echart.graphic.LinearGradient(1, 0, 0, 0, [{
                       //颜色渐变函数 前四个参数分别表示四个位置依次为左、下、右、上
                       offset: 0,
                       color: '#0038ff'
                     }, {
                       offset: 1,
                       color: '#009dff'
                     }])
                   }
                 }},
               {value:action.constant.optionpieValue2, name:'固收',itemStyle:{
                   normal:{
                     color: new echart.graphic.LinearGradient(0, 1,1, 1, [{
                       //颜色渐变函数 前四个参数分别表示四个位置依次为左、下、右、上
                       offset: 0,
                       color: '#ff3a5d'
                     }, {
                       offset: 1,
                       color: '#ff6b4d'
                     }])
                   }
                 }}
             ]
           }
         ]
       };
       var myChartpie = echart.init(document.getElementById('chartpie'));
       myChartpie.setOption(optionpie);

     },

     //请求组合数据
     requestBaodata:function(){
       $.hsf.startLoading();
       var param='portfolioshowtype='+action.constant.portfolioshowtype+'&portfoliocode='+action.constant.portfoliocode;//
       $.hsf.ajax.appEncrypt("product/product/combPortfolioInfo", param, "combPortfolioInfo",
           function (jsonResult) {
             $.hsf.stopLoading();
             if (jsonResult.successful == true) {
               var result = jsonResult.result;
               var data=result.data;
               var dataList = data.dataList;
               if (dataList.length==0){
                 return false;
               }
               var datamodel= dataList[0];
               $("#portfolionameID").html(datamodel.portfolioname);//组合name
               action.constant.portfoliocode=datamodel.portfoliocode;
               action.constant.portfolioname=datamodel.portfolioname;

               $("#warehouseTipID").html("根据对市场行情预测，"+datamodel.portfolioname+"进行调仓，请确认");

               $("#nameID").html(datamodel.portfolioname);

               $("#monthFor1ID").addClass('on').siblings().removeClass('on');

               if (action.constant.refresh=="false"){//判断是否是刷新状态
                 action.onClickTime();
               }
               action.constant.portfoliorisklevel=datamodel.portfoliorisklevel.substr(1,1);//组合风险等级

               action.constant.portfoliotradestatus=datamodel.portfoliotradestatus;//购买，赎回状态

               action.constant.incomeratemonth=(100*parseFloat(datamodel.incomeratemonth)).toFixed(2)+"%";//近一个月收益率
               action.constant.incomeratethreemonth=(100*parseFloat(datamodel.incomeratethreemonth)).toFixed(2)+"%";//近三个月收益率
               action.constant.incomeratehalfyear=(100*parseFloat(datamodel.incomeratehalfyear)).toFixed(2)+"%";//近六个月收益率
               action.constant.incomerateyear=(100*parseFloat(datamodel.incomerateyear)).toFixed(2)+"%";//近一年收益率
               action.constant.incomeratetwoyear=(100*parseFloat(datamodel.incomeratetwoyear)).toFixed(2)+"%";//近俩年收益率
               action.constant.incomeratethreeyear=(100*parseFloat(datamodel.incomeratethreeyear)).toFixed(2)+"%";//近3年收益率
               action.constant.incomeratefiveyear=(100*parseFloat(datamodel.incomeratefiveyear)).toFixed(2)+"%";//近5年收益率
               action.constant.incomerateytd=(100*parseFloat(datamodel.incomerateytd)).toFixed(2)+"%";//回测以来收益率



               action.requestAsset(datamodel.portfoliocode);

             }else {
               $.hsf.callFailProcess(jsonResult);
             }
           });
     },
     //请求资产数据
     requestAsset:function(portfoliocode){
       $.hsf.startLoading();
       this.formGenerate = $.formGenerate();
       var g = this.formGenerate.add("portfoliocode",portfoliocode).add("pageno","1").add("pagesize","1000").
       add("portfolioshowtype",action.constant.portfolioshowtype);
         $.hsf.ajax.appEncrypt("query/combportfolio/combAsset", g.generate(), "combAsset",
             function (jsonResult){
               $.hsf.stopLoading();
           if (jsonResult.successful == true) {
             var result=jsonResult.result;
             var data=result.data;
             var dataList=data.dataList;
             if (dataList.length==0){
               return;
             }
             var dataModel=dataList[0];

             action.constant.fundList=dataModel.detaiList;//基金列表

             action.constant.totalprofit=dataModel.totalprofit;
             $("#assetID").html($.formatNum(dataModel.totalmarketvalue));


             if ( dataModel.canadjustment=="1"){
               $(".bao-warm").show();
             }else {
               $(".bao-warm").hide();
             }

             if (dataModel.totaltrdamount=="0.00"){//判断是否有在途资产

             }else {
               $("#damountViewID").show();//显示在途资产数据
               $("#damountLineD").show();//显示在途资产下方的线
               $("#totaltrdamountID").html($.formatNum(dataModel.totaltrdamount)+"元买入待确认");

               $("#damountViewID").off().on("tap",function () {
                 $.platform.hsOpen("bao-deal-detail.html?portfoliocode="+dataModel.portfoliocode
                     +"&portfolioname="+dataModel.portfolioname);
               });
             }

             var portfoliotradestatus=action.constant.portfoliotradestatus;
             //允许申购，赎回判断boundaryGap : true,
             if (portfoliotradestatus=="0"){

             } else if (portfoliotradestatus=="1"){//禁止申购
               $("#buyID").attr("m-style","disabled-bottom");
               $("#buyID").html("暂停买入");

             } else if (portfoliotradestatus=="2"){//禁止赎回
               // $("#sellID").attr("m-style","disabled-bottom");

             } else if (portfoliotradestatus=="3"){//禁止交易
               // $("#sellID").attr("m-style","disabled-bottom");
               $("#buyID").attr("m-style","disabled-bottom");
               $("#buyID").html("暂停买入");

             }

             action.constant.canredeem=dataModel.canredeem;

             if (action.constant.refresh=="false"){//防止多次触发事件
               action.buyButtonEvent("ture");
               action.sellButtonEvent("ture");

               $(".bao-warm").off().on('tap',function () {//跳转调仓

                 var portfoliorisklevel=action.constant.portfoliorisklevel;//组合风险等级
                 $.platform.getAppUserInfo(function (ob) {
                   $.platform.hsbao_buy_Login(function (buyState) {//判断买入 登录银行卡以及实名认证校验 1 校验成功 0失败
                     if (buyState == "1") {
                       if (ob.custrisk==""){
                         ob.custrisk="1";
                       }
                       if(parseInt(ob.custrisk)<parseInt(portfoliorisklevel)){
                         if (ob.custrisk==""||ob.custrisk=="1"){
                           $.UIComfirm({html: "该产品的风险等级超出您的风险承受能力，目前暂无法买入，请确认您的风险承受能力", submitText: "我的风险等级", cancelText: "取消"},function(result){
                             if (result == "yes") {
                               $.platform.hsOpenRisk();
                             }else {
                             }
                           });
                         }
                         else {
                           //跳转调仓
                           $.platform.hsOpen("bao-warehouse.html?portfoliocode="+action.constant.portfoliocode+
                               "&transactionaccountid="+dataModel.transactionaccountid+
                               "&portfolioshowtype="+action.constant.portfolioshowtype);
                         }
                       }else{
                         //跳转调仓
                         $.platform.hsOpen("bao-warehouse.html?portfoliocode="+action.constant.portfoliocode+
                             "&transactionaccountid="+dataModel.transactionaccountid+
                             "&portfolioshowtype="+action.constant.portfolioshowtype);
                       }
                     }else {
                       //啥也不走（原生会走界面）
                     }
                   });

                 });

               });

               //点击调仓记录
               $("#repositoryRecodeID").off().on("click",function () {
                 $.platform.hsOpen("bao-warehouse-record.html?portfoliocode="+dataModel.portfoliocode);
               });
               //点击收益明细
               $("#saleDetailID").off().on("click",function () {
                 $.platform.hsOpen("bao-sy-detail.html?portfoliocode="+dataModel.portfoliocode+
                     "&transactionaccountid="+dataModel.transactionaccountid+"&totalprofit="+dataModel.totalprofit);
               });
               //点击交易详情
               $("#tradeRecodeID").off().on("click",function () {
                 $.platform.hsOpen("bao-deal-detail.html?portfoliocode="+dataModel.portfoliocode+"&portfolioname="+dataModel.portfolioname);
               });
               //点击资产配置
               $("#bao-asset-pei-detailID").off().on("click",function () {
                 window.sessionStorage.setItem("BAO_ASSET_DETAIL_INFO",JSON.stringify(dataModel));
                 $.platform.putCache("BAO_ASSET_DETAIL_INFO",dataModel);
                 $.platform.hsOpen("bao-asset-pei-detail.html?portfoliocode="+
                     dataModel.portfoliocode+"&transactionaccountid="
                     +dataModel.transactionaccountid);
               });
             }

             if (dataModel.latestprofit<0) {
               dataModel.latestprofitColor="green";
             }else {
               dataModel.latestprofitColor="pick";
             }

             if (dataModel.totalprofit<0) {
               dataModel.totalprofitColor="green";
             }else {
               dataModel.totalprofitColor="pick";
             }

             if (dataModel.currentprofit<0) {
               dataModel.currentprofitColor="green";
             }else {
               dataModel.currentprofitColor="pick";
             }

             dataModel.latestprofit=$.formatNum(dataModel.latestprofit);
             dataModel.totalprofit=$.formatNum(dataModel.totalprofit);
             dataModel.currentprofit=$.formatNum(dataModel.currentprofit);
             dataModel.totalmarketvalue= $.formatNum(dataModel.totalmarketvalue);


             $.doTemplate("dataModelID",dataModel,"refresh");

             action.constant.optionpieValue1=1-dataModel.fixedincomeratio;
             action.constant.optionpieValue2=dataModel.fixedincomeratio;

             action.setOptionpie();
             action.requestTrend(action.constant.portfoliocode,"0");

             var fundname= action.constant.portfolioname;
             $("#nameID").html(fundname+':'+action.constant.incomeratemonth);
           }
           else {
             $.hsf.callFailProcess(jsonResult);
           }
               action.constant.refresh="false"

         });
     },
     requestTrend:function (portfoliocode,datetype) {
       $.hsf.startLoading();
       var param='datetype='+datetype+'&portfoliocode='+portfoliocode;
       $.hsf.ajax.appEncrypt("product/product/incomeRateTrend", param, "incomeRateTrend",
           function (jsonResult){
             $.hsf.stopLoading();
             if (jsonResult.successful == true) {
               var result=jsonResult.result.data;
               var dataList=result.dataList;
               if (action.constant.BDataArr.length>0){
                 action.constant.BDataArr.splice(0);
               }
               if (action.constant.ZDataArr.length>0){
                 action.constant.ZDataArr.splice(0);
               }
               if (action.constant.dateArr.length>0) {
                 action.constant.dateArr.splice(0);
               }

               for (var i = 0; i <dataList.length ; i++) {

                 var data=dataList[i];
                 var decline=(parseFloat(data.compdailydecline)*100).toFixed(2);
                 action.constant.BDataArr.push(decline);
                 var str = data.navdate;
                 data.navdate = str = str.substr(0,4)+"-"+str.substr(4,2)+"-"+str.substr(6,2);
                 action.constant.dateArr.push(data.navdate);
                 var dailydecline=(parseFloat(data.dailydecline)*100).toFixed(2);
                 action.constant.ZDataArr.push(dailydecline);
               }
               if (action.constant.BDataArr.length>0){
                 var basestr=action.constant.BDataArr[action.constant.BDataArr.length-1];
                 var baseValue="上证指数:"+basestr+"%";
                 $("#baseID").html(baseValue);
               }else {
                 $("#baseID").html("上证指数:--");
               }
                             
                             var nodataText = "成立未满1月，暂无数据";

                             if (datetype == "0") {
                             nodataText = "成立未满1月，暂无数据";
                             }
                             else if (datetype == "1") {
                             nodataText = "成立未满3月，暂无数据";
                             }
                             else if (datetype == "2") {
                             nodataText = "成立未满6月，暂无数据";
                             }
                             else if (datetype == "3") {
                             nodataText = "成立未满1年，暂无数据";
                             }
                             else if (datetype == "6") {
                             nodataText = "暂无数据";
                             }
                             if (action.constant.dateArr.length == 0) {
                             $("#chart-box1").hide();
                             $(".chart-nodata").text(nodataText).show();
                             }
                             else {
                             $("#chart-box1").show();
                             $(".chart-nodata").hide();
                             }
                             
                             action.events();


             }else {
               $.hsf.callFailProcess(jsonResult);
             }

           });
     },
     //业绩走势近1月 近3月 近6月。。。。
     onClickTime :function(){
       $("#monthFor1ID").off().on("click",function () {
         action.requestTrend(action.constant.portfoliocode,"0");
         $(this).addClass('on').siblings().removeClass('on');
         var fundname= action.constant.portfolioname;
         $("#nameID").html(fundname+':'+action.constant.incomeratemonth);

       });
       $("#monthFor2ID").off().on("click",function () {
         action.requestTrend(action.constant.portfoliocode,"1");
         $(this).addClass('on').siblings().removeClass('on');

         var fundname= action.constant.portfolioname;
         $("#nameID").html(fundname+':'+action.constant.incomeratethreemonth);
       });
       $("#monthFor3ID").off().on("click",function () {
         action.requestTrend(action.constant.portfoliocode,"2");
         $(this).addClass('on').siblings().removeClass('on');

         var fundname= action.constant.portfolioname;
         $("#nameID").html(fundname+':'+action.constant.incomeratehalfyear);
       });
       $("#monthFor4ID").off().on("click",function () {
         action.requestTrend(action.constant.portfoliocode,"3");
         $(this).addClass('on').siblings().removeClass('on');

         var fundname=action.constant.portfolioname;
         $("#nameID").html(fundname+':'+action.constant.incomerateyear);
       });
       $("#monthFor5ID").off().on("click",function () {
         action.requestTrend(action.constant.portfoliocode,"6");//成立以来
         $(this).addClass('on').siblings().removeClass('on');

         var fundname=action.constant.portfolioname;
         $("#nameID").html(fundname+':'+action.constant.incomerateytd);
       });
     },
     //讨论区数据
     requestCommend:function(){
       var parmas ='fundcode='+action.constant.portfoliocode+'&count=1';
       $.hsf.ajax.appEncrypt("query/redbags/hotCardQuery",parmas,"hotCardQuery",function (jsonResult) {
         if (jsonResult.successful==true){
           $("#commendID").off().on("click",function () {
             var results=jsonResult.results;
             var url=results.url;
             $.platform.hsOpenOutLink(url,"false");
           });

         }else {
           // $.hsf.callFailProcess(jsonResult);
         }
       });
     },


     buyButtonEvent:function (state) {
         if (state=="false"){
           // $("#buyID").unbind("tap");
         } else {
           $("#buyID").off().on("tap",function () {//点击买入按钮
             var portfoliotradestatus=action.constant.portfoliotradestatus;
             if (portfoliotradestatus=="1") {
               return;
             }else  if (portfoliotradestatus=="3") {
               return;
             }
             var portfoliorisklevel=action.constant.portfoliorisklevel;//组合风险等级
             $.platform.getAppUserInfo(function (ob) {
               $.platform.hsbao_buy_Login(function (buyState) {//判断买入 登录银行卡以及实名认证校验 1 校验成功 0失败
                 if (buyState == "1") {
                   if (ob.custrisk==""){
                     ob.custrisk="1";
                   }
                   if(parseInt(ob.custrisk)<parseInt(portfoliorisklevel)){
                     if (ob.custrisk==""||ob.custrisk=="1"){
                       $.UIComfirm({html: "该产品的风险等级超出您的风险承受能力，目前暂无法买入，请确认您的风险承受能力", submitText: "我的风险等级", cancelText: "取消"},function(result){
                         if (result == "yes") {
                           $.platform.hsOpenRisk();
                         }else {
                         }
                       });
                     }
                     else {
                       //跳转购买地址
                       $.platform.hsOpen("bao-buy.html?portfoliocode="+
                           action.constant.portfoliocode+'&portfolioshowtype='+
                           action.constant.portfolioshowtype);
                     }
                   }else{
                     //跳转购买地址
                     $.platform.hsOpen("bao-buy.html?portfoliocode="+
                         action.constant.portfoliocode+'&portfolioshowtype='+
                         action.constant.portfolioshowtype);
                   }
                 }else {
                   //啥也不走（原生会走界面）
                 }
               });

             });

           });
         }
     },
     sellButtonEvent:function (state) {
       if (state=="false"){
         // $("#sellID").unbind("tap");
       } else {
         $("#sellID").off().on("tap",function () {//点击卖出按钮
           var fundList=action.constant.fundList;
           var sumAvailableShare=0;
           for (let i = 0; i < fundList.length; i++) {
             var model=fundList[i];
             sumAvailableShare=sumAvailableShare+parseFloat(model.availableshare);
           }
           var sum=parseFloat(sumAvailableShare.toFixed(2));
           if (sum<=0.000001){
             $.UIAlert({html: "目前可卖出资产为0，买入确认日或调仓确认日无法卖出的哦", buttonText: "我知道了"},function(result) {
               if (result == "yes") {
               }
             });
             return;
           }

           var portfoliotradestatus=action.constant.portfoliotradestatus;
           if (portfoliotradestatus=="2"||portfoliotradestatus=="3") {
             $.UIAlert({html: "组合内的某只基金在暂停卖出期间，暂时无法卖出哦", buttonText: "我知道了"},function(result){
               if (result == "yes") {
               }
             });
             return;
           }

          var canredeem= action.constant.canredeem;
          if (canredeem=="1") {
             $.platform.hsOpen("bao-sell.html?portfoliocode="+
                 action.constant.portfoliocode+'&portfolioshowtype='+
                 action.constant.portfolioshowtype);
           }else if (canredeem=="2"){
             $.UIAlert({html: "基金状态不可赎回", buttonText: "我知道了"},function(result){
               if (result == "yes") {
               }
             });
             return;
           }
           else if (canredeem=="3") {
             $.UIAlert({html: "可用份额为0不可赎回", buttonText: "我知道了"},function(result){
               if (result == "yes") {
               }
             });
             return;

           }else if (canredeem=="4") {
             $.UIAlert({html: "调仓期间不可赎回", buttonText: "我知道了"},function(result){
               if (result == "yes") {
               }
             });
             return;
           }else {

             $.UIAlert({html: "暂时不可赎回", buttonText: "我知道了"},function(result){
               if (result == "yes") {
               }
             });
             return;
           }


         });
       }
     }
   } ;
    return action;
});
