define([], function() {
    var action = {
        constant: {
            fundcode: $.hsf.hsTools.getParam("fundcode"),
            transactionaccountid: $.hsf.hsTools.getParam("transactionaccountid"),
            sharetype: $.hsf.hsTools.getParam("sharetype"),
            custno : $.hsf.hsTools.getParam("custno"),
            branchcode: $.hsf.hsTools.getParam("branchcode"),
            dividendmethod : $.hsf.hsTools.getParam("dividendmethod")
        },
        init: function() {
            var data = "fundcode=" + action.constant.fundcode;
            $.hsf.ajax.app("trade/bonus/bonusList", data, "queryFundDevidendCallback", function(jsonResult) {
                if (jsonResult.successful) {

                } else {

                }
            });
            if(action.constant.dividendmethod == "1"){
                $("#bonus-cash").addClass("fh_on");
            }else{
                $("#bonus-dividend").addClass("fh_on");
            }
            action.events();
        },
        events: function(){
            $(".fundcode").on("click", function(){
                $(".fundcode").removeClass("fh_on");
                $(this).addClass("fh_on");
            });
            $("#goLoginBtn").on("tap", function(){
                var dividendmethod = $(".fh_on").attr("value");
                var data = "fundcode=" + action.constant.fundcode
                         + "&transactionaccountid=" + action.constant.transactionaccountid
                         + "&sharetype=" + action.constant.sharetype
                         + "&custno=" + action.constant.custno
                         + "&branchcode=" + action.constant.branchcode
                         + "&dividendmethod=" +dividendmethod;
                $.hsf.startLoading();
                $.hsf.ajax.app("trade/bonus/modifyBonus", data, "queryFundDevidendCallback", function(jsonResult) {
                    if (jsonResult.successful) {
                        $.hsf.stopLoading();
                        $.UIAlert("T日发起的分红方式修改，将在T+1日确认成功;</br>T日内重复发起分红方式修改，以最后一次修改为准", function() {
                            $.hsf.hsBack();
                        });
                    } else {
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
            });
        }
    };
    return action;
});
