define(["crypto"], function(CryptoJS){
    var action = {
        constant : {
            fundcode : $.hsf.hsTools.getParam("fundcode"),
            init : {segtwo_1 : false, segtwo_2: false, segtwo_3: false,segtwo_4: false}
        },
        init : function(){
          action.getFundDetail();
          action.events();
        },
        getFundDetail : function(){
            var data = "fundcode="+action.constant.fundcode;
            $.hsf.startLoading();
            $.hsf.ajax.appEncrypt("product/product/fundBaseInfo",data,"checkLoginCode",function(jsonResult){
               if (jsonResult.successful){
                   $.hsf.stopLoading();
                   if(jsonResult.result.data.length==0){
                       action.getFundNotice('segtwo_1');//基金公告
                       return false;
                   }
                   var info = jsonResult.result.data[0];
                   $("#fundfullname").html(info.fundfullname);
                   $("#fundname").html(info.fundname);
                   $("#fundcode").html(info.fundcode);
                   $("#fundtype").html(info.fundtype);
                   $("#issuedate").html(info.issuedate);
                   $("#establishmentdate").html(info.establishmentdate);
                   $("#fundmanagers").html(info.fundmanagers);
                   $("#investmentobjective").html(info.investmentobjective);
                   $("#investmentscope").html(info.investmentscope);
                   $("#comparisonbenchmark").html(info.comparisonbenchmark);
                   $("#returnriskcharacteristic").html(info.returnriskcharacteristic);
                   $("#subscriptionamount").html(info.subscriptionamount);
                   $("#redemptionshare").html(info.redemptionshare);
                   $("#fundadmin").html(info.fundadmin);
                   $("#fundcustodian").html(info.fundcustodian);
               } else{
                   $.hsf.callFailProcess(jsonResult);
               }
                action.getFundNotice('segtwo_1');//基金公告
            });
        },
        getFundNotice:function (queryunit){
            var num=queryunit;
            var data=null;
            switch(num)
            {
                case 'segtwo_1':
                    data= "fundcode="+action.constant.fundcode+"&type="+'';
                    break;
                case 'segtwo_2':
                    data= "fundcode="+action.constant.fundcode+"&type="+0;
                    break;
                case 'segtwo_3':
                    data= "fundcode="+action.constant.fundcode+"&type="+1;
                    break;
                default:
                    data= "fundcode="+action.constant.fundcode+"&type="+2;
            }
            data=data+"&urltype=0";

            $.hsf.startLoading();

            $.hsf.ajax.appEncrypt("product/product/queryNotice",data,"checkLoginCode",function(jsonResult){
                if (jsonResult.successful) {
                    //console.log(jsonResult.results.data)
                    //jsonResult.result.fundtype = action.constant.fundtype;
                    $.doTemplate("notice-"+queryunit, jsonResult.results);
                    action.constant.init[queryunit] = true;
                    $.hsf.stopLoading();
                }else{
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        },
        events : function(){
            $("#noticelist").UISegment("change", function(e) {
                if (!action.constant.init[e]) {
                    action.getFundNotice(e);
                }
            });
            $(document).on('tap',"[m-role='UITableView']> dl > dd",function (){
                var attrUrl=$(this).attr('data-attr');
                var para= {
                    url: attrUrl,//url地址
                    fundcode:action.constant.fundcode//fundcode
                };
                $.hsf.hsOpenHSAppPage(para);
            })
        }
};
    return action;
});
