/**
 * Created by hundsun on 2016/10/24.
 */
/**
 * Created by apple on 15/6/1.
 */
define(["flot","swiper"],function(flot){
    var action = {
        constant : {
            fundcode : $.hsf.hsTools.getParam("fundcode"),
            fundname : $.hsf.hsTools.getParam("fundname"),
            share : $.hsf.hsTools.getParam("share"),
            graph : {
                time_1 : null,
                time_2 : null,
                time_3 : null,
                time_4 : null
            }
        },
        init : function(){
            if (action.constant.share != null) {
                $("[m-role='right']").empty();
            }
            $.platform.getCache("openId", function(openId) {
                action.constant.openId = openId||"";
                var fundcode = $.hsf.hsTools.getParam("fundcode");
                var fundname = action.constant.fundname = $.hsf.hsTools.getParam("fundname");
                $("#asset_setting").attr("m-href","fund-asset-setting.html?fundcode="+action.constant.fundcode);
                $("#bonus").attr("m-href","fund-bonus-history.html?fundcode="+action.constant.fundcode);
                $("#manager").attr("m-href","fund-manager.html?fundcode="+action.constant.fundcode);
                $("#fund-info").attr("m-href", "fund-info.html?fundcode=" + action.constant.fundcode);
                $("#placeholder").css({"width":$("#flotdiv").css("width"), height : "170px"});
                action.getFundDetail();
                action.events();
            });
        },
        initBanner : function() {
            action.swiper = new Swiper('.index-swiper', {
                onSlideChangeStart: function(swiper) {
                    $(".pro-tab-item:eq("+swiper.activeIndex+")").trigger("tap");
                }
            });
        },
        getFundDetail : function(){
            var data = "fundcode="+action.constant.fundcode+"&openId="+action.constant.openId;
            $.hsf.startLoading();
            $.hsf.ajax.app("product/product/fundDetail",data,"checkLoginCode",function(jsonResult){
                if (jsonResult.successful){
                    var fundInfo = jsonResult.result;
                    action.constant.fundname = fundInfo.fundname;
                    $("#fund-name").html(fundInfo.fundname);
                    $("#fund-code").html(fundInfo.fundcode);
                    $.platform.initPage && $.platform.initPage();
                    action.constant.fundtype = fundInfo.fundtype;
                    $("#history").attr("m-href","fund-detail-history-value.html?fundcode="+action.constant.fundcode+"&fundtype="+action.constant.fundtype);
                    if (action.constant.fundtype == 2) {
                        $("#property2").html("万份收益");
                        $("#property4").html("七日年化");
                    } else {
                        $("#property2").html("单位净值");
                        $("#property4").html("累计净值");
                    }
                    $.doTemplate("bottombar-template", fundInfo);
                    $(".UIBottomBarRoom .buybutton").bind("tap","buybutton",function(){//购买
                        if (action.constant.share != null) {
                            $.hsf.hsOpen("http://www.epf.com.cn/minisite/20160614/download/index.html");
                        } else {
                            action.getLoginInfo("buyButton", fundInfo.fundcode, fundInfo.fundname);
                        }
                    });
                    $(".UIBottomBarRoom .dtbutton").bind("tap","dtbutton",function(){//定投
                        if (action.constant.share != null) {
                            $.hsf.hsOpen("http://www.epf.com.cn/minisite/20160614/download/index.html");
                        } else {
                            action.getLoginInfo("dtButton", fundInfo.fundcode, fundInfo.fundname);
                        }
                    });
                    if(fundInfo.fundtype == 2 ){
                        $("#history").attr("m-href","fund-detail-history-value.html?fundcode="+action.constant.fundcode+"&fundtype=2");
                        $("#mainDataTitle").html("七日年化");
                    }else {
                        $("#bonds").show();
                        $("#stoke").show();
                        $("#mainDataTitle").html("近一年收益");
                    }
                    $.doTemplate("money-7-tip", fundInfo)
                    action.constant.status = jsonResult.myFollow;
                    if (action.constant.status){
                        $("#fav-btn").find(".fund-fav-item").addClass("on");
                    } else {
                        $("#fav-btn").find(".fund-fav-item").removeClass("on");
                    }
                    fundInfo.risklevelStr = $.hsf.fundriskLevel[fundInfo.risklevel] || "";
                    $.doTemplate("fund-detail-big", fundInfo, "refresh");
                    $.doTemplate("fund-detail-big-seg", fundInfo);
                    $.doTemplate("fund-detail-col", fundInfo);
                    $.doTemplate("risk-level-chart", fundInfo);
                    $.doTemplate("fund-tag", jsonResult.tagList);
                    $("#managerName").html(fundInfo.manager);
                    var img = new Image();
                    if (fundInfo.managerimgurl != "") {
                        img.src = "http://www.epf.com.cn"+fundInfo.managerimgurl;
                    } else {
                        img.src = "../images/avatar.png";
                    }
                    $(img).load(function() {
                        $("#managerPhoto").replaceWith(img);
                    });
                    $.hsf.stopLoading();
                    action.changeSegment("time_1");
                    action.initBanner();
                    if(fundInfo.suppermoneyfund == true && action.constant.share == null){
                        $("#dtButton").attr("m-href","xjb-avgr.html");
                        $("#buyButton").attr("m-href","trade-money-in.html");
                    }
                } else{
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        },
        events : function(){
            $(window).resize(function() {
                $("#placeholder").css({"width":$("#flotdiv").css("width"), height : "250px"});
                if (action.constant.graph[action.constant.activeGraph] || false) {
                    action.drawGraph(action.constant.graph[action.constant.activeGraph].arr,action.constant.graph[action.constant.activeGraph].min);
                }
            });
            $("#fav-btn").bind("tap",function(){
                var status = !action.constant.status;
                var fundcode = action.constant.fundcode;
                var data = "status="+status+"&fundcode="+fundcode+"&openId="+action.constant.openId;
                var fav = $("#fav-btn").find(".fund-fav-item");
                if (fav.hasClass("starRotate")) {
                    return;
                } else {
                    fav.addClass("starRotate");
                    $.hsf.ajax.app("weixin/wxzt/changeFollow", data, "addFavoriteCallback", function (jsonResult) {
                        if (jsonResult.successful) {
                            $.platform.changeFocusFund(fundcode, fav.hasClass("on"));
                            fav.toggleClass("on");
                            action.constant.status = status;
                        } else {
                            $.hsf.callFailProcess(jsonResult);
                        };
                        fav.toggleClass("starRotate");
                    });
                }
            });
            $("#fund-detail-chart").UISegment("change",function(id){
                action.changeSegment(id);
            });
            $("#placeholder").bind("plothover",  function (event, pos, item) {
                action.constant.latestPosition = pos;
                if (!action.constant.updateLegendTimeout) {
                    action.constant.updateLegendTimeout = setTimeout(action.updateLegend, 30);
                }
            });
            $(document).on("tap", ".pro-tab-item", function() {
                var $this = $(this);
                if (!$this.hasClass("on")) {
                    $(".pro-tab-item").removeClass("on");
                    $this.addClass("on");
                    action.swiper.slideTo($this.attr("for"));
                }
            });
            -function() {
                var startPoint;
                $("#placeholder").bind("touchstart", function(e) {
                    startPoint = e.originalEvent.touches[0];
                }).bind("touchmove", function(e) {
                    var currentP = e.originalEvent.touches[0];
                    var xDistance = Math.abs(currentP.pageX*100 - startPoint.pageX*100);
                    var yDistance = Math.abs(currentP.pageY*100 - startPoint.pageY*100);
                    if (xDistance == 0 || yDistance / xDistance >= 2) {
                    } else {
                        e.preventDefault();
                    }
                    startPoint = currentP;
                });
            }();
            $("#share-btn").bind("tap", function(e) {
                $.platform.share("http://ec.epf.com.cn/weixin-fund/pages/fund-detail-appdownload.html?share=1&fundcode="+action.constant.fundcode+"&fundname="+action.constant.fundname, action.constant.fundname+"_"+action.constant.fundcode, "下载APP体验“耀钱包”活期理财，随存随取，更可享全场基金购买0折起！", "http://www.epf.com.cn/webimages/upload2012/2016/08/23/095653078_294_ece2bb97-0e60-3f5a-b292-9af85f4700ad.png");
                return false;
            });
        },
        getLoginInfo : function(info, fundcode, fundname){
            $.platform.getCache("logininfo", function (result) {
                if (result) {
                    var custtype = result.custtype;
                    if (custtype == "1") {
                        $.UIConfirm("您暂未绑定银行卡，现在立刻绑定，享受购基0费率！", function(o){
                            if (o == "yes") {
                                $.hsf.hsOpen("account-openAcco-gdbdx.html");
                            }
                        });
                    } else  {
                        if (info == "buyButton") {
                            $.hsf.hsOpen("trade-buy.html?fundcode=" + fundcode + "&fundname=" + fundname);
                        } else if (info == "dtButton") {
                            $.hsf.hsOpen("trade-avgr.html?fundcode=" + fundcode + "&saveplanflag=1&fundname=" + fundname);
                        }
                    }
                } else {
                    $.hsf.ajax.app("account/account/accountinfo","","checkLoginCode",function(jsonResult) {
                        if (jsonResult.successful) {
                            var custtype = jsonResult.result.custtype;
                            $.platform.removeCache("logininfo");
                            $.platform.putCache("logininfo", jsonResult.result);
                            if(custtype == "1"){
                                $.UIConfirm("您暂未绑定银行卡，现在立刻绑定，享受购基0费率！", function(o){
                                    if (o == "yes") {
                                        $.hsf.hsOpen("account-openAcco-gdbdx.html");
                                    }
                                });
                            }else{
                                if (info == "buyButton") {
                                    $.hsf.hsOpen("trade-buy.html?fundcode=" + fundcode + "&fundname=" + fundname);
                                } else if (info == "dtButton") {
                                    $.hsf.hsOpen("trade-avgr.html?fundcode=" + fundcode + "&saveplanflag=1&fundname=" + fundname);
                                }
                            }
                        }else{
                            $.hsf.callFailProcess(jsonResult);
                        }
                    });

                }
            });
        },
        changeSegment : function(id) {
            var queryuint = "";
            var recordno = 0;
            if (action.constant.graph[id]) {
                action.constant.activeGraph = id;
                action.drawGraph(action.constant.graph[id].arr,action.constant.graph[id].arr2,action.constant.graph[id].min);
            } else {
                if(id == "time_1"){
                    queryuint = 1;
                    recordno = 30;
                }else if(id == "time_2"){
                    queryuint = 3;
                    recordno = 90;
                }else if(id == "time_3"){
                    queryuint = 6;
                    recordno = 180;
                }else if(id == "time_4"){
                    queryuint = 12;
                    recordno = 365;
                }
                var data = "fundcode="+action.constant.fundcode+"&queryunit="+queryuint;
                $.hsf.startLoading();
                $.hsf.ajax.app("product/product/queryHisMarket",data,"chartCallback"+queryuint,function(jsonResult){
                    if (jsonResult.successful) {
                        action.constant.activeGraph = id;
                        action.draw(id, jsonResult.result.data);
                        $.hsf.stopLoading();
                    }else{
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
            }
        },

        draw : function(id, list){
            var arr = new Array();
            var arr2 = new Array();
            var min = 9999999;
            var max = -9999999;
            if(null != list && list.length > 1) {
                for(var i=list.length-1;i>=0;i--) {
                    /*控制点的数量，加快画线速度*/
                    var obj = list[i];
                    var unit, unit2;
                    var str = obj.navdate;
                    obj.navdate = str = str.substr(0,4)+"/"+str.substr(4,2)+"/"+str.substr(6,2);
                    var date = new Date(str);
                    if("2"== action.constant.fundtype){//货币显示万份单位收益
                        unit = [date,parseFloat(obj.dividendamount)];/*以数组形式存放*/
                        unit2 = [date,parseFloat(obj.incomdepercent)];/*以数组形式存放*/
                    }else{
                        unit = [date,parseFloat(obj.fnav)];
                        unit2 = [date,parseFloat(obj.totalnetval)];
                    }
                    arr.push(unit);
                    arr2.push(unit2);
                    if (unit[1]<min) {
                        min = unit[1];
                    }
                    if (unit[1]>max) {
                        max = unit[1];
                    }
                }
                min -= (max  - min) / 6;
                action.storeNetValue(id, arr, arr2, list,  min, true);
                action.updateBrand(list[0]);
            }else{
                arr.push([new Date(), 0],[new Date(), 0]);
                action.storeNetValue(id, arr, arr2, list,  0, false);
            }
            action.drawGraph(arr, arr2, min);
        },
        storeNetValue : function(id, list, list2, origin, min, valid) {
            action.constant.graph[id] = {arr : list, arr2: list2, min : min, origin: origin, valid : valid};
        },
        drawGraph: function(data,data2, min) {
            action.constant.p = $.plot("#placeholder", [{ data: data, label: "&nbsp;"}, { data: data2, label: "&nbsp;"}], {
                series: {
                    lines: {
                        show: true,
                        fill: true,
                        fillColor: {colors: [ "rgba(238,238,238,0.35)", "rgba(238,238,238,0.1)" ]},
                        lineWidth:1
                    },
                    points: {
                        show: false
                    }
                },
                colors : ["darkorange", "#FF3333"],
                crosshair: {
                    mode: "x"
                },
                grid: {
                    hoverable: true,
                    clickable: false,
                    borderColor :  "#ccc",
                    borderWidth : 1
                },
                legend : {
                    show : false
                },
                xaxis : {
                    show : true,
                    mode: "time"
                },
                yaxis : {
                    min : min
                },
                legend: {
                    container: $("#legendcontainer"),
                    labelFormatter: function (lable, series) {
                        return '<a> ' + lable + '</a>';
                    }
                }

            });
        },
        updateLegend : function () {
            var netvalueOfSegment = action.constant.graph[action.constant.activeGraph];
            if (netvalueOfSegment.valid == false) {
                action.constant.updateLegendTimeout = null;
                return ;
            } else {
                var legends = $("#legendcontainer .legendLabel").css({"width":"100%"});
                legends.each(function () {
                    $(this).css('width', "100%");
                });
                action.constant.updateLegendTimeout = null;
                var pos = action.constant.latestPosition;
                var axes = action.constant.p.getAxes();
                if (pos.x < axes.xaxis.min || pos.x > axes.xaxis.max ||
                    pos.y < axes.yaxis.min || pos.y > axes.yaxis.max) {
                    return;
                }
                var j, dataset = action.constant.p.getData();
                var series = dataset[0];
                for (j = 0; j < series.data.length; ++j) {
                    if (series.data[j][0] > pos.x) {
                        break;
                    }
                }
                var x,y,
                    p1 = series.data[j - 1],
                    p2 = series.data[j],
                    index;
                if (p1 == null) {
                    y = p2[1];
                    x = p2[0];
                    index = j;
                } else if (p2 == null) {
                    y = p1[1];
                    x = p1[0];
                    index = j-1;
                } else {
                    if (Math.abs(pos.x*1000 - p1[0] * 1000) > Math.abs(p2[0] *1000 - pos.x*1000)) {
                        y = p2[1];
                        x = p2[0];
                        index = j;
                    } else {
                        y = p1[1];
                        x = p1[0];
                        index = j-1;
                    }
                }
                index = netvalueOfSegment.origin.length - index - 1;//因为是倒序
                action.updateBrand(netvalueOfSegment.origin[index]);
            }
        },
        updateBrand : function(obj) {
            var setBrand = function(value1, value2, value3) {
                $("#property1").html(value1);
                $("#property3").html(parseFloat(value2).toFixed(4));
                $("#property5").html(parseFloat(value3).toFixed(4));
            }
            if (action.constant.fundtype == "2") {
                setBrand(obj.navdate, obj.dividendamount, obj.incomdepercent);
            } else {
                setBrand(obj.navdate, obj.fnav, obj.totalnetval);
            }
        }
    };
    return action;
});
