define([], function(){
    var action = {
        constant : {
            fundcode : $.hsf.hsTools.getParam("fundcode")
        },
        init : function(){
			action.getFundDetail();
			action.events();
		},
        getFundDetail : function(){
            var data = "fundcode="+action.constant.fundcode;
            $.hsf.startLoading();
            $.hsf.ajax.app("product/product/fundBaseInfo",data,"checkLoginCode",function(jsonResult){
               if (jsonResult.successful){
                   $.hsf.stopLoading();
                   var info = jsonResult.result.data[0];
                   $("#fundfullname").html(info.fundfullname);
                   $("#fundname").html(info.fundname);
                   $("#fundcode").html(info.fundcode);
                   $("#fundtype").html(info.fundtype);
                   $("#issuedate").html(info.issuedate);
                   $("#establishmentdate").html(info.establishmentdate);
                   $("#fundmanagers").html(info.fundmanagers);
                   $("#investmentobjective").html(info.investmentobjective);
                   $("#investmentscope").html(info.investmentscope);
                   $("#comparisonbenchmark").html(info.comparisonbenchmark);
                   $("#returnriskcharacteristic").html(info.returnriskcharacteristic);
                   $("#subscriptionamount").html(info.subscriptionamount);
                   $("#redemptionshare").html(info.redemptionshare);
                   $("#fundadmin").html(info.fundadmin);
                   $("#fundcustodian").html(info.fundcustodian);
               } else{
                   $.hsf.callFailProcess(jsonResult);
               }
            });
        },
        events : function(){

        }
    };
    return action;
});
