define(["crypto"],function(CryptoJS){
	var action = {
		constant: {
			alltime:null
		},
		init: function () {
			this.events();
			//this.initAudioEvent();
			this.initialize();
		},
		events: function () {
			$(".all-lesson").on("tap", function () {
				$(".layer-content").show();
			});
			$(".btn-close").on("tap", function () {
				$(".layer-content").hide();
			});
			//跳转到app
			$(".js-get-course").click(function(){
				window.location.href ="https://a.app.qq.com/o/simple.jsp?pkgname=com.epf.hsetrading";
			})
		},
		//加密方法
		encrypt(word) {
			var key = CryptoJS.enc.Utf8.parse("0OQn4PlLv951aOax");  //十六位十六进制数作为密钥
			var iv = CryptoJS.enc.Utf8.parse('Hy5k2ILMztwu0e8B'); // 密钥偏移量
			var srcs = CryptoJS.enc.Utf8.parse(word);
			var encrypted = CryptoJS.AES.encrypt(srcs, key, { iv: iv, mode: CryptoJS.mode.CBC, padding: CryptoJS.pad.Pkcs7 });
			var encryptedHexStr = CryptoJS.enc.Hex.parse(encrypted.ciphertext.toString());
			var encryptedBase64Str = CryptoJS.enc.Base64.stringify(encryptedHexStr);
			encryptedBase64Str = encryptedBase64Str.replace(/\+/g, "*").replace(/\//g, "-")
				.replace(/=/g, ".").replace(/\\n/g, "");
			return encryptedBase64Str;
		},
		getQueryString: function (name) {
			var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
			var r = window.location.search.substr(1).match(reg);
			if (r != null) return unescape(r[2]);
			return null;
		},
		initialize: function () {
			var that = this;
			var courseId = this.getQueryString("courseid");
			var unitId = '';

			var param = unitId ? ('courseid=' + courseId + '&unitid=' + unitId) : ('courseid=' + '49f9d48d21c142c9a2096f0a5b4d84fa');
			param = param + "&querytype=2";
			if ($.hsf.isEncryption) {
				param = '_p=' + this.encrypt(param);
			}
			$.hsf.ajax.app("query/select/unit", param, "querycallback", function (jsonResult) {
				if (jsonResult.successful == true) {
					var courseData = "";
					console.log(jsonResult.results.data)
					$.doTemplate("lesson-more", jsonResult.results);
					if (jsonResult.results.data.length == 1) {
						courseData = jsonResult.results.data[0];
					} else {
						$.each(jsonResult.results.data, function (index, val) {
							if (val.unitindex == 1) {
								courseData = val;
							}
						});
						$('.lesson-main').removeClass('imgnone')
					}

					$("#titleName").html(courseData.coursename);
					$(".lesson-title").html(courseData.unitname);
					$("#lessonBanner").attr("src", courseData.unittopimg);
					$("#lessonIcon").attr("src", courseData.coursetopimg);
					$("#lessonName").html(courseData.coursename);
					$("#lessonTime").html(courseData.unitcreatetime);
					$('.audio-right-name').html(courseData.unitintroduce);
					$('.audio-size').html(courseData.unitsize + 'M');
					$('#lessonInfor').attr("src", courseData.unitaudioimg);
					var audio = document.getElementsByTagName('audio')[0];
					audio.src = courseData.unitaudio;
					audio.load();
					var newTime=courseData.unitduration;
					if(newTime.split(":")[2]){
						$('#audioCurTime').html(courseData.unitduration.split(":")[0]+"时"+courseData.unitduration.split(":")[1]+"分"+courseData.unitduration.split(":")[2]+"秒");
					}else {
						$('#audioCurTime').html(courseData.unitduration.split(":")[0]+"分"+courseData.unitduration.split(":")[1]+"秒");
					}
					//audio.oncanplay = function () {
					//	if (audio.duration) $(".audio-length-total").text(that.formatTime(audio.duration));
					//}
					// 初始化音频控制事件
					that.initAudioEvent();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});

		},
		initAudioEvent: function () {
			var that = this;
			var audio = document.getElementsByTagName('audio')[0];
			var audioPlayer = document.getElementById('audioPlayer');
			// 点击播放/暂停图片时，控制音乐的播放与暂停
			audioPlayer.addEventListener('click', function () {
				// 监听音频播放时间并更新进度条
				audio.addEventListener('timeupdate', function () {
					that.updateTime(audio);
				}, false);
				// 监听播放完成事件
				audio.addEventListener('ended', function () {
					that.audioEnded(audio);
				}, false);
				// 改变播放/暂停图片
				if (audio.paused) {
					// 开始播放当前点击的音频
					audio.play();
					audioPlayer.className = 'audioPlayer pause';
				} else {
					audio.pause();
					audioPlayer.className = 'audioPlayer';
				}
			}, false);
		},
		/**
		 * 音频播放时间换算
		 * @param {number} value - 音频当前播放时间，单位秒
		 */
		//transTime:function (value) {
		//    var time = "";
		//    var h = parseInt(value / 3600);
		//    value %= 3600;
		//    var m = parseInt(value / 60);
		//    var s = parseInt(value % 60);
		//    if (h > 0) {
		//        time = this.formatTime(h + ":" + m + ":" + s );
		//    } else {
		//        time = this.formatTime(m + ":" + s );
		//    }
		//    return time;
		//},

		/**
		 * 格式化时间显示，补零对齐
		 * eg：2:4  -->  02:04
		 * @param {string} value - 形如 h:m:s 的字符串
		 */
		formatTime: function (value) {
			var theTime = parseInt(value);// 秒
			var theTime1 = 0;// 分
			var theTime2 = 0;// 小时
			if (theTime > 60) {
				theTime1 = parseInt(theTime / 60);
				if (parseInt(theTime % 60) < 10) {
					theTime = "0" + parseInt(theTime % 60);
				} else {
					theTime = parseInt(theTime % 60);
				}
				if (theTime1 > 60) {
					theTime2 = parseInt(theTime1 / 60);
					theTime1 = parseInt(theTime1 % 60);
				}
			} else {
				if (parseInt(theTime % 60) < 10) {
					theTime = "0" + ":" + "0" + parseInt(theTime % 60);
				} else {
					theTime = "0" + ":" + parseInt(theTime % 60);
				}
			}
			var result = "" + theTime + "";
			if (theTime1 > 0) {
				result = "" + parseInt(theTime1) + ":" + result;
			}
			if (theTime2 > 0) {
				result = "" + parseInt(theTime2) + ":" + result;
			}
			return result;

		},
		updateTime: function (audio) {
			var value = audio.duration - audio.currentTime;
			action.constant.alltime = audio.duration/2;
			//console.log(value,action.constant.alltime)
			//document.getElementById('audioCurTime').innerText = this.formatTime(audio.duration - audio.currentTime);

			if (value < action.constant.alltime) {
				$(".layer-content").show();
				this.audioEnded(audio);
				//this.initAudioEvent();
				audio.load();
				//$(".tips-dialog").show();
			}
		},
		audioEnded: function (audio) {
			//document.getElementById('audioCurTime').innerText = audio.duration;
			document.getElementById('audioPlayer').className = 'audioPlayer';
		}
	};
	return action;
});