/**
 * Created by apple on 15/6/11.
 */

define([], function() {
	var action = {
		originCode : $("#origin-code"),
		newCode : $("#new-code"),
		repeatCode : $("#repeat-code"),
		submitBtn : $("#submit-btn"),
		init: function() {
			$.checkNullGroup([this.originCode, this.newCode, this.repeatCode], this.submitBtn);
			action.events();
		},
		events: function() {
			var t = this;
			this.submitBtn.on("tap", function() {
				if(!action.panduan())return false;
				if (t.submitBtn.attr("m-state") == "disabled") return;
				var validForm = $.validForm();
				var oldpwd = t.originCode.UITextField("value");
				var newpwd = t.newCode.UITextField("value");
				var repeatpwd = t.repeatCode.UITextField("value");
				validForm.add("empty", oldpwd, "旧密码不能为空")
				validForm.add("strlength", {value:oldpwd, size:6}, "请输入6位数字密码");
				validForm.add("strlength", {value:newpwd, size:6}, "请输入6位数字密码");
	            validForm.add("num", newpwd, "请输入6位数字密码");
	            validForm.add("equal", {origin:newpwd, target:repeatpwd}, "新密码不一致");
	            validForm.add("notEqual", {origin:oldpwd, target:repeatpwd}, "新旧密码不能一样");
	            if (validForm.valid()) {
					var f = $.formGenerate().add("pwdtype", "1").add("oldpwd", oldpwd).add("newpwd", newpwd).add("repeatpwd", repeatpwd);
					$.hsf.startLoading();
					$.hsf.ajax.app("account/pwd/modifypwd", f.generate(), "tradepwdCallback", function(jsonResult) {
						if (jsonResult.successful) {
							$.hsf.stopLoading();
							$.UIPopup("修改成功，请五分钟后登录！", function() {
								if ($.platform.updatePw) {
									$.platform.updatePw(newpwd);
								}
								$.hsf.hsBack();
							});
						} else {
							$.hsf.callFailProcess(jsonResult);
						}
					});
				}
			});
		},
		panduan :function(){
			$.platform.getCache("logininfo", function(result) {
				if(result==null){
					$.hsf.innerLogin();
					return false;
				}
			});

		}

	};
	return action;
});