define('pages/reset-login-pw-getcode', function () {
    return Backbone.View.extend({
        el: "#reset-login-pw-getcode",
        _private: {},
        initialize: function (parent) {
            this.parent = parent;
//			$.checkNullGroup([this.$idType, this.$idNo, this.$custname], $("#next"));
        },
        events: {
            "tap #next": "next",
            "tap .recover-text": "recover"
        },
        next: function () {
            var that = this;
            var code = $(".mess-code").UITextField("value");
            var mobile = $(".phone").UITextField("value");
            var pwd = $("#pwd").UITextField("value");
            var rePwd = $("#repwd").UITextField("value");
            var mobileMatch = /^1\d{10}$/;
            var pwreg = /^\d{6}$/;////纯数字
            if (mobile.length == 0) {
                $.UIPopup("手机号不能为空!");
                return false;
            }
            if (!mobileMatch.test(mobile)) {
                $.UIPopup("手机号码格式不正确!");
                return false;
            }
            if(!this._private.operdate){
                $.UIPopup("请获取验证码");
                return false;
            }

            if (code.length == 0) {
                $.UIPopup("验证码不能为空!");
                return false;
            }
            var data = "chkmsg="+code +
                "&mobileno="+ mobile+
                "&sno="+this._private.sno+
                "&operdate="+this._private.operdate;
            $.hsf.startLoading();
            $.hsf.ajax.app("account/mobile/verifyMobileAuthcode",data,"registCallback",function(jsonResult){
                $.hsf.stopLoading();
                if (jsonResult.successful) {
                    if (that._private.isbinding == "0") {
                        window.location.hash = "reset-login-pw-2";
                    } else if (that._private.isbinding == "1") {
                        window.location.hash = "reset-login-pw-0";
                    }

                } else {
                    $.hsf.callFailProcess(jsonResult);
                    /*if (that._private.isbinding == "0") {
                     window.location.hash = "reset-login-pw-1";
                     } else if (that._private.isbinding == "1") {
                     window.location.hash = "reset-login-pw-0";
                     }*/
//                       $.hsf.hsOpen("reset-login-pw.html");
                }
            });
            return false;
        },
        recover: function () {
            this.isBindedUser();
            return false;
        },

        hasSpace: function (str) {
            var arr = str.split(" ");
            if (arr.length != 1) {
                return true;
            } else {
                return false;
            }
        },
        hasSimple: function (str) {
            var dataDictionary = [111111, 000000, 222222, 333333, 444444, 555555, 666666, 777777, 888888, 999999, 012345, 123456, 234567, 345678, 456789, 987654, 876543, 765432, 654321, 543210, 098765];
            for (var index = 0, len = dataDictionary.length; index < len; index++) {
                if (dataDictionary[index] == str) {
                    return false;
                }
            }
            return true;
        },
        getAuthcode: function () {
            var that = this;
            var mobile = $(".phone").UITextField("value");

            var reg = /^1\d{10}$/;
            if (!reg.test(mobile)) {
                $.UIPopup("手机号码格式不正确!");
                return false;
            }
            var code = $(".mess-code").UITextField("value");
            var mobile = $(".phone").UITextField("value");

            var data = "&Mobileno="+mobile+ "&sendintent=toNew";
            $.hsf.startLoading();
            $.hsf.ajax.app("account/mobile/sendMobileAuthcode",data,"getAuthcodeCallback",function(jsonResult){
                if (jsonResult.successful) {
                    $.hsf.stopLoading();
                    that._private.sno=jsonResult.result.sno;
                    that._private.operdate=jsonResult.result.operdate;
                    $.UIAlert("手机验证码已发送！请注意查收短信！");

                    $(".remaining-text").removeClass("m-hide");
                    $(".count-text1").removeClass("m-hide");
                    $(".count-text2").removeClass("m-hide");
                    $(".recover-text").addClass("m-hide");
                    $("[m-role='UICountdown']").UICountdown({
                        "time": 60, "afterStop": function () {
                            //$.UIPopup("结束");
                            $(".remaining-text").addClass("m-hide");
                            $(".recover-text").removeClass("m-hide");
                            $(".count-text1").addClass("m-hide");
                            $(".count-text2").addClass("m-hide");

                            $("[m-role='UICountdown']").UICountdown("reset");
                        }
                    });
                    $("[m-role='UICountdown']").UICountdown("start");
                } else {

                    $(".remaining-text").removeClass("m-hide");
                    $(".count-text1").removeClass("m-hide");
                    $(".count-text2").removeClass("m-hide");
                    $(".recover-text").addClass("m-hide");
                    $("[m-role='UICountdown']").UICountdown({
                        "time": 60, "afterStop": function () {
                            //$.UIPopup("结束");
                            $(".remaining-text").addClass("m-hide");
                            $(".recover-text").removeClass("m-hide");
                            $(".count-text1").addClass("m-hide");
                            $(".count-text2").addClass("m-hide");

                            $("[m-role='UICountdown']").UICountdown("reset");
                        }
                    });

                    $("[m-role='UICountdown']").UICountdown("start");

                    $.hsf.callFailProcess(jsonResult);
                }
            });


        },
        isBindedUser: function () {
            var that = this;
            var mobile = $(".phone").UITextField("value");
            var mobileMatch = /^1\d{10}$/;
            if (mobile.length == 0) {
                $.UIPopup("手机号不能为空!");
                return false;
            }
            if (!mobileMatch.test(mobile)) {
                $.UIPopup("手机号码格式不正确!");
                return false;
            }
            var data = "&Mobileno=" + mobile + "&accttype=0";
            $.hsf.startLoading();
            $.hsf.ajax.app("account/mobile/queryMobileBindCheck", data, "queryMobileBindCheckCallback", function (jsonResult) {
                $.hsf.stopLoading();
                if (jsonResult.successful) {
                    if (jsonResult.result.userid == "") {
                        $.UIPopup("手机号码未被注册！");
                    } else {
                        that.parent.setParam("accttype", jsonResult.result.accttype);
                        that.parent.setParam("mobileno", jsonResult.result.mobileno);
                        that.parent.setParam("userid", jsonResult.result.userid);
                        that.parent.setParam("isbinding", jsonResult.result.isbinding);
                        // that._private.mobileno = jsonResult.result.mobileno;
                        // that._private.userid = jsonResult.result.userid;
                        that._private.isbinding = jsonResult.result.isbinding;
                        that.getAuthcode();
                    }
                } else {

                    // that.getAuthcode();
                    $.hsf.callFailProcess(jsonResult);
//                       $.hsf.hsOpen("reset-login-pw.html");
                }
            });
            return false;
        }

    });
});

define('pages/reset-login-pw-0', function () {
    return Backbone.View.extend({
        el: "#reset-login-pw-0",
        _private: {},
        $idNo: $("#idNo"),
        $idType: $("#idType"),
        $custname: $("#custname"),
        $payPsw: $("#pay-psw-0"),
        $payRepeatPsw: $("#pay-repeat-psw-0"),
        initialize: function (parent) {
            this.parent = parent;
            $.checkNullGroup([this.$idType, this.$idNo, this.$custname, this.$payPsw, this.$payRepeatPsw], $("#next1"));
        },
        events: {
            "tap #next1[m-state!='disabled']": "next1"
        },
        next1: function () {
            var that = this;
            var idType = this.$idType.UISelectField("value");
            var id = this.$idNo.UITextField("value");
            var custname = this.$custname.UITextField("value");
            var payPsw = this.$payPsw.UITextField("value"),
                payRepeatPsw = this.$payRepeatPsw.UITextField("value"),
                that = this;
            var v = $.validForm().add("strlength", {value: payPsw, size: 6}, "请输入6位数字密码")
                .add("num", payPsw, "请输入6位数字密码")
                .add("equal", {origin: payPsw, target: payRepeatPsw}, "密码不一致");
            if (v.valid()) {
                $.hsf.startLoading();
                that._private.isbinding = that.parent.getParam("isbinding");
                that._private.accttype = that.parent.getParam("accttype");
                that._private.mobileno = that.parent.getParam("mobileno");
                that._private.userid = that.parent.getParam("userid");
                var f = $.formGenerate()
                    .add("certificatetype", idType)
                    .add("certificateno", id)
                    .add("custname", custname)
                    .add("Isbinding", that._private.isbinding)
                    .add("newlpasswd", payPsw)
                    .add("optflag", "0")
                    .add("moblie", that._private.mobileno)
                    .add("userid", that._private.userid);
                $.hsf.ajax.app("account/pwd/resetLoginPwd", f.generate(), "resetpwdCallback", function (jsonResult) {
                    $.hsf.stopLoading();
                    if (jsonResult.successful) {
                        $.UIAlert("登录密码重置成功，请五分钟后再登录", function () {
                            that.parent.finish();
                        });
                    } else {
                        $.hsf.callFailProcess(jsonResult)
                    }
                });
            }
        }
    });
});

define('pages/reset-login-pw-1', function () {
    return Backbone.View.extend({
        el: "#reset-login-pw-1",
        $verifyCode: $("#verifyCode"),
        _private: {},
        validForm: $.validForm(),
        initialize: function (parent) {
            this.parent = parent;
            this.sandclock = this.sandclock("send-code");
            this.validForm = $.validForm();
            this.form = $.formGenerate();
            this.init();
            $.checkNullGroup([this.$verifyCode], $("#verifyBankCodeNextBtn"));
        },
        init: function () {
            this.mobile = this.parent.getParam("mobile");
            $("#mobile").html(this.mobile);
        },
        afterSwitchView: function () {
        },
        sandclock: function (id) {
            var counter = 0;
            var $btn = $("#" + id);
            return {
                start: function () {
                    var run = function () {
                        if (counter == 0) {
                            $btn.attr("m-state", "").html("获取");
                        } else {
                            $btn.html("剩余" + (counter--) + "秒");
                            setTimeout(run, 1000);
                        }
                    }
                    counter = 60;
                    $btn.attr("m-state", "disabled").html("剩余" + (counter--) + "秒");
                    setTimeout(run, 1000);
                },
                reset: function () {
                    counter = 0;
                    $btn.attr("m-state", "").html("获取");
                },
                readyStart: function () {
                    if (counter == 0) {
                        return true;
                    } else {
                        false;
                    }
                }
            }
        },
        sendAuthCode: function (event) {
            if (this.sandclock.readyStart()) {
                $.hsf.startLoading();
                var that = this;
                var mobile = this.mobile;
                this.validForm.add("mobile", mobile);
                if (this.validForm.valid()) {
                    $.hsf.ajax.app("account/mobile/sendMobileAuthcode", "mobileno=" + mobile + "&sendintent=resetpwd", "sendMobileAuthcodeCallback", function (jsonResult) {
                        $.hsf.stopLoading();
                        if (jsonResult.successful) {
                            that._private.verifyCode = jsonResult.result;
                            that.$el.find(".mobileFix").html(mobile.substr(0, 3) + "****" + mobile.substr(7, 4));
                            that.$el.find(".send-msg-notice").show();
                            that.sandclock.start();
                        } else {
                            $.hsf.callFailProcess(jsonResult)
                        }
                    });
                } else {
                    $.hsf.stopLoading();
                }
            }
            return false;
        },
        nextBeforeCode: function () {
            var that = this;
            var mobile = this.mobile;
            var verifyCode = this.$verifyCode.UITextField("value");
            this.validForm.add("mobile", mobile);
            this.validForm.add("verifyCode", verifyCode, "验证码");
            if (!this._private.verifyCode) {
                $.UIPopup("请先进行短信验证");
                return false;
            }
            if (this.validForm.valid()) {
                var data = "mobileno=" + mobile + "&sno=" + this._private.verifyCode.sno + "&chkmsg=" + verifyCode + "&operdate=" + this._private.verifyCode.operdate + "&sendintent=resetpwd";
                $.hsf.startLoading();
                $.hsf.ajax.app("account/mobile/verifyMobileAuthcode", data, "sendMobileAuthcodeCallback", function (jsonResult) {
                    $.hsf.stopLoading();
                    if (jsonResult.successful) {
                        that.parent.setParam("mobile", mobile);
                        window.location.hash = "reset-login-pw-2";
                        that.sandclock.reset();
                    } else {
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
            }
        },
        events: {
            "tap #verifyBankCodeNextBtn[m-state!='disabled']": "nextBeforeCode",
            "tap #send-code": "sendAuthCode"
        }
    });
});

define("pages/reset-login-pw-2", ["global", "Backbone"], function (G) {
    return Backbone.View.extend({
        el: "#reset-login-pw-2",
        $payPsw: $("#pay-psw"),
        $payRepeatPsw: $("#pay-repeat-psw"),
        _private: {},
        validForm: $.validForm(),
        initialize: function (parent) {
            this.parent = parent;
            this.uiEvent();
            this.validForm = $.validForm();
            $.checkNullGroup([this.$payRepeatPsw, this.$payPsw], $("#nextBtn5"));
        },
        afterSwitchView: function () {
        },
        next: function () {
            var payPsw = this.$payPsw.UITextField("value"),
                payRepeatPsw = this.$payRepeatPsw.UITextField("value"),
                that = this;
            var v = $.validForm().add("strlength", {value: payPsw, size: 6}, "请输入6位数字密码")
                .add("num", payPsw, "请输入6位数字密码")
                .add("equal", {origin: payPsw, target: payRepeatPsw}, "密码不一致");
            if (v.valid()) {
                $.hsf.startLoading();
                that._private.isbinding = that.parent.getParam("isbinding");
                that._private.accttype = that.parent.getParam("accttype");
                that._private.mobileno = that.parent.getParam("mobileno");
                that._private.userid = that.parent.getParam("userid");
                var f = $.formGenerate().add("newlpasswd", payPsw)
                    .add("Isbinding", that._private.isbinding)
                    .add("optflag", "0")
                    .add("moblie", that._private.mobileno)
                    .add("userid", that._private.userid );
                $.hsf.ajax.app("account/pwd/resetLoginPwd", f.generate(), "resetpwdCallback", function (jsonResult) {
                    $.hsf.stopLoading();
                    if (jsonResult.successful) {
                        $.UIAlert("登录密码重置成功，请五分钟后再登录", function () {
                            that.parent.finish();
                        });
                    } else {
                        $.hsf.callFailProcess(jsonResult)
                    }
                });
            }
        },
        events: {
            "tap #nextBtn5[m-state!='disabled']": "next",
        },
        uiEvent: function () {
            var that = this;
            $("#change-paypsw-visiable").UISwitch("change", function (value) {
                if (value == 1) {
                    that.$payPsw.find('input').attr("type", 'text');
                } else {
                    that.$payPsw.find('input').attr("type", 'password');
                }
            });
            $("#change-repeatpaypsw-visiable").UISwitch("change", function (value) {
                if (value == 1) {
                    that.$payRepeatPsw.find('input').attr("type", 'text');
                } else {
                    that.$payRepeatPsw.find('input').attr("type", 'password');
                }
            });
        },
    });
});

define('pages/reset-login-pw', function () {
    /*var isbinded = $.hsf.hsTools.getParam("isbinded");
     if(isbinded=="false"){
     return $.bone('reset-login-pw-2');
     }else{
     return $.bone('reset-login-pw-0');
     }*/
    return $.bone('reset-login-pw-getcode');
});
