/**
 * Created by apple on 15/6/11.
 */

define([],function(){
   var action = {
       constant:{
       },
       init : function(){
           action.events();
       },
       events : function(){
           $(".submit-btn").on("click",function(){
               var originCode = $(".origin-code").UITextField("value");
               var newCode = $(".new-code").UITextField("value");
               var repeatCode = $(".repeat-code").UITextField("value");
               if (newCode.length != 6){
                   $.UIPopup("密码长度只能为6位！");
                   return false;
               }
               if(action.hasSpace(newCode)){
                   $.UIPopup("密码不能包含空格!");
                   return false;
               }
               if (repeatCode != newCode){
                   $.UIPopup("重复密码和新密码不一致！");
                   return false;
               }else{
                   var data = "newpwd="+newCode+"&oldpwd="+originCode;
                   $.hsf.startLoading();
                   $.hsf.ajax.app("account/account/modifyPwd",data,"tradepwdCallback",function(jsonResult){
                      if(jsonResult.successful){
                          $.hsf.stopLoading();
                          $.UIAlert("修改成功", function() {
                            $.hsf.hsBack();
                          });
                      }else{
                          $.hsf.callFailProcess(jsonResult);
                      }
                   });
               }
           });
       },
       hasSpace : function(str){
           var arr = str.split(" ");
           if (arr.length != 1){
               return true;
           }else{
               return false;
           }
       }
   };
    return action;
});