﻿$(function() {
	window.action = {
		constant : {
			fundcode : $.hsf.hsTools.getParam("fundcode"),
			fundname : $.hsf.hsTools.getParam("fundname"),
			result : {
				
			}
		},
		init : function() {
			this.packForm();
			this.event();
		},
		packForm : function() {
			$(".fundcode").html(action.constant.fundcode);
			$(".fundname").html(action.constant.fundname);
			action.share();
		},
		event : function() {
			$("#nextTo2Btn").bind("tap", function() {
				$(".melonmethod").html($("input[name='sf-type']:checked").next("span").html());
				$(".targetbank").html(action.getBankacco());
				$("#first").hide();
				$("#second").show();
				return false;
			});
			$("#backTo1Btn").bind("tap", function() {
				$("#tradepassword").UITextField("value", "");
				$("#second").hide();
				$("#first").show();
			})
			$("#saleBtn").bind("tap", function() {
				var data="tradeacco="+action.getTradeacco()
						+"&fundcode="+action.constant.fundcode
						+"&sharetype="+action.getSharetype()
						+"&melonmethod="+ $("input[name='sf-type']:checked").val();
				var $pw = $("#tradepassword").UITextField("value");
				if ($pw.length < 6) {
					$.UIPopup("请输入正确密码!");
					return false;
				} else {
					data += "&tradepassword=" + $pw;
				}
				$.hsf.startLoading("正在提交申请...");
				$.hsf.ajax.app("trade/modifybonus", data, "modifyCallback", action.modifyCallback);
			});
		},
		modifyCallback : function(jsonResult){
			if(jsonResult && "true"==jsonResult.successful){
				action.constant.result.applyserial = jsonResult.results.applyserial;
				window.setTimeout(action.todayQuery, 1000);
			}else{
				$.hsf.callFailProcess(jsonResult);
			}
		},
		todayQuery : function() {
			$.hsf.ajax.app("query/todayapply", "applyrecordno=1&pageno=1", "todayQueryCallback", action.todayQueryCallback);
		},
		todayQueryCallback : function(jsonResult) {
			var t = action.constant.fundtype == "QDII" ? "T+2" : "T+1";
			if (jsonResult && "true" == jsonResult.successful) {
				var list = jsonResult.results.returnlist.list;
				if (list.length > 0 && list[0].applyserial == action.constant.result.applyserial) {
					$("#kkstatImg").attr("src", "../css/images/buy-ok.png");
					$("#kkstat").html("申请成功");
					$("#accepttime").html(list[0].oriapplydate+" "+list[0].accepttime);
					$("#resultinfo").html("温馨提示:您可于T+1日前往历史交易页面查询交易情况(T日指本次申请所属交易日"+$.hsf.hsTools.dateToch(list[0].applydate)+")");
					$("#applyserial").html(action.constant.result.applyserial);
					$.hsf.stopLoading();
				} else {
					window.setTimeout(action.todayQuery, 1000);
					return;
				}
			} else {
				$("#kkstatImg").attr("src", "../css/images/buy-ok.png");
				$("#kkstat").html("申请成功");
				$("#accepttime").html(list[0].oriapplydate+" "+list[0].accepttime);
				$("#resultinfo").html("温馨提示:您可于T+1日前往历史交易页面查询交易情况(T日指本次申请所属交易日"+$.hsf.hsTools.dateToch(list[0].applydate)+")");
				$("#applyserial").html(action.constant.result.applyserial);
				$.hsf.stopLoading();
			}
			$("#second").hide();
			$("#third").show();
		},
		getMelonmethod : function() {
			return action.constant.sharelist[action.constant.mySwiper.activeIndex].melonmethod;
		},
		getTradeacco : function() {
			return action.constant.sharelist[action.constant.mySwiper.activeIndex].tradeacco;
		},
		getBankacco : function() {
			var share = action.constant.sharelist[action.constant.mySwiper.activeIndex];
			return share.bankname +"["+share.bankacco+"]";
		},
		getSharetype : function() {
			var share = action.constant.sharelist[action.constant.mySwiper.activeIndex];
			return share.sharetype;
		},
		share : function() {
			$.hsf.ajax.app("query/share", "querytype=2&fundcode="+action.constant.fundcode, "getSaleShareListCallback", function(jsonResult) {
				var $swiper = $(".swiper-wrapper");
				if (jsonResult.successful == "true") {
					var list = action.constant.sharelist = jsonResult.results.returnlist.list || [];
					for (var index in list) {
						var $shareHtml = $(action.shareHtml);
						$shareHtml.find(".bankacco").html(list[index].bankname+"["+list[index].bankacco+"]");
						$shareHtml.find(".melonmethod").html(list[index].melonmethod == 0 ?"红利再投":"现金分红");
						$swiper.append($shareHtml);
					}
					action.constant.mySwiper = new Swiper('.swiper-container', {
						direction : 'vertical',
						loop : false,
						pagination : '.pagination',
						paginationClickable : true,
						onTouchStart: function(swiper,even){
							if (swiper.slides.length == 1) {
								return;
							} else {
								if (swiper.activeIndex == swiper.slides.length -1) {
									$(".back").fadeIn();
								} else if (swiper.activeIndex == 0) {
									$(".next").fadeIn();
								} else {
									$(".next, .back").fadeIn();
								}
							}
					    },
					    onTouchEnd: function(swiper, even) {
							$(".next, .back").fadeOut();
					    },
					    onSlideChangeEnd : function(swiper) {
					    	action.changeMethod();
					    }
					});
					 action.changeMethod();//第一次初始化
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			})
		},
		changeMethod : function() {
			var m = action.getMelonmethod();
	    	if (m == 0) {
	    		$("melonmethod0").click();
	    	} else {
	    		$("melonmethod1").click();
	    	}
		},
		shareHtml : "<div class=\"swiper-slide\"><div m-role=\"UITableView\" m-style=\"grouped\"><dl><dd><div m-padding=\"0 0 0 1\" m-margin=\"0 0 0 1\" m-selectionstyle=\"yes\" m-role=\"cell\" m-mode=\"y\" m-layout=\"fit\"><div m-role=\"split\"></div><div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\"><div m-role=\"cell\" m-style=\"key\" m-valign=\"middle\" m-align=\"right\">资金来源：</div><div m-role=\"cell\" m-style=\"value\" m-margin=\"0 0 0 0\" m-padding=\"0 0 0 0\" m-valign=\"middle\" m-align=\"right\" class=\"m-font-big bankacco\" style=\"word-break:break-all;word-wrap:break-word\"></div></div><div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\"><div m-role=\"cell\" m-style=\"key\" m-valign=\"middle\" m-align=\"right\">分红方式：</div><div m-role=\"cell\" m-style=\"value\" m-margin=\"0 0 0 0\" m-padding=\"0 0 0 0\" m-valign=\"middle\" m-align=\"right\" class=\"melonmethod\" m-valign=\"middle\"></div></div><div m-role=\"split\"></div><div m-role=\"split\"></div><div m-role=\"split\"></div></div></dd></dl></div></div>"
	};
	action.init();
})