/**
 * Created by hspcadmin on 2017/7/5.
 */
define(function(require) {
    var action = {
        constant : {
            fundcode : $.hsf.hsTools.getParam("fundcode"),
            status : $.hsf.hsTools.getParam("status"),
            per_min_20: $.hsf.hsTools.getParam("per_min_20")
        },
        init : function() {
            $.platform.initPage && $.platform.initPage();
            action.getBankcard();

        },
        getBankcard : function(){
            $("#per_min_20").html(action.constant.per_min_20+"元");
            $.hsf.startLoading();
            var vctype=null;
            if(action.constant.status=='0'){
                var vctype="1";
                $('#ststus').text('申购费率');
            }else if(action.constant.status=='1'){
                var vctype="0";
                $('#ststus').text('认购费率');
            }else {
                //其他状态默认查询申购费率
                $('#ststus').text('申购费率');
                var vctype="1";
            }

            var data="fundcode="+action.constant.fundcode+'&vctype='+vctype+'&isSuppportTwoQuery=2';
            $.hsf.ajax.appEncrypt("query/reward/queryRewardListByfundcode",data,"bankcardCallback",function(jsonResult){
                if (jsonResult.successful){
                    var template1= new Array();
                    var template2= new Array();
                    for(var i=0;i<jsonResult.result.length;i++){
                        var f_range = jsonResult.result[i].f_range.replace('M', '申购金额');
                        jsonResult.result[i].f_range=f_range;
                        template1.push(jsonResult.result[i]);
                    }
                    for(var i=0;i<jsonResult.sellresult.length;i++){
                        var f_range = jsonResult.sellresult[i].f_range.replace('Y', '持有期限').replace('D', '持有期限');
                        jsonResult.sellresult[i].f_range=f_range;
                        template2.push(jsonResult.sellresult[i]);
                    }
                    $.doTemplate("template1",template1);
                    $.doTemplate("template2", template2);

                    // product/product/fundDetail.json
                    //获取基金类型展示数据
                    var fData="fundcode="+action.constant.fundcode;
                    $.hsf.ajax.appEncrypt("product/product/fundDetail",fData,"fundDetail",function(jsonFResult) {
                        if (jsonFResult.successful) {
                            var result=jsonFResult.result;

                            if (result.fundtype=="2"){
                                $("#sureTimeID").html("T+1");
                                $("#T-1").show();
                            } else {
                                $("#sureTimeID").html("T+3");
                                $("#T-3").show();
                            }

                        } else {
                            $.hsf.callFailProcess(jsonFResult);
                        }
                        $.hsf.stopLoading();

                    });


                } else{
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        }
    };
    return action;
});
