define([], function() {
	var action = {
		constant : {
			totalProfit : $.hsf.hsTools.getParam("profit")
		},
		init : function() {
			action.profit();
			action.events();
		},
		events: function() {
		},
		profit : function() {
			$.hsf.startLoading();
			$.hsf.ajax.app("query/history/hisIncome", "pagesize=100&pageno=1", "getTotalIncomeAnalysisCallback", function(jsonResult) {
				if (jsonResult.successful) {
					var profitlist = jsonResult.result.data;
					if (profitlist.length > 0) {
						var param = action.formatValue(profitlist);
						$(".xjb-sy-list").html(action.renderHtml(profitlist, param.maxValue));
						$(".xjb-level-content").html(parseFloat(action.constant.totalProfit).toFixed(2));
					}else{
						$(".xjb-sy-list").html(action.renderPicHtml);
					}
					$.hsf.stopLoading();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},
		renderHtml : function(data, maxValue) {
			var html = "", percentWidth;
			for(var i=0,j=data.length;i<j;i++) {
				var value = data[i].income;
			    if(value == 0)
					continue;
			    else{
					percentWidth=(value/(maxValue*1.6666))*100+40+"%";
					html+= "<div class=\"sy-item\" m-role=\"cell\">"
						+ "<div m-role=\"cell\" m-layout=\"fit\" m-padding=\"0 1 0 1\" m-margin=\"0 1 0 1\">"
						+ "<div class=\"xjb-sy-progress\"  m-role=\"cell\" m-layout=\"fit\">"
						+ "<div class=\"xjb-sy-value\" style=\"width:"+percentWidth+"\"  m-role=\"cell\" m-valign=\"middle\" m-align=\"right\" m-margin=\"0 0 0 0\">"
						+ "<div m-role=\"cell\" m-margin=\"0 1 0 1\" m-align=\"left\">"+$.hsf.hsTools.yyyy_mm_dd(data[i].incomedate)+"</div>"
						+ "<div m-role=\"cell\" m-align=\"right\" m-layout=\"fit\"><span>"+value+"</span></div>"
						+ "     </div></div>"
						+ "    </div></div>";
			    }
			}
			return html;
		},
		renderPicHtml : "<div m-role=\"cell\" m-align=\"center\" m-mode=\"y\" id=\"empty-div\" >"
				+  "<div m-role=\"cell\" m-align=\"center\"><img src=\"../images/asset-empty-ico.png\" /></div>"
				+  "<div m-role=\"cell\" m-align=\"center\" style=\"color:#aaa\" m-margin=\"0 0 1 0\">近三个月无收益明细</div>"
				+  "</div>",
		formatValue:function(data){
	        var valueList=[], maxValue;
	        for(var i=0,j=data.length;i<j;i++) {
	        	data[i].income = parseFloat(data[i].income);
	        	var value = data[i].income;
	        	valueList.push(value);
	        }
	        maxValue=Math.max.apply(this,valueList);
	        return {maxValue:maxValue};
		}
	};
	return action;
})