define(["JSON"], function(JSON) {
	var baseapi = {
		channel : "weixin",
		putCache : putCache,
		getCache : getCache,
		removeCache : removeCache,
		removeAllCache : removeAllCache,
		tongji  :function() {},
		hsOpen : function(url) {
			window.location.href = url;
		},
		hsOpen_loc : function(url) {
			window.location.href = url;
		},
		hsBack : function(url, style, step) {
			if (url && url != "") {
				window.location.href=url;
			} else {
				if (style=="finish" && step) {
					history.go(-step);
				} else {
					history.back();
				}
			}
			return false;
		},
		hsOpenOutLink:function(url,isHideTitle){
			// $.platform.hsOpen(url);
			window.location.href=url;
		},
		share : function( title, image_url, target_url, context) {


		},
		//fdf打开
		hsOpenHSAppPage : function(param) {

		},
		//获取UserInfor
		getAppUserInfo:function(func){

			$.platform.getCache("logininfo",function (ob) {
				func(ob);
			});

		},
		hsOpenRisk:function(){
			window.location.href="risk-test.html";
		},

		hsOpenForgetpassword:function(){
			window.location.href="reset-trade-pw.html";
		},
		hsOpenDepositVC:function(){
			window.location.href="trade-money-in.html";
		},

		blockAPI:function(ob){//block回调的方法
			$.platform.putCache("funds_source_index",ob);//设置资金来源选择的数据
		},
		hsbao_buy_Login:function(func){//买入登录判断
			$.platform.getCache("logininfo", function (result) {
				if (result) {
					var custtype = result.custtype;
					if (custtype == "1") {
						$.UIConfirm("您暂未绑定银行卡，现在立刻绑定，享受购基0费率！", function(o){
							if (o == "yes") {
								$.hsf.hsOpen("account-openAcco-gdbdx.html");
							}
						});
						func("0");
					}else if (custtype == "3"){
						$.UIAlert("请先绑定一张银行卡", function(){
							url = "account-openAcco-new.html";
							url = url+"?custtype="+custtype+"&mobile="+result.Mobile+"&userid="+result.userid;
							$.hsf.hsOpen(url);
						});
						func("0");
					}
					else  {
						func("1");
					}
				} else {
					$.hsf.ajax.app("account/account/accountinfo","","checkLoginCode",function(jsonResult) {
						if (jsonResult.successful) {
							var custtype = jsonResult.result.custtype;
							var jsonResultData=jsonResult.result;
							jsonResultData.clientid=jsonResult.clientid;
							$.platform.removeCache("logininfo");
							$.platform.putCache("logininfo", jsonResultData);
							if(custtype == "1"){
								$.UIConfirm("您暂未绑定银行卡，现在立刻绑定，享受购基0费率！", function(o){
									if (o == "yes") {
										$.hsf.hsOpen("account-openAcco-gdbdx.html");
									}
								});
							}else if (custtype == "3"){
								$.UIAlert("请先绑定一张银行卡", function(){
									url = "account-openAcco-new.html";
									url = url+"?custtype="+custtype+"&mobile="+result.Mobile+"&userid="+result.userid;
									$.hsf.hsOpen(url);
								});
							}
							else{
								if (info == "buyButton") {
									if(fundcode == "001973" || fundcode == "888888"){
										$.hsf.hsOpen("trade-money-in.html");
									}else {
										$.hsf.hsOpen("trade-buy.html?fundcode=" + fundcode + "&fundname=" + fundname);
									}
								} else if (info == "dtButton") {
									if(fundcode == "001973" || fundcode == "888888"){
										$.hsf.hsOpen("trade-avgr.html?saveplanflag=d");
									}else {
										$.hsf.hsOpen("trade-avgr.html?fundcode=" + fundcode + "&saveplanflag=1&fundname=" + fundname);
									}
								}
							}
						}else{
							$.hsf.callFailProcess(jsonResult);
						}

					});
					func("0");

				}
			});
		},
		deviceReady : true
	};
	var api = {
		"index" : {
			initOpenId : function() {$.hsf.Event.trigger("openIdRead");},
			initPage : function() {}
		},
		"login-view" : {
			channel : "weixin",
			initPage : function() {
				$("#rememberPassword").hide();
				$("#login [m-role=\"title\"]").html("登录");
				$("#loginButton").html("登&nbsp;&nbsp;录");
				$("#licenseName").html("《用户绑定协议》且同意接受条款");
			},
			loginUrl : "account/login/login",
			loginSuccess : function() {
			}
		},
		"account-openAcco-form" : {
			loginUrl : "account/login/login"
		},
		"account-safe" : {
			initPage : function() {}
		},
		"xjb" : {
			initPage : function() {
				var $backBtn = $("#backBtn");
				$backBtn.unbind("tap.mhref").bind("tap", function() {
					var url = $(this).attr("m-href") || "index.html";
					window.location.href= url;
				});
			}
		},
		"money":{
			initPage:function () {

			},
		},
		"trade-history" : {
			initPage : function() {
				var $backBtn = $("#backBtn");
				$backBtn.unbind("tap.mhref").bind("tap", function() {
					var url = $(this).attr("m-href") || "index.html#asset";
					window.location.href= url;
				});
			}
		},
		"account-safe" : {
			initPage : function() {
			},
		},
		"fund-list":{
			initPage : function(){
			}
		},
		"fund-detail":{
			changeFocusFund : function(fundcode, state) {
			},
			initPage : function() {
			}
		},
		"attention" : {
			initPage : function(action){
			}
		},
		"account-openAcco-chinapay-validate" : {
			succBack : function() {
				$.hsf.hsOpen("index.html");
			}
		},
		"setting" : {
			openChat : function() {
			},
			callKf : function($cardTypeBox) {
				window.open("tel:4008202888");
			},
			initPage : function(m) {
				$.hsf.Event.addListener("login", function(jsresult) {
					m.loadUserInfo();
				});
			}
		},
		"home" : {
			initPage : function(m) {
				$.hsf.Event.addListener("login", function(jsresult) {
					m.initRequestForm();
				});
			}
		},
		"asset" : {
			initPage : function (m) {
				$.hsf.Event.addListener("login", function(jsresult) {
					m.requestManager.invoke(m.initAsset)
				});
			}
		},
		"general" : {
			version : "2.7"
		},
		"wpage" : {
			showShare : function() {
			}
		},
		"q-a" : {
			openChat : function() {
			},
			callKf : function($cardTypeBox) {
				window.open("tel:4008202888");
			}
		}
	};
	return {api:api, baseapi: baseapi}




	function putCache(name, jsonResult) {
		var target = "session";
		var date = new Date();
		var storageObject = {y: date.getFullYear(),
			m: (date.getMonth()+1),
			d: date.getDate(),
			h: date.getHours(),
			r: jsonResult};
		if (target == "session") {
			putSessionStorage(name, JSON.stringify(storageObject));
		}
	}

	function getCache(name, func) {
		var cacheStr = null;
		cacheStr = getSessionStorage(name);
		if (typeof cacheStr == "string" && cacheStr != "") {
			var cache = JSON.parse(cacheStr);
			if (cache) {
				//$.hsf.ajax.app("account/weixinlogin/keepalived", "", "islogin2Callback", function(jsonResult) {});
			}
			func.call(this, cache.r);
		} else {
			func.call(this, null);
		}
	}

	function removeCache(key) {
		removeLocalStorage(key);
	}

	function removeAllCache() {
		window.sessionStorage.clear();
	}

	function putLocalStorage(key,value){//把数据放到本地存储
		window.localStorage.setItem(key,JSON.stringify(value));
	}
	function getLocalStorage(key){/*获取本地存储数据*/
		var obj = window.localStorage.getItem(key);
		if(obj!=null){
			return JSON.parse(obj);
		}else{
			return null;
		}
	}
	function removeLocalStorage(key){/*清除本地数据*/
		window.localStorage.removeItem(key);
		window.sessionStorage.removeItem(key);
	}
	function putSessionStorage(key,value){//把数据放到本地存储
		window.sessionStorage.setItem(key,JSON.stringify(value));
	}
	function getSessionStorage(key){/*获取本地存储数据*/
		var obj = window.sessionStorage.getItem(key);
		if(obj!=null){
			return JSON.parse(obj);
		}else{
			return null;
		}
	}
	function removeSessionStorage(key){/*清除本地数据*/
		window.sessionStorage.removeItem(key);
	}

});


